// 登录页面调用获取机型
App.page('login',function(){
	this.init = function(){
		$("#login_section").on('pageshow',function(){
			if(!isWechatClient()) registrationID();
		});
	};
});
// 忘记密码
App.page('forgetPassword',function(){
	this.init = function(){
		$("#forgetPassword_section").on('pagehide',function(){
			$("#forgetPassword_form input").val('');
		});
	};
});

// 设置用户信息
App.page('setUserInfo',function(){
	this.init = function(){
		$("#setUserInfo_section").on('pageshow',function(){
			if(isWechatClient()) getJSSDKConfigParams_service();//微信congif配置
			var myInfo = J.Cache.get('login');
			myInfo.data.face = fileServerUrl + myInfo.data.face ;
//			console.log('头像url：' + myInfo.data.face);
            J.Template.render('#setUserInfo_article', 'setUserInfo_template', myInfo.data, "replace");
            $("#setUserInfo_article [data-name='name']").off('tap').on('tap',function(){
            	myInfo = J.Cache.get('login');
                J.prompt('昵称',myInfo.data.name,function(){
                    var name = $('#prompt_btn_container').find('input[name="name"]').val();
                    var mock = {
                        name : name
                    };
                    editUserInfo_service(mock,'name');
                });
            });
		});
	};
});

// 我的余额
App.page('myBalance',function(){
	this.init = function(){
		$("#myBalance_section").on('pageshow',function(){
			getBalance_service();
		});
	};
});
// 我的储值卡
App.page('myDepositCard',function(){
	this.init = function(){
		$("#myDepositCard_section").on('pageshow',function(){
			getMyCouponList_service(0);			
		});
	};
});
// 我的优惠券
App.page('myCoupon',function(){
	this.init = function(){
		$("#myCoupon_section").on('pageshow',function(){
			getMyCouponList_service(1);			
		});
	};
});
// 我的地址
App.page('myAddress',function(){
	this.init = function(){
		$("#myAddress_section").on('pageshow',function(){
			addressList_service('me');
		});
	};
});
// 我的积分
App.page('myIntegral',function(){
	this.init = function(){
		$("#myIntegral_section").on('pageshow',function(){
			getMyIntegral_service();		
		});
	};
});
// 活动积分
App.page('activityIntegral',function(){
	this.init = function(){
		$("#activityIntegral_section").on('pageshow',function(){
			getActIntegral_service();
		});
	};
});
// 我的邑豆
App.page('yiBeansDetailInfo',function(){
	this.init = function(){
		$("#yiBeansDetailInfo_section").on('pageshow',function(){
            yiBeansDetailInfo_service();
		});
	};
});

// 苏果充值订单
App.page('suguoRechargeOrders',function(){
	this.init = function(){
		$("#suguoRechargeOrders_section").on('pageshow',function(){
			getSuguoOrderList_service();		
		});
	};
});

// 帮助
App.page('help', function() {
	this.init = function() {
		$("#help_section").on('pageshow', function() {
			getHelpInfo();
		});
	};
});

//联系客服
App.page('notescontact', function() {
	this.init = function() {
		$('#notescontact_section').on('pageshow', function() {
			contactUs();
		});
	};
});

// 加盟商入口
App.page('allianceBusiness', function() {
	this.init = function() {
		$('#allianceBusiness_section').on('pageshow', function() {
			console.log('加盟商');
			if(J.Cache.get('login')) {
				$('#allianceBusiness_section input[name=phone]').val(J.Cache.get('login').data.phone)
			} else {
				setTimeout(function() {		
					J.Router.goTo('#login_section');
					setTimeout(function() {						
						$('#loginBack_button').attr('data-back',true);
					}, 10);
				}, 100);
			}
			
		});
	};
});

//手输条码
App.page('enterBarcode', function(){
	this.init = function() {
		$('#enterBarcode_section').on('pageshow', function() {
			$('#barCode')[0].innerText = '';
		});
	};
});

//扫码购订单页面
App.page('scanOrder', function(){
	this.init = function() {
		$('#scanOrder_section').on('pageshow', function() {
			$('#scanOrder_section .scanCloseNav li.active').eq(0).trigger('click');
		});
	};
});
