var ON_OFF = 0;
var serverUrl = '';
var	wechatUrl = '';
// 文件服务器地址
var fileServerUrl = "";
if(ON_OFF == 0) {
	serverUrl = "https://wei.vipxiaoqu.com/v1.4.9/";
	wechatUrl = "https://wei.vipxiaoqu.com/v1.4.9/wechat/index.html";
	fileServerUrl = "https://file.vipxiaoqu.com/";
} else if(ON_OFF == 1) {
	serverUrl = 'https://wei.vipxiaoqu.com/wty_test/';
	wechatUrl = "https://wei.vipxiaoqu.com/wty_test/wechat_test/index.html";
	fileServerUrl = "https://file_test.vipxiaoqu.com/";
} else if(ON_OFF == 2) {
	serverUrl = 'https://wei.vipxiaoqu.com/wty_test1/';
	wechatUrl = "https://wei.vipxiaoqu.com/wty_test1/wechat_test/index.html";
	fileServerUrl = "https://file_test.vipxiaoqu.com/";
}

var error_message = '连接服务器失败，请稍后重新尝试';
var PRODUCT_DEFAULT_TYPE = 2 ; //默认商品列表排序类型 - 按销量
var PRODUCT_DEFAULT_SORT = 0; //默认商品列表排序方式 - 正序


// 判断终端是wechat or app
function isWechatClient() {
    var ua = navigator.userAgent.toLowerCase();
    if (ua.match(/MicroMessenger/i) == 'micromessenger') {
        return true;
    } else {
        return false;
    }

}

// 是否是app
function isAndroidIosApp() {
    try {
        if (window.device.platform == "Android" || window.device.platform == "iOS") {
            return true;
        }
    } catch (e) {
        return false;
    }
}

// ios还是android
function isIOS() {
    if (window.device.platform == "Android") {
        return false;
    } else {
        return true;
    }
}


/**
 * [getQueryString 获取url里面的参数]
 * @param  {[type]} name [description]
 * @return {[type]}      [description]
 */
function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]);
    return null;

}

/**
 * [getOpenId 获取openid]
 */
function getOpenId() {
    var access_code = getQueryString('code');
    if (access_code == null) {
        window.location.href = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=wxda509ad01461ee5b&redirect_uri=" + wechatUrl + "&response_type=code&scope=snsapi_base&state=STATE&connect_redirect=1#wechat_redirect";
    } else {
        var url = serverUrl + "/ws/wechatAction!getWechatUserInfo.sy?code=" + access_code;
        $.getJSON(url, {}, function(data) {
            J.Cache.save('openId', data.data.openId);
            window.location.href = wechatUrl;
        })
    }
}

/**
 * [isNullString 判断字符串是否为空，null,underfined]
 * @param  {String} str    [需要判断的字符串]
 */
function isNullString(str) {
    if (typeof(str) == 'undefined' || null == str || '' === str) {
        return true;
    }
    return false;
}

/**
 * [isEmptyObject 判断对象是否为空]
 * @param  {Object}  e [检验对象]
 * @return {Boolean}   [为空返回true 不为空返回false]
 */
function isEmptyObject(e) {
    for (var t in e)
        return !true;
    return !false
}
/**
 * [picNetworkPrefix 判断图片是否有网络地址]
 * @param  {String} str [需要判断的图片地址]
 * @return {String}     [返回加过网络地址的图片地址]
 */
function picNetworkPrefix(str) {
	if(str) {
	    if (str.indexOf('http') < 0 ) {
	        return (fileServerUrl + str);
	    }
	}
    return str;
}

/**
 * 为元素切换添加/取消'active'class
 */
;
(function($) {
    $.fn.toggleActive = function() {
        return this.each(function() {
            var el = $(this);
            el.hasClass('active') ? el.removeClass('active') : el.addClass('active')
        })
    }
})(Zepto)

/**
 * [eidtNum 编辑数量]
 * @param  {String} handleType  [操作类型  'mulNum'减 'addNum'加]
 * @param  {Number} num      [现在数量]
 * @param  {Object} elements [当前元素]
 */
function eidtNum(handleType, num, elements,canBuyNumber,stockNum,beginBuyNum) {
    var fn = {
        mulNum: function() {
    		var beginBuyNumber = beginBuyNum ? beginBuyNum : 1;
    		if (parseInt(num) > beginBuyNumber) {
    		    $(elements).siblings('input').val(parseInt(num) - 1);
    		} else {
    		    J.showToast('不能低于起购数量哦~~');
    		}
        },
        addNum: function() {
        	if(canBuyNumber >= 0) {
        		if(num < stockNum && num < canBuyNumber) {
        			$(elements).siblings('input').val(parseInt(num) + 1);
        		} else {
        			J.showToast('超出可购买数量了哦,亲~~');
        		}
        	} else {
                if(J.Cache.get('community').data.type == 0){
                    if(num < stockNum) {
                        $(elements).siblings('input').val(parseInt(num) + 1);
                    } else {
                        J.showToast('超出可购买数量了哦,亲~~');
                    }
                }else{
                    $(elements).siblings('input').val(parseInt(num) + 1);
                }
        	}  
        }
    };
    fn[handleType]();
}

/**
 * [createPopupHtml 生成弹框html]
 * @param  {Object} mock [处理数据]
 * @param  {String} idName [id名字]
 */
function createPopupHtml(mock, idName) {
    if(J.Cache.get('community').data.type == 0){
        if(mock.discountPrice != null && mock.discountPrice != 0 && mock.discountPrice != ''){
            var html = '<ul class="list" id="' + idName + '"><li><img src="' + mock.picture + '" class="pop"/><span class="top"><p class="red">¥' + mock.discountPrice + '</p><p>库存:' + mock.stockNum + '</p><p>请选择规格</p><span></li>';
        }else{
            var html = '<ul class="list" id="' + idName + '"><li><img src="' + mock.picture + '" class="pop"/><span class="top"><p class="red">¥' + mock.realPrice + '</p><p>库存:' + mock.stockNum + '</p><p>请选择规格</p><span></li>';
        }
    }else{
        if(mock.discountPrice != null && mock.discountPrice != 0 && mock.discountPrice != ''){
            var html = '<ul class="list" id="' + idName + '"><li><img src="' + mock.picture + '" class="pop"/><span class="top"><p class="red">¥' + mock.discountPrice + '</p><p>请选择规格</p><span></li>';
        }else{
            var html = '<ul class="list" id="' + idName + '"><li><img src="' + mock.picture + '" class="pop"/><span class="top"><p class="red">¥' + mock.realPrice + '</p><p>请选择规格</p><span></li>';
        }
    }
    if (mock.specification.length != 0) {
        mock.specification.map(function(item) {
            html += '<li class="info" data-key="' + item.key + '" data-title="' + item.name + '"><p class="title">' + item.name + '分类：</p>';
            item.val.map(function(ele) {
                html += ('<span class="speciNum" data-val="' + ele + '"onclick="$(this).toggleClass(' + "'active'" + ').siblings().removeClass(' + "'active'" + ')">' + ele + '</span>');
            })
            html += '</li>';
        })
    }
    return html;
}

/**
 * [createGangedArea 创建联动地区]
 * @param  {String} areaId      [地区选择元素的id]
 * @param  {String} areaValueId [地区value值显示元素的id]
 */
function createGangedArea(areaId, areaValueId) {
    var area = new LArea();
    area.init({
        'trigger': '#' + areaId,
        'valueTo': '#' + areaValueId,
        'keys': {
            id: 'id',
            name: 'name'
        },
        'type': 1,
        'data': LAreaData
    });
}

/**
 * [childrenAticleToggleActive 页面流转时对上一页面子级article active处理，防止articleshow时多次调用接口或方法]
 * @param  {String} elementsName [页面最顶层article]
 * @param  {String} handleType   [操作类型 addclass添加active  removeclass移除active]
 */
function childrenAticleToggleActive(elementsName,handleType){
    var el = $('#' + elementsName).children('article');
    var handle = {
        addClass : function(){
            $(el).addClass('active');
        },
        removeClass : function(){
            $(el).removeClass('active');
        }
    }
    handle[handleType]();
}




function addActive(even,type) {
    $(even).addClass('active').siblings().removeClass('active');
    if(type){
        if(type == 1){
            $('#cancelOrder_section #textarea').css('display','block');
        }else if(type == 2){
            $('#applyForRefund_section #textarea').css('display','block');
        }
    }else{
        $('#cancelOrder_section #textarea').css('display','none');
        $('#applyForRefund_section #textarea').css('display','none');
    }
}

var s = 60;
// 倒计时
function count(elements) {
    if (s != 0) {
        s--;
        $(elements).text(s + 's重新获取').addClass('ban').attr('onclick', '');
        setTimeout(function() {
            count(elements);
        }, 1000)
    } else {
        s = 60;
        $(elements).text('获取验证码').removeClass('ban').attr('onclick', 'getCode(this)');
    }
}

// 验证是否为手机号
function verifyPhone(phone) {
    var myreg = /^1([3|4|5|7|8]+\d{9})$/;
    if (phone.length == 0) {
        J.showToast('请输入手机号码！');
        return false;
    }
    if (phone.length != 11) {
        J.showToast('请输入有效的手机号码！');
        return false;
    }
    if (!myreg.test(phone)) {
        J.showToast('请输入有效的手机号码！');
        return false;
    }
    return true;
}

// 验证是否是车牌号
function isVehicleNumber(vehicleNumber) {
    var result = false;
    if (vehicleNumber.length == 7) {
        var express = /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4}[A-Z0-9挂学警港澳]{1}$/;
        result = express.test(vehicleNumber);
    }
    return result;
}


;
(function($) {

    /*
        图片滚动效果
        @jQuery or @String box : 滚动列表jQuery对象或者选择器 如：滚动元素为li的外层ul
        @object config : {
                @Number width : 一次滚动宽度，默认为box里面第一个一级子元素宽度[如果子元素宽度不均匀则滚动效果会错乱]
                @Number size : 列表长度，默认为box里面所有一级子元素个数[如果size不等于一级子元素个数，则不支持循环滚动]
                @Boolean loop : 是否支持循环滚动 默认 true
                @Boolean auto : 是否自动滚动,支持自动滚动时必须支持循环滚动，否则设置无效,默认为true
                @Number auto_wait_time : 自动轮播一次时间间隔,默认为：3000ms
                @Function callback : 滚动完回调函数，参入一个参数当前滚动节点索引值
            }
        @注意：$.mggScrollImg返回的scrollImg对象上有
    			            next，prev，go三个方法，可以实现外部对滚动索引的控制。
    			    如：scrollImg.next();//会切换到下一张图片
    			        scrollImg.go(0);//会切换到第一张图片
    */
    function mggScrollImg(box, config) {
        this.box = $(box);
        this.config = $.extend({}, config || {});
        this.width = this.config.width || this.box.children().eq(0).width(); //一次滚动的宽度
        this.size = this.config.size || this.box.children().length;
        this.loop = true; //默认能循环滚动
        if(this.config.loop == false) this.loop = this.config.loop;
        this.auto = true; //默认自动滚动
        if(this.config.auto == false) this.auto = this.config.auto;
        this.auto_wait_time = this.config.auto_wait_time || 3000; //轮播间隔
        this.scroll_time = 300; //滚动时长
        this.minleft = -this.width * (this.size - 1); //最小left值，注意是负数[不循环情况下的值]
        this.maxleft = 0; //最大lfet值[不循环情况下的值]
        this.now_left = 0; //初始位置信息[不循环情况下的值]
        this.point_x = null; //记录一个x坐标
        this.point_y = null; //记录一个y坐标
        this.move_left = false; //记录向哪边滑动
        this.index = 0;
        this.busy = false;
        this.timer;
        this.init();
    }
    $.extend(mggScrollImg.prototype, {
        init: function() {
            this.bind_event();
            this.init_loop();
            this.auto_scroll();
        },
        bind_event: function() {
            var self = this;
            self.box.bind('touchstart', function(e) {
                if (e.touches.length == 1 && !self.busy) {
                    self.point_x = e.touches[0].screenX;
                    self.point_y = e.touches[0].screenY;
                }
            }).bind('touchmove', function(e) {
                if (e.touches.length == 1 && !self.busy) {
                    return self.move(e.touches[0].screenX, e.touches[0].screenY); //这里根据返回值觉得是否阻止默认touch事件
                }
            }).bind('touchend', function(e) {
                !self.busy && self.move_end();
            });
        },
        /*
            初始化循环滚动,当一次性需要滚动多个子元素时，暂不支持循环滚动效果,
            如果想实现一次性滚动多个子元素效果，可以通过页面结构实现
            循环滚动思路：复制首尾节点到尾首
        */
        init_loop: function() {
            if (this.box.children().length == this.size && this.loop) { //暂时只支持size和子节点数相等情况的循环
                this.now_left = -this.width; //设置初始位置信息
                this.minleft = -this.width * this.size; //最小left值
                this.maxleft = -this.width;
                this.box.prepend(this.box.children().eq(this.size - 1).clone()).append(this.box.children().eq(1).clone()).css(this.get_style(2));
                this.box.css('width', this.width * (this.size + 2));
            } else {
                this.loop = false;
                this.box.css('width', this.width * this.size);
            }
        },
        auto_scroll: function() { //自动滚动
            var self = this;
            if (!self.loop || !self.auto) return;
            clearTimeout(self.timer);
            self.timer = setTimeout(function() {
                self.go_index(self.index + 1);
            }, self.auto_wait_time);
        },
        go_index: function(ind) { //滚动到指定索引页面
            var self = this;
            if (self.busy) return;
            clearTimeout(self.timer);
            self.busy = true;
            if (self.loop) { //如果循环
                ind = ind < 0 ? -1 : ind;
                ind = ind > self.size ? self.size : ind;
            } else {
                ind = ind < 0 ? 0 : ind;
                ind = ind >= self.size ? (self.size - 1) : ind;
            }
            if (!self.loop && (self.now_left == -(self.width * ind))) {
                self.complete(ind);
            } else if (self.loop && (self.now_left == -self.width * (ind + 1))) {
                self.complete(ind);
            } else {
                if (ind == -1 || ind == self.size) { //循环滚动边界
                    self.index = ind == -1 ? (self.size - 1) : 0;
                    self.now_left = ind == -1 ? 0 : -self.width * (self.size + 1);
                } else {
                    self.index = ind;
                    self.now_left = -(self.width * (self.index + (self.loop ? 1 : 0)));
                }
                self.box.css(this.get_style(1));
                setTimeout(function() {
                    self.complete(ind);
                }, self.scroll_time);
            }
        },
        complete: function(ind) { //动画完成回调
            var self = this;
            self.busy = false;
            self.config.callback && self.config.callback(self.index);
            if (ind == -1) {
                self.now_left = self.minleft;
            } else if (ind == self.size) {
                self.now_left = self.maxleft;
            }
            self.box.css(this.get_style(2));
            self.auto_scroll();
        },
        next: function() { //下一页滚动
            if (!this.busy) {
                this.go_index(this.index + 1);
            }
        },
        prev: function() { //上一页滚动
            if (!this.busy) {
                this.go_index(this.index - 1);
            }
        },
        move: function(point_x, point_y) { //滑动屏幕处理函数
            var changeX = point_x - (this.point_x === null ? point_x : this.point_x),
                changeY = point_y - (this.point_y === null ? point_y : this.point_y),
                marginleft = this.now_left,
                return_value = false,
                sin = changeY / Math.sqrt(changeX * changeX + changeY * changeY);
            this.now_left = marginleft + changeX;
            this.move_left = changeX < 0;
            if (sin > Math.sin(Math.PI / 3) || sin < -Math.sin(Math.PI / 3)) { //滑动屏幕角度范围：PI/3  -- 2PI/3
                return_value = true; //不阻止默认行为
            }
            this.point_x = point_x;
            this.point_y = point_y;
            this.box.css(this.get_style(2));
            return return_value;
        },
        move_end: function() {
            var changeX = this.now_left % this.width,
                ind;
            if (this.now_left < this.minleft) { //手指向左滑动
                ind = this.index + 1;
            } else if (this.now_left > this.maxleft) { //手指向右滑动
                ind = this.index - 1;
            } else if (changeX != 0) {
                if (this.move_left) { //手指向左滑动
                    ind = this.index + 1;
                } else { //手指向右滑动
                    ind = this.index - 1;
                }
            } else {
                ind = this.index;
            }
            this.point_x = this.point_y = null;
            this.go_index(ind);
        },
        /*
            获取动画样式，要兼容更多浏览器，可以扩展该方法
            @int fig : 1 动画 2  没动画
        */
        get_style: function(fig) {
            var x = this.now_left,
                time = fig == 1 ? this.scroll_time : 0;
            return {
                '-webkit-transition': '-webkit-transform ' + time + 'ms',
                '-webkit-transform': 'translate3d(' + x + 'px,0,0)',
                '-webkit-backface-visibility': 'hidden',
                'transition': 'transform ' + time + 'ms',
                'transform': 'translate3d(' + x + 'px,0,0)'
            };
        }
    });
    /*
        这里对外提供调用接口，对外提供接口方法
        next ：下一页
        prev ：上一页
        go ：滚动到指定页
    */
    Viwepager = function(box, config) {
        var scrollImg = new mggScrollImg(box, config);
        return { //对外提供接口
            next: function() {
                scrollImg.next();
            },
            prev: function() {
                scrollImg.prev();
            },
            go: function(ind) {
                scrollImg.go_index(parseInt(ind) || 0);
            }
        }
    }
})(Zepto)

// js精度计算的方法
Math.formatFloat = function(f, digit) {
//  var m = Math.pow(10, digit);
//  return parseInt(f * m, 10) / m;
    return (Math.round(f*100000000))/100000000
}

// 未登录生成unloginId
function S4() {
  return (((1+Math.random())*0x10000)|0).toString(16).substring(1);
}
function guid2() {
  return (S4()+S4()+"-"+S4()+"-"+S4()+"-"+S4()+"-"+S4()+new Date().getTime().toString(16).substring(3));
}
function getUnloginId() {
	var unloginId = '';
	if(!J.Cache.get('unloginId')) {
		J.Cache.save('unloginId', guid2());
	}
	unloginId = J.Cache.get('unloginId').data;
	return unloginId;
}
//秒杀倒计时时间
function secKill(countDownTime){
    var s = countDownTime * 1;
    var time = {
        days: '',
        hour: '',
        minute: '',
        second: ''
    };
    time.days = Math.floor(s / (60 * 60 * 24));
    time.hour = Math.floor((s - time.days * (60 * 60 * 24)) / (60 * 60));
    time.minute = Math.floor((s - time.days * (60 * 60 * 24) - time.hour * 60 * 60) / 60);
    time.second = s % 60;

    time.days = time.days < 10 ? '0' + time.days : '' + time.days;
    time.hour = time.hour < 10 ? '0' + time.hour : '' + time.hour;
    time.minute = time.minute < 10 ? '0' + time.minute : '' + time.minute;
    time.second = time.second < 10 ? '0' + time.second : '' + time.second;

    return time;
}
