// 定位
function getLocationOfWechatOrApp(successCallback, errorCallback) {
	console.log('判断设备选择定位方式');
    if (isWechatClient()) {
    	console.log('微信定位')
        getLocationOfWechat(successCallback, errorCallback);
    } else if(isAndroidIosApp()){
    	console.log('app定位')
		getLocationOfApp(successCallback, errorCallback);
    } else {
    	errorCallback();
    }
}

//  App获取地理位置
function getLocationOfApp(successCallback, errorCallback) {
	console.log('app定位');
	if(isIOS()) {
		console.log('app定位2');
		baidumap_location.getCurrentPosition(function(result) {}, function(error) {})
	}
	
////	 成功回调
//  var onSuccess = function(result) {
//  	console.log(JSON.stringify(position, null, 4));
//  	var positionMsg = JSON.stringify(result, null, 4);
//      var latitude = positionMsg.latitude;
//      var longitude = positionMsg.longitude;
//      var address = longitude + ',' + latitude;
//      console.log('app获取地理位置');
//      getCommunityByGPS_service(address, successCallback);
//      J.Cache.save('hasLocation', true);
//  };
//
//  // 失败回调
//  var onError = function(err) {
//      var data = {
//          id: 1,
//          name: '奥体',
//          type: 0
//      };
//      J.Cache.save('community', data);
//      J.Cache.save('hasLocation', true);
//      successCallback();
//  };
//	
//	baidumap_location.getCurrentPosition(onSuccess, onError);
	
    // 成功回调
    var onSuccess = function(position) {
        var latitude = position.coords.latitude;
        var longitude = position.coords.longitude;
        var address = longitude + ',' + latitude;
        console.log('app获取地理位置');
        console.log(address);
        successCallback(address);
        J.Cache.save('hasLocation', true);
    };
    // 失败回调
    var onError = function(err) {
    	console.warn('ERROR(' + err.code + '): ' + err.message);
    	errorCallback()
        J.Cache.save('hasLocation', true);
    };
    setTimeout(function() {	
	    navigator.geolocation.getCurrentPosition(onSuccess, onError);
    }, 300);
}

// android App获取地理位置
//function getLocationOfAndroidApp() {
    //if(navigator.geolocation) { // 判断设备是否支持定位
    //    navigator.geolocation.getCurrentPosition(function(position) {
    //        alert(position.coords.latitude); // 纬度
    //        alert(position.coords.longitude); // 经度
    //    }, function(error) {
    //        alert(error.message);
    //    }, {
    //        timeout: 90000
    //    });
    //}else {
    //    alert("不支持定位");
    //}
    //// 成功回调
    //var onSuccess = function(position) {
    //    var latitude = position.latitude;
    //    var longitude = position.longitude;
    //    var address = longitude + ',' + latitude;
    //    getCommunityByGPS_service(address);
    //    J.Cache.save('hasLocation', true);
    //};
    //
    //// 失败回调
    //var onError = function() {
    //    alert("fail");
    //    var data = {
    //        id: 1,
    //        name: '奥体'
    //    }
    //    J.Cache.save('community', data);
    //    J.Cache.save('hasLocation', true);
    //};
    //baidu_location.getCurrentPosition(onSuccess, onError);
//}

// Wechat获取地理位置
function getLocationOfWechat(successCallback, errorCallback) {
    getJSSDKConfigParams_service();
    wx.ready(function() {
        wx.getLocation({
            type: 'wgs84', // 默认为wgs84的gps坐标，如果要返回直接给openLocation用的火星坐标，可传入'gcj02'
            success: function(res) {
                var latitude = res.latitude; // 纬度，浮点数，范围为90 ~ -90
                var longitude = res.longitude; // 经度，浮点数，范围为180 ~ -180。
                var address = longitude + ',' + latitude;
                console.log(address);
				successCallback(address);
                J.Cache.save('hasLocation', true);
            },
            fail: function() {
            	errorCallback()
                J.Cache.save('hasLocation', true);
            }
        });
    })
}
//判断是否是首次进入页面
function Cookie(value) {
    if(value!=null) {
        J.Cache.save('cache',value)
    }
}
//返回顶部
function goToTop(id){
    document.getElementById(id).scrollTop = 0;
    document.getElementById(id).style.transform = 'translate(0px, 0px) scale(1) translateZ(0px)';
}
// 获取主页
function getHome_control(data, module, advert) {
    // 广告
    if (advert.topList.length != 0) {
        J.Template.render("#homeTopAdvert_div", "homeTopAdvert_template", advert, "replace");
        $('#homeTopAdvert_div ul li').width(document.body.clientWidth);
        // 广告轮播
        var scrollImg = Viwepager('#homeTopAdvert_div [data-name="homeTopAdvert"] ul', {
            loop: true, //循环切换
            auto: true, //自动切换
            callback: function(ind) { //这里传过来的是索引值
                $('#homeTopAdvert_div [data-name="homeTopPage"] ol li').eq(ind).addClass('active').siblings().removeClass('active');
            }
        });
    } else {
        $("#homeTopAdvert_div").empty();
    }

    // 菜单
    if(module.eightNew.length != 0){
        J.Template.render("#homePageTemplateInfo_div", "homePageTemplateInfo_template", module, "replace");
    }else {
        $("#homePageTemplateInfo_div").empty();
    }
    if (data.homePage.length != 0) {
        J.Template.render("#homePage_div", "homePage_template", module, "replace");
        J.Template.render("#serviceMore_div", "serviceMore_template", module, "replace");
    } else {
        $("#homePage_div").empty();
        $("#serviceMore_div").empty();
    }
    //秒杀开始提醒
    if(data.isCountDown  == 1){
        if(data.seckillPic && data.seckillPic!= null){
            $('#homeCountDown').css('display','block');
            J.Template.render("#homeCountDown", "homeCountDown_template", module, "replace");
            window.clearInterval(myInterval);
            if(data.leftSeconds > 0){
                countDown(data.leftSeconds,'home');
            }else{
                $('#cycleTime').css('display','none');
                $('#homeCountDown p').css('display','inline-block');
            }
        }else{
            $('#homeCountDown').css('display','none');
        }
    }else{
        $('#homeCountDown').css('display','none');
    }
    // 关联商品
//  if (data.recommendServiceEventList.length != 0) {
//      J.Template.render("#recommendServiceEvent_div", "recommendServiceEvent_template", data.recommendServiceEventList, "replace");
//  }

	// 新的首页
	if(data.homePageTemplateInfo.length) {
		J.Template.render("#newHomePageTemplateInfo_div", "newHomePageTemplateInfo_template", data.homePageTemplateInfo, "replace");
		setTimeout(function() {
			data.homePageTemplateInfo.map(function(item, index) {
				if(item.floor) {
					var box = '#floor' + index + ' .lb ul';
					var par = {
						loop: true, //循环切换
			            auto: true, //自动切换
					}
					if($(box).children().length <= 1) par.auto = false;
			        var scrollImg = Viwepager(box, par);
				}
			})
		}, 100);
	}
	
    // 图片懒加载
    $('#home_div img').LazyLoad({
        container: 'article',
        effect: 'show',
        effectArgs: 'slow',
        load: null,
        offset: 0,
    });
    // 滚动监听
    $('#home_article .scrolling').scroll(function() {
		var scrollingHeight = $('#homeTopAdvert_div').height();
		var scrollTop = $('#home_article .scrolling').scrollTop();
		var n_styleHeight = $('#home_article .n_style').height();
		if(scrollingHeight - scrollTop < n_styleHeight) {
//		    原色---孔雀蓝
//			$('#home_article header.search_bar').css('background-color', '#87dad1');
//            新年红
// 			$('#home_article header.search_bar').css('background-color', '#a81316');
//            新春粉
			$('#home_article header.search_bar').css('background-color', '#fc597b');
		}else{
			$('#home_article header.search_bar').css('background-color', 'rgba(00,00,00,0.1);');
		}
        if(scrollTop > 500){
            $('#home_article .returnTop').css('display','inline-block');
        }else{
            $('#home_article .returnTop').css('display','none');
        }
	});

	// 
	if(data.seeList.length) {
		var num = parseInt(Math.random() * data.seeList.length);
	    var searchName = data.seeList[num].searchName;
		$("input[type='search'].shopSearch").attr('placeholder', searchName);
	    J.Cache.save('searchName', searchName);
	} else {
		J.Cache.empty('searchName');
	}
}
//type   1.分类页 2.列表页 3.活动页 4.活动页2  5.活动V3
function clickEight_control (type,relaId){
    if (type == 1){
        homeMenu_control(relaId);
    }else if (type == 2){
        lieBiaoYe_service(relaId);
    }else if (type == 3){
        getHomePageActivity(relaId);
    }else if (type == 4){
        activityPage_service(relaId);
    }else if(type == 5){
        activityV3_service(relaId);
    }else if(type == 6) {
    	getNewActivePage_control(relaId)
    }
}

/**
 * [clickAdvert_control 点击轮播图广告方法]
 * @param  {[type]} type      [跳转类型 0为不跳转 1为商品 2为活动 3为url 4为邻居圈说说 5优惠券 6.分类下的menu 7.活动页 8.活动页v2  9优惠券列表 10活动V3 11自定义活动页]
 * @param  {[type]} relatedId [可以是任何id,根据type来]
 */
function clickAdvert_control(type,relatedId,saleId){
    if (type == 1){
        getServiceEventDetails_service(relatedId);
    }else if (type == 2){
        alert("活动尚未开始，敬请期待")
    }else if (type == 3){
        window.location.href = relatedId;
    }else if (type == 4){
        alert("邻居圈尚未开始，敬请期待")
    }else if (type == 5){
    	if(relatedId) {
    		if(saleId) {
    			getCouponDetail_service(relatedId, 0, saleId);
    		} else {    			
    			getCouponDetail_service(relatedId, 0, 0);
    		}
    	} else {
    		J.Router.goTo("#couponList_section");
    	}
    }else if(type == 6){
        homeMenu_control(relatedId);
    }else if(type == 7){
    	getHomePageActivity(relatedId)
    }else if(type == 8) {
    	activityPage_service(relatedId);
    }else if(type == 9) {
    	getCouponList_control();
    }else if(type == 10) {
        activityV3_service(relatedId);
    }else if(type == 11) {
        getNewActivePage_control(relatedId);
    }
}

// 获取优惠券列表
function getCouponList_control() {
    J.Router.goTo("#couponList_section");
}

// 购买优惠券
function buyCoupon_control(couponId, price, saleId) {
    J.Cache.save('payCouponId',couponId);
    J.Router.goTo("#payMethod_section");
    calculateAvailableIntegrationAndBalance_service(price, 1);
    setTimeout(function() {
        $("#payMethod_section").find('[data-name="couponPay"]').val(couponId);
        // 加一个绩效
        $("#payMethod_section").find('[data-name="couponPay"]').data().saleId = saleId;
        $("#payMethod_section").find('[data-name="offlinePay"]').hide();

    }, 300)
}

//活动2滚动监听
function activityPage_control(listTits){
    $ ('#activityTwo_article').unbind ('scroll');
    $('#activityTwo_article').scroll(function() {
        var Top_Height = $('#actTwoAdvert_div').height() + $('#actTeJia_div').height();
        var height = $('#activityTwo_article')[0].scrollTop - Top_Height ;
        var top;
        for(var i = 0; i < listTits.length; i++) {
            var st = $('#activityTwo_article')[0].scrollTop;
            var j = i + 1;
            var _Tits = $(document.getElementsByClassName(listTits[i].categoryName))[0][0];
            if(j < listTits.length){
                top = document.getElementById(listTits[j].categoryId).offsetTop;
                if (st <= top - 50){
                    $(_Tits).addClass('active').siblings('a').removeClass('active');
                    // if(i > 3){
                    //     //$('#tits li')[0].scrollLeft = $('#tits li')[0].scrollWidth;
                    //     //$('#tits li')[0].scrollLeft = document.body.clientWidth;
                    //     $('#tits li')[0].scrollLeft = $('#tits li')[0].scrollWidth * i / ($('#tits li')[0].children.length);
                    // }else{
                    //     $('#tits li')[0].scrollLeft = 0;
                    // }
                    break;
                }
            }else{
                top = document.getElementById(listTits[i].categoryId).offsetTop;
                var top1 = document.getElementById(listTits[i - 1].categoryId).offsetTop;
                if (st >= top1 + 20){
                    $(_Tits).addClass('active').siblings('a').removeClass('active');
                    // if(i > 3){
                    //     $('#tits li')[0].scrollLeft = $('#tits li')[0].scrollWidth * i / ($('#tits li')[0].children.length);
                    // }else{
                    //     $('#tits li')[0].scrollLeft = 0;
                    // }
                    break;
                }
            }
            if(i > 1){
                $('#tits li')[0].scrollLeft += $('#tits li')[0].children[i].offsetWidth;
            }else{
                $('#tits li')[0].scrollLeft = 0;
            }
        }
        var firstCategoryName = $(document.getElementsByClassName(listTits[0].categoryName))[0][0];
        if(st <= Top_Height ){
            $(firstCategoryName).addClass('active').siblings('a').removeClass('active');
            $('#tits li')[0].scrollLeft =  1;
        }
        //var headerTit = 62 + document.getElementById('tits').offsetHeight;
            if(height > 45 ){
                $(' #activityTwo_article').css('top',105);
                $('#listTitles').css('display','block');
                $('#listTits #tits').css('display','none');
            }else if(height < 0){
                $(firstCategoryName).addClass('active').siblings('a').removeClass('active');
                $('#listTits #tits').css('display','block');
                $(' #activityTwo_article').css('top',64);
                $('#listTitles').css('display','none');
            }
    })
}
//活动2点击监听
function titActive(i,id){
    //$(ele).addClass('active').siblings().removeClass('active');
    var x = $(document.getElementsByClassName(i))[0][0];
    $(x).addClass('active').siblings('a').removeClass('active');
    var Top_Height = $('#actTwoAdvert_div').height() + $('#actTeJia_div').height();
    var height = document.getElementById(id).offsetTop - Top_Height;
    $('#activityTwo_article')[0].scrollTop = document.getElementById(id).offsetTop;
        if(height > 45){
            $(' #activityTwo_article').css('top',105);
            $('#listTitles').css('display','block');
            $('#listTits #tits').css('display','none');
        }else if(height < 0){
            $('#listTits #tits').css('display','block');
            $(' #activityTwo_article').css('top',64);
            $('#listTitles').css('display','none');
        }
}

//倒计时循环
var myInterval;
function countDown(countDownTime,sec){
    window.clearInterval(myInterval);
    var s = countDownTime * 1 - 1;
    if(sec == 'home'){
        myInterval = window.setInterval(function() {
            var time = secKill(s);
            document.getElementById('homeCountDays').innerText = time.days;
            document.getElementById('homeCountHours').innerText = time.hour;
            document.getElementById('homeCountMins').innerText = time.minute;
            document.getElementById('homeCountSecs').innerText = time.second;
            s = s-1;
            if(s < 0) {
                window.clearInterval(myInterval);
                $('#cycleTime').css('display','none');
                $('#homeCountDown p').css('display','inline-block');
            }else{
                $('#cycleTime').css('display','inline-block');
            }
        }, 1000);
    }else if(sec == 'activityPage_section'){
        myInterval = window.setInterval(function() {
            var time = secKill(s);
            document.getElementById('countdownDays').innerText = time.days;
            document.getElementById('countdownHours').innerText = time.hour;
            document.getElementById('countdownMins').innerText = time.minute;
            document.getElementById('countdownSecs').innerText = time.second;
            s = s-1;
            if(s < 0) {
                window.clearInterval(myInterval);
                activityPage_service($('#isCountDown').data().id);
            }
        }, 1000);
    }
}

// 停车场页面
function goParking_control() {
	if(isWechatClient()) {
		location.href = 'parking.html#parking_section';		
	} else {
		J.showToast('请在微信端打开');
	}
}

// 购买优惠券service前确认control
function submitCouponOrder_control() {
    var _money = $("#payMethod_section").find('span[name=finalMoney]').text();
    var couponId = $("#payMethod_section").find('[data-name="couponPay"]').val();
    if(isNullString(couponId)) couponId = J.Cache.get('payCouponId').data;
    var param = {
        num: 1,
        couponId: couponId,
        integralOff: parseInt($("#integrationVal").val()),
        balanceOff: parseFloat($("#blanceVal").val()).toFixed(2),
        saleId: $("#payMethod_section").find('[data-name="couponPay"]').data().saleId,
        total: pay.total
    };
	console.log(param);
    // 支付方式
    if (pay.mock.blance.thirdPatMethod != 0) {
        param.payMethod = 0;
        $("#payMethod li").each(function() {
            if ($(this).hasClass('active')) {
                param.payMethod = $(this).find('label').attr("value");
            }
        })
    } else {
        param.payMethod = 0;
    }
    // 调用不同支付接口
    if (param.payMethod == 0 && pay.mock.blance.thirdPatMethod != 0) {
        J.alert('提示', '还需支付' + pay.mock.blance.thirdPatMethod + '元,请支付');
    } else {
        J.dialogbox('共支付' + pay.total + '元,需第三方平台支付' + _money + '元,确认支付吗', function() {
            buyCoupon_service(param);
        })
    }
}


//生成片列表的弹窗
function getCommunityList_control(mock) {
    var _html = "<div>";
    var data = []
    mock.map(function(e, ele) {
        if (J.Cache.get('community').data.id != e.id) {
            _html = _html + "<span onclick=saveSommunity_control('" + e.id + "','" + e.name + "','" + e.type + "')>" + e.name + "</span>";
            e.picture = picNetworkPrefix(e.picture);
            data.push(e)
        }
    })
    _html = _html + "</div>";
//  J.popover(_html, "top-second", "top");
    J.Template.render("#getCommunityListBox", "getCommunityListBox_template", data, "replace");
    $('#getCommunityListBox').addClass('active');
}
//点击片列表的保存方法
function saveSommunity_control(id, name,type) {
	var _data = {}
	//没有登录或者登录没有收货地址，直接更改片区
    if(J.Cache.get('login') == null || !J.Cache.get('login').data.userAddressId){
        $("#community").text(name);
        _data = {
            id: id,
            name: name,
            type: type
        }
        J.Cache.save('community', _data);
        J.closePopup();
        changeCommunity_service(id);
        getHome_service();
    }else{
        if(id != J.Cache.get('login').data.userAddressId){
            J.confirm('提示','所选片区和收货地址不一致，确定修改吗',function () {
                _data = {
                    id: id,
                    name: name
                }
                J.Router.goTo('#myAddress_section');
                J.closePopup();
            },function () {

            })
        }else {
            $("#community").text(name);
            _data = {
                id: id,
                name: name,
                type: type
            }
            J.Cache.save('community', _data);
            J.closePopup();
            changeCommunity_service(id);
            getHome_service();
        }
    }

}

//生成search列表
function getList_control(data) {
//	$('#searchList_div').css('top','1000px')
	$('#searchList_div').show();
//	$('#searchList_div').animate({top:'0px'}, 300, function() {})
	J.Template.render('#searchList_ul', 'searchList_template', data, "replace");
	
	$('#searchList_div').click(function() {
		$('#searchList_div').hide();
//		$('#searchList_div').animate({top:'1000px'},300 ,function() {
//			$('#searchList_div').hide();
//		});
	})
}
//点击列表的search方法
function searchSerName_control(name) {
//  $("#home_article input[type='search']").val('');
    searchEventName_control(name);
	$('#searchList_div').hide();
}

//首页扫码
function homePageScanCode() {
	scanQRCode(function(res) {
		console.log(res);
		if(res.resultType == 'EAN_8' || res.resultType == 'EAN_13') {
			getProductId(res.resultText);
		} 
		if(res.resultType == 'WTY_CODE') {
			var param = res.resultText.split(',');
			clickAdvert_control(param[0], param[1],param[2]);
		}
	});
}

//获取二维码或条码
function scanQRCode(callback) {
    //扫码文本格式如下所示 类型,id  代码如同首页广告就可以
    if (isWechatClient()) {
    	var url = 'ws/wechatAction' + versionMessage.version + '!getJSSDKConfigParams.sy';
	    var par = {
	        JSSDKUrl: window.location.href.split('#')[0]
	    };
	    service.get(url, par, function(data) {
	        wx.config({
	            debug: false,
	            appId: data.appId,
	            timestamp: data.timestamp,
	            nonceStr: data.nonceStr,
	            signature: data.signature,
	            jsApiList: [
	                'scanQRCode',
	            ]
	        });
	
	        wx.error(function(res) {
				console.log(res);
	        })
	        wx.ready(function() {
	            wx.scanQRCode({
	                needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
	                scanType: ["qrCode","barCode"], // 可以指定扫二维码还是一维码，默认二者都有
	                success: function (res) {
	                	console.log(res, '原始的扫码数据')
	                    var result = res.resultStr; // 当needResult 为 1 时，扫码返回的结果
	                    var param = result.split(',');	                    
	                    var par = {}
	                    if(param[0] == 'EAN_8' || param[0] == 'EAN_13') {
	                    	par.resultType = param[0];
	                    	par.resultText = param[1];
	                    } else {
	                    	par.resultType = 'WTY_CODE';
	                    	par.resultText = res.resultStr;
	                    }
	                    console.log(par)
	                    callback(par);
	                }
	            });
	        })
	    });
    } else {
        cordova.plugins.barcodeScanner.scan(
            function(result) {
            	console.log(result, '原始的扫码数据')
            	var par = {}
                if(result.format == 'EAN_8' || result.format == 'EAN_13') {
                	par.resultType = result.format;
					par.resultText = result.text;
                } else {
                	par.resultType = 'WTY_CODE';
                	par.resultText = result.text;
                	
                }
                callback(par);
            },
            function(error) {
                alert("Scanning failed: " + error);
            }
        );
    }
}

function homeMenu_control(id){
	var url = 'ws/serviceAction' + versionMessage.version + '!getServiceMenu.sy';
	var par = {
        parentId : id
    }
	J.Router.goTo("#index_section");
    service.get(url,par,function(data){

    	if(data.length == 0) {
    		getThirdLevelMenu_control(data,id);
    	}else{
    		if(data[0].level == 3) {
    			getServiceMenu_service(id, data[0].level)
    		} else {
			    $("#home_article").removeClass('active').siblings("#classification_article").addClass('active');
			    $("#index_footer").find('.footer_classification').parent().addClass('active').siblings('a').removeClass('active');
			    $("#classification_article").children('header').attr('value',false);
			    childrenAticleToggleActive('classification_article', 'addClass');
			    childrenAticleToggleActive('home_article', 'removeClass');
			    firstLevelMenu();
				getServiceMenu_service(id)
    		}
    	}
    })
    var firstLevelMenu = function() {
        var par = {
            communityId: J.Cache.get('community').data.id
        }
        service.get(url, par, function(data) {
            data.map(function(item) {
                if (!isNullString(item.picture)) {
                    item.picture = picNetworkPrefix(item.picture);
                }
            })
            J.Template.render('#firstLevelMenu_div', 'firstLevelMenu_template', data, "replace");
            $("#firstLevelMenu_div>ul>li").map(function(index, item) {
                if ($(item).attr('value') == id) {
                    $(item).addClass('active');
                    $(item).parent().scrollTop(item.offsetTop);
                }
            })
        })
    }
}

// 苏果充值获取地址
function getAddressForRecharge_control(){
    var address = J.Cache.get('address');
    if(address){
        if(!isEmptyObject(address.data)){
            $('#rechargeOfSuguo_form [data-name="addressId"]').attr('data-addressId',address.data.id).attr('data-communityId',address.data.communityId); //地址姓名
            $('#rechargeOfSuguo_form [data-name="name"]').text(address.data.name); //地址姓名
            $('#rechargeOfSuguo_form [data-name="contact"]').text(address.data.contact); //地址电话
            $('#rechargeOfSuguo_form [data-name="address"]').text(address.data.address); //地址
            $('#rechargeOfSuguo_form [data-name="editAddress"]').show().siblings().hide();
        }else{
            $('#rechargeOfSuguo_form [data-name="addAddress"]').show().siblings().hide();
        }
    }
}

// 新增苏果充值订单
function addSuguoOrder_control() {
    var addressId = $('#rechargeOfSuguo_form [data-name="addressId"]').attr('data-addressId');
    var addressCommunityId = $('#rechargeOfSuguo_form [data-name="addressId"]').attr('data-communityId');
    var community = J.Cache.get('community').data;
    if (!isNullString(addressId)) {
        if (addressCommunityId == community.id) {
            var mock = $('#rechargeOfSuguo_form').serializeArray();
            var messge = {
                'suguoCardCode' : '请输入卡号',
                'money' : '金额不能为空'
            }
            var correct = mock.length;
            $.each(mock, function(index, item) {
                if (isNullString(item.value)) {
                    J.showToast(messge[item.name]);
                    return;
                } else {
                    if(item.name == 'money'){
                        var reg = new RegExp("^[0-9]+(.[0-9]{2})?$");
                        if(reg.test(item.value)){
                            correct--;
                        }else{
                            J.showToast('请输入数字');
                            return;
                        }
                    }else{
                        correct--;
                    }
                }
            });
            if (correct == 0) {
                addSuguoOrder_service(mock,addressId);
            }
        } else {
            J.alert('提示', '您所选的商品无法送达您的送货区域，请更改地址或更改所在区域');
        }
    } else {
        J.alert('提示', '请添加地址后充值');
    }
}

// 首页红包
function getRedPacket_control() {
	var par = {}
	if(J.Cache.get('login')) {
		par.phone = J.Cache.get('login').data.phone
	}
	getRedPacket_service(par, function(data) {
		var id = data.couponId
		var pic = picNetworkPrefix(data.picture);
		$('#homeRedPacket_div').addClass('active');
		$('#homeRedPacket_div .redPacketBox').css('background-image', 'url(' + pic + ')')

		$('#homeRedPacket_div .redPacketBox').unbind('click');
		$('#homeRedPacket_div .redPacketBox').bind('click',function() {
			if(!J.Cache.get('login')) {
				$(this).parent().removeClass('active');
				J.Router.goTo('#login_section')
				return;
			}
			receiveRedPacket_service(id, 0);
			$(this).parent().removeClass('active');
		})
	})
}
// 关闭红包页面 不是公用的方法
function xRedPacketMark(ele) {
	$(ele).parent().parent().removeClass('active');
	event.stopPropagation(); 
}

// 获取自定义额活动页数据
function getNewActivePage_control(activityId) {
	gitNewActivePage_service(activityId, function(data) {
		data.lists.map(function(item, i) {
            if(item.type == 1) {
                item.banner.map(function(item2) {
                    item2.pic = picNetworkPrefix(item2.pic);
                })
            }
            if(item.type == 2) {
                item.coupon.map(function(item2) {
                    item2.picture = picNetworkPrefix(item2.picture);
                })
            }
            if(item.type == 3) {

            }
            if(item.type == 4) {
                item.shopCategories.categoryImgUrl = picNetworkPrefix(item.shopCategories.categoryImgUrl);
                item.shopCategories.shopping.map(function(item2){
                    item2.picture = picNetworkPrefix(item2.picture);
                })
            }
            if(item.type == 5) {
                item.bargainGoods.map(function(item2) {
                    item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                })
            }
            if(item.type == 6) {
                if(item.pic.length > 0){
                    item.pic.map(function(item2){
                        item2.pic = picNetworkPrefix(item2.pic);
                    });
                }
            }
            if(item.type == 7) {
                item.themes.map(function(item2) {
                    item2.pic = picNetworkPrefix(item2.pic);
                })
            }
		});
		J.Cache.save("activePageData", data);
		if(window.location.href.indexOf('newActivePage_section') >= 0) {
			buildNewActivePage_control();
		} else {
			J.Router.goTo('#newActivePage_section');			
		}
	});
}
// 自定义活动页渲染
function buildNewActivePage_control() {
	var data = '';
	if(J.Cache.get("activePageData")) {
		data = J.Cache.get("activePageData").data;
        if(data.title.type == 1) {
        	$('#newActivePage_section header').addClass('lucency');
        	$('#newActivePage_section article').addClass('lucency');
        } else if(data.title.type == 2) {
        	$('#newActivePage_section header').removeClass('lucency');
        	$('#newActivePage_section article').removeClass('lucency');
        	$('#newActivePage_section header h1').html(data.title.name);
        }
	}
	var datas = {
		list: '2'
	};
	J.Template.render("#newActivePage_div", "newActivePage_template", data, "replace");
//	setTimeout(function() {
		data.lists.map(function(item, index) {
			if(item.type == 1) {
				var box = '#banner' + index + ' ul';
				var par = {
					loop: true, //循环切换
		            auto: true, //自动切换
				}
				if($(box).children().length <= 1) par.auto = false;
		        var scrollImg = Viwepager(box, par);
			}
		})
//	}, 100);
}
