/**
 * [getProductDetail_control 获取商品详情]
 * @param  {Object} data [所需数据]
 */
function getProductDetail_control(data,isRendering) {
	var gos = (data.type == 1) ? 'serviceDetail' : 'productDetail';
	if(!isRendering) J.Router.goTo("#" + gos + "_section");
	var num = 1;
	$('[data-name=specification][data-id="2"]').html('立即购买');
	num = J.Cache.get('beginBuyNum').data.beginBuyNum ? J.Cache.get('beginBuyNum').data.beginBuyNum : 1;
	setTimeout(function() {
		var html = createPopupHtml(data, 'productInfo'); // 弹出框fn
		// 购买数量html元素
		html += '<li class="info" data-key="num">';
		if(data.limitNumber){
			html += '<p class="title">购买数量(限购'+data.limitNumber+'件)：</p>';
		}else{
			html += '<p class="title">购买数量：</p>';
		}
		
		html += '<label class="miuns_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val() , this,' + data.canBuyNumber +',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="add"></b></label>' +
			'<input type="text" value="' + num + '" class="num" onkeyup="replaceCode_control(this, ' + data.canBuyNumber + ')" onafterpaste="replaceCode_control(this' + data.canBuyNumber + ')" name="number"/>' +
			'<label class="miuns_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val(),this,' + data.canBuyNumber + ',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="minus"></b></label>' +
			'</li></ul>';
		if(J.Cache.get('community').data.type == 1){
			data.stockNum = '批销';
		}
		J.Template.render("#" + gos + "_div", gos + "_template", data, "replace");
		$('#' + gos + '_article').scrollTop(0); //令详情页进入时置顶，主要针对于点击下侧推送商品时的页面状态
		if(data.offlineMul == 1 ) $("#" + gos + "_article").attr('data-offlineMul',1); //服务预约时该字段为1则可购买多个
		// 轮播
		if(data.carouselPicture.length != 0){
			var datas = {
				id: data.id,
				list: data.carouselPicture
			}
			J.Template.render("#" + gos + "Advert_div", gos + "Advert_template", datas, "replace");
			$('#' + gos + 'Advert_div ul li').width(document.body.clientWidth);
			var box = '#' + gos + 'Advert_div [data-name="'+ gos +'Advert"'+'] ul';
			var par = {
				loop: true, //循环切换
				auto: true, //自动切换
				callback: function(ind) { //这里传过来的是索引值
					$('#' + gos + 'Advert_div [data-name="'+ gos +'Page"'+'] ol li').eq(ind).addClass('active').siblings().removeClass('active');
				}
			}
			if($(box).children().length <= 1) par.auto = false;
			var scrollImg = Viwepager(box, par);
		}
		$("#detailLimitNum").text(data.merchant.name);
		$("#detailLimitNum").off().on('click', function() {
			getMerchantList(data.merchant.id);
		});
		// ‘选择规格’ 、‘加入购物车’、‘立即购买’弹框
		$('#productDetail_section [data-name="specification"]').off().on('click',function() {
                var community = J.Cache.get('community').data;
                if (J.Cache.get('login') != null) {
//                  var receiver = J.Cache.get('login').data;
//                  if(receiver.userAddressId == null){
//                      J.showToast('您还没有填写收货地址，请填写后再添加');
//                      return;
//                  }
//                  if(receiver.userAddressId!= community.id){
//                  	if(receiver.userAddressName == null){
//                          J.alert('提示','请先填写收货地址');
//						}else{
//                          setTimeout(function () {
//                              J.alert('提示','当前商品在' + community.name + ',您的收货地址离此门店太远,请选择离您较近的门店');
//                          },100)
//						}
//                  }
                }else {
//                  J.showToast('您还没有登录，请登录后重试');
//                  J.Router.goTo("#login_section");
//                  return;
                }
                event.preventDefault();
                event.stopPropagation();
                var handleType = $(this).attr('data-id');
                chooseSpecificationMethod_control(handleType,data.id,html,data.goodsScope); //选择规格方式fn
            });

        //物流和商品评价分数都不为0才显示"高","低"
        // if(data.commentInfo.eventScore != 0 && data.commentInfo.logisticalScore != 0){
        //     $('.aaaaa .bg_orange').addClass('orangeActive');
        // }
	}, 300)
}

// 正则校验只允许正整数字
function replaceCode_control(self, canBuyNumber){
	if (self.value.length == 1) {
		self.value = self.value.replace(/[^1-9]/g, '1');
	} else {
		self.value = self.value.replace(/\D/g, '');
	}
	
	if(self.value > canBuyNumber && canBuyNumber != -1) {
		if(canBuyNumber >=　0) {
			self.value = canBuyNumber;
		} else {
			self.value = 1;
		}
	}
}

/**
 * [chooseSpecificationMethod_control 选择规格方式]
 * @param  {Number} handleType [操作类型 0.选择规格 1.加入购物车 2.立即购买]
 * @param  {String} html       [页面元素]
 */
function chooseSpecificationMethod_control(handleType,eventId,html,goodsScope,sec) {
	var buttons = [];
	if (handleType == 0) {
		buttons = [{
			text: '加入购物车',
			class: 'bluehues',
			handler: function () {
				specificationPopup_control(eventId, 'productInfo', 0,sec);
			}
		}, {
			text: '立即购买',
			class: 'wheat',
			handler: function () {
				specificationPopup_control(eventId, 'productInfo', 1);
			}
		}];
	}else if(handleType == 1) {
		buttons = [{
			text: '确定',
			class: 'brick-red',
			handler: function () {
				specificationPopup_control(eventId, 'productInfo', 0, goodsScope,sec);
			}
		}];
	}else if(handleType == 2){
			buttons = [{
				text: '确定',
				class : 'brick-red',
				handler: function() {
					specificationPopup_control(eventId,'productInfo', 1,goodsScope);
				}
			}];
	}
	J.Popup.bottomsheet({
		html: html,
		buttons: buttons
	});
}
/**
 * [specificationPopup_control 规格弹出框]
 * @param  {Number} id         [商品id]
 * @param  {String} idName     [elements元素Id]
 * @param  {Number} handleType [操作类型 0.加入购物车  1.立即购买]
 */
function specificationPopup_control(id, idName, handleType,goodsScope,sec) {
	if ($("#" + idName).find("li.info").length >= 1) {
		var color = '',
			size = '',
			num = 0,
			colorTitle = '' ,
			sizeTitle = '' ,
			hasColor = false,
			hasSize = false ,
			hasNum = false ;
		$("#" + idName).find("li.info").map(function(index, item) {
			var el = $(item).attr('data-key');
			// 判断是否为数量
			if (el != 'num') {
				$(item).children('span').map(function(index, ele) {
					if (el == 'colorName'){
						hasColor = true ;
						colorTitle = $(item).attr('data-title');
					} 
					if (el == 'sizeName'){
						hasSize = true ;
						sizeTitle = $(item).attr('data-title');
					} 
					if ($(ele).hasClass('active')) {
						if (el == 'colorName'){
							color = $(ele).attr('data-val');
						} 
						if (el == 'sizeName'){
							size = $(ele).attr('data-val');
						} 
					}
				})
			} else {
				$(item).find('input').map(function(index, ele) {
					num = $(ele).val();
					hasNum = true;
				})
			}
		})
		// 不同elementsid对应不同方法
		var fn = {
			shopCarEventInfo: function() {
				editSpecification_control(id, size, color); //购物车编辑规格fn
			},
			productInfo: function() {
				var mock = {
					type : 0,
					color : color,
					size : size
				};
				if(num < 0) {
					num = num * -1;
				}				
				addShoppingCar_service(mock, handleType, num,id,goodsScope,sec); //加入购物车fn
			}
		}
		// 是否有数量 前提下是否选中color及size
		var userCommunityId = 1;
		if(J.Cache.get('login')){
		   userCommunityId = J.Cache.get('login').data.communityId;
		} 
		var gpsCommunityId = J.Cache.get('community').data.id;
		var gpsCommunityName = J.Cache.get('community').data.name;
		if(hasNum){
			var judgeFn = function(){
				if($("#" + idName).find("li.info").length > 1){
					if($("#" + idName).find("li.info").length <= 2){
						if (hasColor) {
							color == '' ? J.showToast('请选择' + colorTitle, 'info') : fn[idName]();
						}
						if (hasSize) {
							size == '' ? J.showToast('请选择' + sizeTitle, 'info') : fn[idName]()
						}
					}else{
						color == '' || size == '' ? J.showToast('请选择'+ colorTitle +'或' + sizeTitle, 'info') : fn[idName]() ;
					}
				}else{
					fn[idName]();
				}
			};

			if(isNullString(userCommunityId)){
				J.dialogbox('是否送到'+gpsCommunityName+'?',function(){
					saveCommunity_service(gpsCommunityId,judgeFn);
				},function(){
					J.Router.goTo('#myAddress_section');
				});
			}else{
				judgeFn();
				$('#jingle_popup_mask,#jingle_popup').hide();
			}
		}else{
			if($("#" + idName).find("li.info").length >= 1){
				if($("#" + idName).find("li.info").length == 1){
					if (hasColor) {
						color == '' ? J.showToast('请选择' + colorTitle, 'info') : fn[idName]();
					}
					if (hasSize) {
						size == '' ? J.showToast('请选择' + sizeTitle, 'info') : fn[idName]()
					}
				}else{
					color == '' || size == '' ? J.showToast('请选择'+ colorTitle +'或' + sizeTitle, 'info') : fn[idName]() ;
				}
			}else{
				fn[idName]();
			}	
			$('#jingle_popup_mask,#jingle_popup').hide();
		}
	}
}
//是否有规格
function isHaveSpecification_control(data,sec){
	if(data.specification.length != 0){
		setTimeout(function() {
			var html = createPopupHtml(data, 'productInfo'); // 弹出框fn
			// 购买数量html元素
			html += '<li class="info" data-key="num">';
			if(data.limitNumber){
				html += '<p class="title">购买数量(限购'+data.limitNumber+'件)：</p>';
			}else{
				html += '<p class="title">购买数量：</p>';
			}
			html += '<label class="miuns_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val() , this,' + data.canBuyNumber +  ',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="add"></b></label>' +
				'<input type="text" value="1" class="num" onkeyup="replaceCode_control(this)" onafterpaste="replaceCode_control(this)" name="number"/>' +
				'<label class="miuns_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val(),this,' + data.canBuyNumber +  ',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="minus"></b></label>' +
				'</li></ul>';
			// ‘选择规格’弹框
				var community = J.Cache.get('community').data;
//				if (J.Cache.get('login') != null) {
//					var receiver = J.Cache.get('login').data;
//					if (receiver.userAddressId == null) {
//						J.showToast('您还没有填写收货地址，请填写后再添加');
//						return;
//					}
//					if (receiver.userAddressId != community.id) {
//						if (receiver.userAddressName == null) {
//							J.showToast('请先填写您的收货地址');
//						} else {
//							setTimeout(function () {
//								J.showToast('当前商品所在片区与您的收货地址不相符,请更改片区或收货地址后重试');
//							}, 100)
//						}
//					}
//				} 
				chooseSpecificationMethod_control(1,data.id,html,data.goodsScope,sec); //handleType:1 加入购物车 选择规格方式fn
		}, 200);
		J.Cache.empty('listIndex');
	}else{
//		var community = J.Cache.get('community').data;
//		if (J.Cache.get('login') != null) {
//			var receiver = J.Cache.get('login').data;
//			if(receiver.userAddressId == null){
//				J.showToast('您还没有填写收货地址，请填写后再添加');
//				return;
//			}
//			if(receiver.userAddressId!= community.id){
//				if(receiver.userAddressName == null){
//					J.showToast('请先填写您的收货地址');
//				}else{
//					setTimeout(function () {
//						J.showToast('当前商品所在片区与您的收货地址不相符,请更改片区或收货地址后重试');
//					},100)
//				}
//			}
//			
//		}
		var mock = {
				type : 0,
				color : '',
				size : ''
			};
		addShoppingCar_service(mock, 0, 1,data.id,data.goodsScope,sec); //加入购物车fn
		J.Cache.empty('listIndex');
	}
}
// 获取评论,type,1,专家意见,2,用户意见
function getCommentList(eventId,type){
    J.Cache.save('commentEventId',eventId);
	J.Router.goTo("#commentList_section");
    commentList_service(eventId,type);
}
//切换专家评价和普通用户评价
function togg(ele) {
    if (!$(ele).hasClass('active')) {
        $('.combot').toggleClass('active');
    }
    if ($('.user').hasClass('active')) {
        $('#professor').hide();
    } else {
        $('#professor').show();
    }
}

function showMask() {
    $("#mask").css("height", $(document).height());
    $("#mask").css("width", $(document).width());
    $("#mask").show();
}

/**
 * [getReservation_control 获取服务预约]
 * @param  {Number} eventId      [服务id]
 * @param  {Number} continueTime [持续时间 以半个小时为单位]
 * @param  {Number} years        [选择的年]
 * @param  {Number} months       [选择的月]
 * @param  {Number} days         [选择的日]
 */
//第一次进入时间选择页面
function getReservations_control(eventId, continueTime, years, months, days){
	J.Router.goTo('#serviceReservation_section');
    setTimeout(function() {
        var date = getFiveDate() ;
        var times = (date[0].years + '-' + date[0].months + '-' + date[0].days);
        getReservation_service(eventId,times, continueTime,years); //获取服务service
    }, 200)
}
//在时间选择页面切换每一天
function getReservation_control(eventId, continueTime, years, months, days) {
	$("#serviceDetail_article").attr('data-eventId',eventId);
	if(months < 10) {
		months = '0' + months;
	}
	if(days < 10) {
		days = '0' + days;
	}
	setTimeout(function() {
		var times = (years + '-' + months + '-' + days);
		getReservation_service(eventId,times, continueTime,years); //获取服务service
	}, 200)
}
// 服务预约tpl模板
function getReservation_tpl_control(data,years){
	// 判断是否为初始数据
	if(!years){
		J.Template.render("#reservationTime_div","reservationTime_template" , data ,"replace"); //日期tpl
		$("#serviceReservation_article .group>li").first().addClass('active');
	} 
	J.Template.render("#serviceReservation_div","serviceReservation_template" , data ,"replace"); //预约时间tpl
	var reserveList = [];
	var choosedList = [];	
	// 点击未约满
	$("#serviceReservation_div li").not('.full').off('tap').on('tap',function(){
		reserveList = [];
		choosedList = [];
		var startIndex = 0;
		var nextSelectorId = $(this).next().attr('data-id');

		// 获取下一个兄弟节点的位置
		$(this).siblings('li').map(function(index,el){
			if($(el).attr('data-id') == nextSelectorId) startIndex = index;
		});
		$(this).toggleClass('active').siblings('li').removeClass('active');
		if(!isNullString(nextSelectorId)){
			var siblingsEl = $(this).siblings('li').slice(startIndex,startIndex+data.continueTime);
			$(this).hasClass('active') ? siblingsEl.addClass('active') : siblingsEl.removeClass('active');
		}

		// 获取预约时间
		$("#serviceReservation_div li.flex").map(function(index,ele){
			if($(ele).hasClass('active')){
				reserveList.push($(ele).attr('data-id'));
				choosedList.push($(ele).attr('data-val'));
			}
		})
	})

	// 确认选择点击方法
	$("#serviceReservation_footer a").off('tap').on('tap',function(){
		if(reserveList.length != 0){
			history.go(-1);
			var chooseLength = choosedList.length;
			J.Cache.save('reservation',JSON.stringify(reserveList)); //保存预约时间

			$('#serviceDetail_article [data-name="reservationTime"]').text('已选择服务预约时间').after('<div data-name="time">'+choosedList[0]+'</div>');
		}else{
			J.showToast('请选择预约时间');
		}
	})
}

// 预约数量弹出框
function reservePopup_control() {
	var offlineMul = $("#serviceDetail_article").attr('data-offlineMul');
	if(offlineMul == 1){
		var html = '<ul class="list" id="serviceProductInfo"><li><p class="title">请选择预约数量:</p>'
		html += '<label class="miuns_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[type=text]'" + ').val() , this)"><b class="add"></b></label>' +
			'<input type="text" value="1" class="num"/>' +
			'<label class="miuns_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[type=text]'" + ').val(),this)"><b class="minus"></b></label>' +
			'</li></ul>';
		J.Popup.bottomsheet({
			html: html,
			buttons: [{
				text: '确定',
				class: 'brick-red',
				handler: function() {
					var num = $('#serviceProductInfo').find('input').val();
					isAbleReserve_control(num);
				}
			}]
		});
	}else{
		isAbleReserve_control(1);
	}
}

// 判断是否能预约时间
function isAbleReserve_control(num){
	var serviceEventId = parseInt($("#serviceDetail_article .info").attr('data-eventId'));
	if(J.Cache.get('reservation') && JSON.parse(J.Cache.get('reservation').data).length != 0){
		var reserveList = JSON.parse(J.Cache.get('reservation').data);
        console.log(reserveList) 
        console.log(serviceEventId);
		isAbleReserve_service(serviceEventId,reserveList.join(','),num);
	}else{
		J.showToast('您未选择预约时间!');
		$('.bar-tow').click();
		J.Popup.close();
	}
}
// 获取五天内时间
function getFiveDate(){
	var week = {0: '周日' , 1 : '周一', 2 : '周二', 3 : '周三', 4 : '周四', 5 : '周五', 6 : '周六'} ;
	var day = new Date().getDate();
	var month = new Date().getMonth() + 1;
	var year = new Date().getFullYear();
	var weekday = new Date().getDay() ;
	var dateList = [];
	var nowDate = {
		days : (day < 10 ? '0' + day : day),
		months : (month < 10 ? '0' + month : month) ,
		years : year,	
		weekdays : '今天'	
	}
	// 未来五天
	for(var i = 1 ; i <= 5 ; i++){
		var date = {
			days : day + i ,
			months : month ,
			years : year,
			weekdays : weekday + i 
		}	
		// 判断是否超过一周
		if (date.weekdays == 7 || date.weekdays == 8 || date.weekdays == 9 || date.weekdays == 10) {
			if (date.weekdays == 7) date.weekdays = 0;
			if (date.weekdays == 8) date.weekdays = 1;
			if (date.weekdays == 9) date.weekdays = 2;
			if (date.weekdays == 10) date.weekdays = 3;
		}
		// 判断当前月有多少天
		if (month == 1 || month == 3 || month == 5 || month == 7 || month == 8 || month == 10 || month == 12) {
			// 判断是否是月末五天
			if (date.days == 32 || date.days == 33 || date.days == 34 || date.days == 35 || date.days == 36) {
				if (date.days == 32) date.days = 1;
				if (date.days == 33) date.days = 2;
				if (date.days == 34) date.days = 3;
				if (date.days == 35) date.days = 4;
				if (date.days == 36) date.days = 5;
				date.months = month + 1;
				// 判断是否是12月
				if (date.months == 13) {
					date.months = 1;
					date.years = year + 1;
				}
			}
		} else {
			if (date.days == 31 || date.days == 32 || date.days == 33 || date.days == 34 || date.days == 35) {
				if (date.days == 31) date.days = 1;
				if (date.days == 32) date.days = 2;
				if (date.days == 33) date.days = 3;
				if (date.days == 34) date.days = 4;
				if (date.days == 35) date.days = 5;
				date.months = month + 1;
				if (date.months == 13) {
					date.months = 1;
					date.years = year + 1;
				}
			}
		}
		date.days = date.days < 10 ? '0' + date.days : date.days ;
		date.months = date.months < 10 ? '0' + date.months : date.months ;
		date.weekdays = i == 1 ? '明天' : week[date.weekdays];
		dateList.push(date);
	}
	return dateList;
}

function shareMask(section){
	if(isWechatClient()){
		if(J.Cache.get('community').data.type == 0){
			J.showToast('点击右上角进行分享');
		}else{
			J.showToast('暂不支持分享');
		}
	}else{
		$('#' + section + " .Share").css("height", $(document).height());
		$('#' + section + " .Share").css("width", $(document).width());
		$('#' + section + " .Share").show();
		$('#' + section + ' .shareFooter').css('display','block');
	}
}

// 判断分享平台是否存在
function checkWeiboClient(platType,type) {
	sharesdk.isInstallClient.promise(ShareSDK.ClientType.SinaWeibo).then(function(isInstall){
		if(isInstall) {
			if(platType == 1){
				shareWebPageToWeibo(type);
			}else{
				return;
			}
		}else {
			J.alert('提示',"未安装新浪微博客户端");
		}
	});
}
function checkQQClient(platType,type) {
	sharesdk.isInstallClient.promise(ShareSDK.ClientType.QQ).then(function(isInstall){
		if(isInstall) {
			if(platType == 1){
				shareWebPageToQQ(type);
			}else{
				shareWebPageToQZone(type);
			}
		}else {
			J.alert('提示',"未安装QQ客户端");
		}
	});
}
function checkWechatClient(platType,type) {
	sharesdk.isInstallClient.promise(ShareSDK.ClientType.Wechat).then(function(isInstall){
		if(isInstall) {
			if(platType == 1){
				shareWebPageToWechatSession(type);
			}else{
				shareWebPageToWechatTimeline(type);
			}
		}else {
			J.alert('提示',"未安装微信客户端");
		}
	});
}
/**微信好友分享*/
function shareWebPageToWechatSession(type) {
    shareWebPage(ShareSDK.PlatformType.WechatSession,type);
}
/**微信朋友圈分享*/
function shareWebPageToWechatTimeline(type) {
    shareWebPage(ShareSDK.PlatformType.WechatTimeline,type);
}
/**新浪微博分享*/
function shareWebPageToWeibo(type) {
    shareWebPage(ShareSDK.PlatformType.SinaWeibo,type);
}
/**QQ好友分享*/
function shareWebPageToQQ(type) {
    shareWebPage(ShareSDK.PlatformType.QQFriend,type);
}
/**QQ空间分享*/
function shareWebPageToQZone(type) {
	shareWebPage(ShareSDK.PlatformType.QZone,type);
}
//type判断是评价分享还是商品分享
function shareWebPage(platformType,type) {
	if(type){
		var shareData = J.Cache.get('share').data;
		var icon = shareData.imgUrl;
		var title = J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
			'评价了' +  shareData.title + '，有点用处，分享给您';
		var text = '快来看看吧';
		var url = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
		var shareInfo = {icon:icon, title:title, text:text, url:url};
		console.log(type + '==' + url)
		sharesdk.share(platformType, ShareSDK.ShareType.WebPage, shareInfo,
			function(success){
				J.showToast('分享成功');
				shareContent_service();
			},
			function(fail){});
	}else{
		var shareData = J.Cache.get('share').data;
		var pageName = (shareData.type == 1) ? 'serviceDetail' : 'productDetail';
		var icon = shareData.imgUrl;
		var title = shareData.title;
		var text = '快来看看吧';
		var url = wechatUrl + '#' + pageName + '_section?serviceEventId=' + shareData.eventId;
		var shareInfo = {icon:icon, title:title, text:text, url:url};
		console.log(type + '==' + url)
		sharesdk.share(platformType, ShareSDK.ShareType.WebPage, shareInfo,
			function(success){
				J.showToast('分享成功');
				shareContent_service();
			},
			function(fail){

			});
	}
}
// 微信分享朋友圈
function onMenuShareTimeline_control(showWords){
	var url = window.location.href ;
	var shareData = J.Cache.get('share').data;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareTimeline({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo,
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
        wx.onMenuShareTimeline({
            title: shareData.title, // 分享标题
            link: shareUrl, // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                var msg = showWords ? showWords : '分享成功' ;
                J.showToast(msg);
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}

// 微信分享给朋友
function onMenuShareAppMessage_control() {
	var url = window.location.href;
	var shareData = J.Cache.get('share').data;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job.length != 0){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareAppMessage({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				type: '', // 分享类型,music、video或link，不填默认为link
				dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
			wx.onMenuShareAppMessage({
				title: shareData.title, // 分享标题
				desc: '心动不如行动，速来抢购!', // 分享描述
				link: shareUrl, // 分享链接
				imgUrl: shareData.imgUrl, // 分享图标
				type: '', // 分享类型,music、video或link，不填默认为link
				dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
				success: function () {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function () {
					// 用户取消分享后执行的回调函数

				}
			});
		}
}
// 微信分享给QQ
function onMenuShareQQ_control() {
	var shareData = J.Cache.get('share').data;
	var url = window.location.href ;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareQQ({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
        wx.onMenuShareQQ({
            title: shareData.title, // 分享标题
            desc: '心动不如行动，速来抢购!', // 分享描述
            link: shareUrl, // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                J.showToast('分享成功');
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}

// 微信分享到微博
function onMenuShareWeibo_control() {
	var shareData = J.Cache.get('share').data;
	var url = window.location.href ;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareWeibo({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
        wx.onMenuShareWeibo({
            title: shareData.title, // 分享标题
            desc: '心动不如行动，速来抢购!', // 分享描述
            link: shareUrl, // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                J.showToast('分享成功');
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}

// 微信分享到QQ空间
function onMenuShareQZone_control() {
	var shareData = J.Cache.get('share').data;
	var url = window.location.href ;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareQZone({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0) {
        wx.onMenuShareQZone({
            title: shareData.title, // 分享标题
            desc: '心动不如行动，速来抢购!', // 分享描述
            link: shareUrl, // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                J.showToast('分享成功');
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}
// 点击购物车图标回到购物车
function goToShopCar_control(el){
	var url = window.location.href.split('#')[0];
	if(url.indexOf('index.html') >= 0){
		J.Router.goTo('#index_section');
		$('#shoppingCart_article').addClass('active').siblings('article').removeClass('active');
		$('#index_footer').children('a').map(function(index,item){
			if($(item).attr('href')=='#shoppingCart_article'){
				$(item).addClass('active').siblings('a').removeClass('active');
			}
		})
	}else{
		$(el).attr('href','index.html');
	}
}
