/**
 * [changeProv_control 更改车牌省市]
 * @param  {Object} elements [当前点击元素]
 */
function changeProv_control(type,elements,typeName) {
	if(type == 0){
		$(elements).siblings('[data-name="'+ typeName +'_div"]').show(); //底层选择div
		$(elements).parent().siblings('div').children('div').hide() // 兄弟层切换隐藏
		//底层div点击事件
		$('#'+ typeName +'_ul li').on('click',function(){
			var provVal = $(this).attr('value') ;
			$(elements).val(provVal).siblings('[data-name="'+ typeName +'_div"]').hide();
		})
	}else{
		$(elements).siblings('div').children('div').hide(); // 兄弟层切换隐藏
	}
}

// 添加新车牌号
function addedNewParkingNum_control() {
	$('#prov_ul,#letter_ul').empty();
	parkList.prov.map(function(item) {
		$('#parking_form [name="prov_input"]').val(parkList.prov[0].name);
		$('#prov_ul').append('<li class="inline-block" value="' + item.name + '">' + item.name + '</li class="inline-block">'); //数据选择展示		
	})
	parkList.code.map(function(item) {
		$('#parking_form [name="letter_input"]').val(parkList.code[0]);
		$('#letter_ul').append('<li class="inline-block" value="' + item + '">' + item + '</li class="inline-block">'); //数据选择展示
	})
}
// 点击历史记录中的车牌
function historyParkingNum_control(ele) {
	$('#addParkNumber').val($(ele).text());
	console.log($(ele).text())
	saveOrUpdateUserSuguo_control();
}
// 保存车牌号
function saveOrUpdateUserSuguo_control(){
	var phone = $('#parking_form [name="phone"]').val() ;
	var hadResult = $('#plateNumber_div').is(':visible'); //已有车牌
	var noHasResult = $('#plateNumber_div').siblings('[data-name=noParkNum]').is(':visible') ; //已有车牌时新增车牌
    if(!hadResult || noHasResult){
        var result = false;
        var express = /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4,5}[A-Z0-9挂学警港澳台]{1}$/;
        result = express.test($('#addParkNumber').val().replace('-',''));
        if ($('#addParkNumber').val().length < 7 || !result) {
			J.showToast('请正确填写车牌号');
			return;
        } else {
			var parkingNum = $('#addParkNumber').val().replace('-','')
			var str = '';
			for(var i = 0; i < parkingNum.length; i++) {
				str = str + parkingNum[i];
				if(i == 0) {
					str = str + '-';
				}
			}
			parkingNum = str;
            $('i.add-icon').removeClass('addPark');
        }
	}else{
		var parkingNum = $('#plateNumber_div [name="plateNumber"]').val();
	}
	if(verifyPhone(phone)){
		var userSuguoId = $('#parking_form').attr('data-val');
//		$('#addParkNumber').val('');
		saveOrUpdateUserSuguo_service('parkIntegration',phone,userSuguoId,parkingNum);
	}
    $('#parking_form [name="parkCode"]').val(null);
}

var count = {
	tradeNo : '',
	total : 0,
	IntegralFee : 0,
	wechatFee : 0,
	invoiceFee: 0,
	thirdPay : 0,//第三方支付金额
	totalInvoice : 0,//发票抵消金额
	totalIntegral : 0,//积分抵消金额
	rate : 0, // 积分抵扣现金的比例
	hasIntegralPay : false,
	hasWechatPay : false,
	hasInvoicePay : false,
	// 点击支付方式时计算价格
	payMoney : function(el){
		var that = this ;
		$(el).toggleClass('active');
		var method = $(el).attr('data-pay');
		// 发票
		if(method == 0 ){
			if($(el).hasClass('active')){
				$(el).siblings('[data-role="invoice-number"]').show();
				that.hasInvoicePay = true;
			}else{
				$(el).siblings('[data-role="invoice-number"]').hide();
				that.hasInvoicePay = false;
			}
		}
		//积分支付
		if(method == 1){
			if ($(el).hasClass('active')) {
				that.hasIntegralPay = true;
			}else{
				that.hasIntegralPay = false;
			}
		}
		//微信支付
		if(method == 2){
			if ($(el).hasClass('active')) {
				that.hasWechatPay = true;
			}else{
				that.hasWechatPay = false;
			}
		}

		that.calculate();
	},

	// 计算支付
	calculate : function(){
		var that = this ;
		var rate = parseInt(that.rate);
		var $section = $('#parkingPayMethod_section') ;
		var $invoiceItem = $section.find('[data-role="invoice-pay"]');
		var $integralItem = $section.find('[data-role="integral-pay"]');
		var $wechatItem = $section.find('[data-role="wechat-pay"]');

		if($invoiceItem.find('[data-name="pay"]').hasClass('active')){
			if(that.totalInvoice >= that.total){
				that.invoiceFee = that.total;
				that.IntegralFee = 0;
				that.thirdPay = 0;
			}else{
				that.invoiceFee = that.totalInvoice;
				var othersFee = that.total - that.totalInvoice;
				if($integralItem.find('[data-name="pay"]').hasClass('active')){
					if(parseFloat(that.totalIntegral / rate) >= othersFee){
						that.IntegralFee = othersFee * rate;
						that.thirdPay = 0;
					}else{
						that.IntegralFee = parseFloat(that.totalIntegral / rate) * rate;
						that.thirdPay = parseFloat(othersFee - parseFloat(that.totalIntegral / rate));
					}
				}else{
					that.IntegralFee = 0;
					that.thirdPay = parseFloat(othersFee);
				}
			}
		}else{
			that.invoiceFee = 0;
			if($integralItem.find('[data-name="pay"]').hasClass('active')){
				if(parseFloat(that.totalIntegral / rate) >= that.total){
					that.IntegralFee = that.total * rate;
					that.thirdPay = 0;
				}else{
					that.IntegralFee = parseFloat(that.totalIntegral / rate) * rate;
					that.thirdPay = parseFloat(that.total - parseFloat(that.totalIntegral / rate));
				}
			}else{
				that.IntegralFee = 0;
				that.thirdPay = parseFloat(that.total);
			}
		}
		console.log(that)
		$invoiceItem.find("[data-name='invoice-price']").text(that.invoiceFee);
		$integralItem.find('[data-name="deduct"]').text(that.IntegralFee);
		$wechatItem.find('[data-name="wechat"]').text(that.thirdPay);
	},

	// 获取支票抵扣
	getInvoiceInfo : function(el){
		var $self = $(el) ;
		var invoiceNum = $self.val();
		var that = this;
		if(invoiceNum.length == 12){
			if(true){
			var id = $('#parkIdSelect').val();
				queryInvoiceInfo_server(invoiceNum,that.tradeNo,that.total,id, el);
			}
		}else{
			J.showToast('请输入12位单据号');
		}
	},

	// 提交
	submitParkingOrder : function(){
		var that = this ;
		var rate = parseInt(that.rate);


		if(!that.hasInvoicePay && !that.hasIntegralPay && !that.hasWechatPay){
			J.alert('提示','请选择支付方式') ;
			return ;
		}else{
			if(that.thirdPay != 0){
				var invoiceVal = $('#parkingPayMethod_section').find('[data-role="invoice-pay"]').find("[data-name='invoice']").val();
				// 需要微信再支付
				if (that.hasInvoicePay && that.invoiceFee == 0 && isNullString(invoiceVal)) {
					// 勾中发票但是发票未填写
					J.alert('提示', '请输入12位单据号');
					return;
				} else {
					if (!that.hasWechatPay) {
						// 没有选中微信支付
						J.alert('提示', '还需支付' + that.thirdPay + '元');
						return;
					} else {
						// 选中微信支付
						// 调用接口
						var invoiceNumber = $('#parkingPayMethod_section').find('[data-name="invoice"]').val();
						J.dialogbox('需要微信支付' + that.thirdPay + '元,确认支付吗', function() {
							submitParkingOrder_service(that.tradeNo, that.IntegralFee, that.thirdPay, that.invoiceFee,that.hasInvoicePay,invoiceNumber);
						})
					}
				}
			}else{
				// 不需要微信再支付
				// 调用接口
				var invoiceNumber = $('#parkingPayMethod_section').find('[data-name="invoice"]').val();
				submitParkingOrder_service(that.tradeNo,that.IntegralFee,that.thirdPay,that.invoiceFee,that.hasInvoicePay,invoiceNumber);
			}
		}
	},
}

// 点击打开输入框
function addParkNumber_control(ele) {
	ele.value = ''
	if(ele.value.length == 0) {
		$('#importBox')[0].style.display = 'none';
		$('#provinceAbbreviationBox')[0].style.display = 'block';
	} else {
		$('#provinceAbbreviationBox')[0].style.display = 'none';
		$('#importBox')[0].style.display = 'block';
	}
}
// 点击省份简写键盘
$('#provinceAbbreviationBox span').click(function() {
	if(this.className == 'accomplish') {
		$('#provinceAbbreviationBox')[0].style.display = 'none';
		return;
	}
	$('#provinceAbbreviationBox')[0].style.display = 'none';
	$('#importBox')[0].style.display = 'block';
	var parkNum = $('#addParkNumber').val();
	$('#addParkNumber').val(this.innerText);
})
// 点击数字字母键盘
$('#importBox span').click(function() {
	var parkNum = $('#addParkNumber').val();
	if(this.className == 'backspace') {
		$('#addParkNumber').val(parkNum.substr(0, parkNum.length-1));
		if(parkNum.length <= 1) {
			$('#importBox')[0].style.display = 'none';
			$('#provinceAbbreviationBox')[0].style.display = 'block';
		}
		return;
	}
	if(this.className == 'emptyParkNum') {
		$('#importBox')[0].style.display = 'none';
		$('#provinceAbbreviationBox')[0].style.display = 'block';
		$('#addParkNumber').val('');
		return;
	}
	
	if(parkNum.length > 7 || this.className == 'accomplish') {
		$('#importBox')[0].style.display = 'none';
		return;
	}
	if(parkNum.length >= 7 ) {
		$('#importBox')[0].style.display = 'none';
	}
	$('#addParkNumber').val(parkNum + this.innerText);
})