// 获取jssdk配置信息
function getJSSDKConfigParams_service(commentId) {
    var url = 'ws/wechatAction' + versionMessage.version + '!getJSSDKConfigParams.sy';
    var par = {
        JSSDKUrl: window.location.href.split('#')[0]
    };
    service.get(url, par, function(data) {
        // config配置
        wx.config({
            debug: false,
            appId: data.appId,
            timestamp: data.timestamp,
            nonceStr: data.nonceStr,
            signature: data.signature,
            jsApiList: [
                'onMenuShareTimeline',
                'onMenuShareAppMessage',
                'onMenuShareQQ',
                'onMenuShareWeibo',
                'onMenuShareQZone',
                'chooseImage',
                'previewImage',
                'uploadImage',
                'downloadImage',
                'getNetworkType',
                'openLocation',
                'getLocation',
                'scanQRCode',
            ]
        });
        wx.error(function(res) {
			console.log(res);
        })
    });
}

// 获取片区
function getCommunityByGPS_service(address, successCallback) {

    var url = 'ws/userAction' + versionMessage.version + '!getCommunityByGPS.sy';
    var par = {
        address: address
    };
    service.get(url, par, function(data) {
        data =  isEmptyObject(data) ? { id: 1, name: '奥体附近',type:0 } : data;
        J.Cache.save('community', data);
        J.Cache.save('hasLocation', true);
        $("#community").text(J.Cache.get('community').data.name);
        successCallback();
    });
}
//首次进入页面提示位置
function tip(){
    if($('#community').text()){
        Cookie("HasLoaded");
        if(J.Cache.cache==null){
            var currentCommunity = $("#community").text();
            setTimeout(function () {
                J.showToast('当前片区为' + currentCommunity +  ',如需修改请点击左上角')
            },2000)
            J.Cache.save('cache','HasLoaded')
        }
    }
}
// 获取主页信息
function getHome_service(hasShowMask) {
    $("#classification_article").children('header').attr('value', true); //分类是否刷新显示
    if (hasShowMask) J.showMask();
    var par = {};
    var url = 'ws/homeAction' + versionMessage.version + '!getHome.sy';
    // 没有community的时候
    if (!J.Cache.get('community')) {
        if (null == J.Cache.get('community_get_number')) {
            J.Cache.save('community_get_number', 0);
            getHome_service('showMask');
        } else {
            if (parseInt(J.Cache.get('community_get_number').data) < 2) {
                J.Cache.save('community_get_number', parseInt(J.Cache.get('community_get_number').data) + 1);
                setTimeout(function () {
                    getHome_service('showMask');
                }, 1000)
            } else {
                data = {id: 1, name: '奥体附近', type: 0};
                J.Cache.save('community', data);
                getHome_service('showMask');
            }
        }
    //有community的时候
    } else {
//      if(J.Cache.get('login') == null){
//          $("#community").text(J.Cache.get('community').data.name);
//          par.wtyCommunityId= J.Cache.get('community').data.id
//      }else{
//          if(J.Cache.get('login').data.userAddressName == null){
//              $("#community").text(J.Cache.get('community').data.name);
//              par.wtyCommunityId = J.Cache.get('community').data.id
//          }else{
//              J.Cache.empty('community');
//              var data = {
//                  name : J.Cache.get('login').data.communityName,
//                  id : J.Cache.get('login').data.communityId,
//                  type: J.Cache.get('login').data.communityType	
//              };
//              J.Cache.save('community',data);
//              $("#community").text(J.Cache.get('community').data.name);
//              par.wtyCommunityId = J.Cache.get('community').data.id
//          }
//      }
        try{
        	if(!J.Cache.get('community').data.id) {
        		data = {id: 1, name: '奥体附近', type: 0};
        	    J.Cache.save('community', data);
        	}        	
        }catch(e){
        	data = {id: 1, name: '奥体附近', type: 0};
        	J.Cache.save('community', data);
        }
        $("#community").text(J.Cache.get('community').data.name);
        par.wtyCommunityId = J.Cache.get('community').data.id;
        
        if(J.Cache.get('login')) {
        	par.phone = J.Cache.get('login').data.phone;
        	par.password = J.Cache.get('login').data.password;
        }
        service.get(url, par, function (data) {
        	if(J.Cache.get('fromTheParkingLotIntoApp')) {
        		if(J.Cache.get('fromTheParkingLotIntoApp').data) {
	        		$('#parkingMaskLayer_div').addClass('active');
	        		forTheFirstTimeIntoTheAPP = false;
	        		fromTheParkingLotIntoApp = false;
	        		J.Cache.save('fromTheParkingLotIntoApp', false);
	        	}
        	}
        	if(data.isNewGuy=='1' && data.isShow == '1' && forTheFirstTimeIntoTheAPP) $('#specialOffers_div').addClass('active');
        	forTheFirstTimeIntoTheAPP = false;
            // 首页菜单 place 1.苏果到家 2.上门服务 3.未知
            var module = {
                suGuo: [],
                suGuoFirst: {},
                service: [],
                place3: [],
                eightNew : [],
                leftSeconds : ''
            };
            if(data.isCountDown == 1){
                if(data.seckillPic) {
                    module.leftSeconds = secKill(data.leftSeconds);
                    module.leftSeconds.isCountDown = 1;
                    data.seckillPic.pic = picNetworkPrefix(data.seckillPic.pic);
                    module.ms = data.seckillPic;
                }
            }
            data.homePage.map(function (item) {
                if (!isNullString(item.serviceMenu.picture)) {
                    item.serviceMenu.picture = picNetworkPrefix(item.serviceMenu.picture);
                }
                if (!isNullString(item.pic)) {
                    item.pic = picNetworkPrefix(item.pic);
                }
                if (item.place == 1) module.suGuo.push(item);
                if (item.place == 2) module.service.push(item);
                if (item.place == 3) module.place3.push(item);
            });
            module.suGuoFirst = module.suGuo.reverse()[0];
            module.suGuo.splice(0, 1);
            data.homePageTemplateInfo.map(function (item) {
                if(item.module) {
					item.module.mkArray.map(function(item2) {
						try{
							item2.picUrl = picNetworkPrefix(item2.picUrl);
						}catch(e){
							item2.pic = 'https://file.vipxiaoqu.com//thumb//lunbo//5.jpg'
						}
					});
                }
                if(item.floor) {
                    item.floor.lb.map(function(item2) {
                        item2.pic = picNetworkPrefix(item2.pic);
//						    item2.pic = 'https://file.vipxiaoqu.com//thumb//lunbo//5.jpg '
                    });
                    item.floor.sp.map(function(item2) {
                        item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                    });
                }
            });
            // 首页广告 place 3.顶部 4.底部
            var advert = {
                topList: [],
                bottomList: []
            };
            if (data.headAdvert.length != 0) {
                data.headAdvert.map(function (item) {
                    item.url = picNetworkPrefix(item.url);
                    if (item.place == 3) advert.topList.push(item);
                    if (item.place == 4) advert.bottomList.push(item);
                })
                if (advert.topList.length != 0) advert.topList[0].hasActive = true;
                if (advert.bottomList.length != 0) advert.bottomList[0].hasActive = true;
            }
//          if (data.recommendServiceEventList.length != 0) {
//              data.recommendServiceEventList.map(function (item) {
//                  if (!isNullString(item.serviceEvent.picture)) {
//                      item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
//                  }
//              })
//          }
            J.hideMask();
            getHome_control(data, module, advert);
        }, function (data) {
        	J.hideMask();
        	J.showToast('获取首页失败')
        }, 90000);
    }
//  热部署
    if(window.codePush) {
//  	codePush.sync();
    }
}

// 获取优惠券列表
function getCouponList_service() {
    var url = 'ws/couponAction' + versionMessage.version + '!getCouponList.sy';
    var par = {
        communityId : J.Cache.get('community').data.id
    };
    service.get(url, par, function(data) {
        data.map(function(item){
            item.startTime = item.startTime.split(' ')[0];
            item.endTime = item.endTime.split(' ')[0];
            if(!isNullString(item.picture)){
                item.picture = picNetworkPrefix(item.picture);
            }
            if(!isNullString(item.titlePic)){
                item.titlePic = picNetworkPrefix(item.titlePic);
            }
        })
        J.Template.render("#couponList_ul", "couponList_template", data, "replace");
    },function(data) {
    	if(data.code == -1) {
    		J.Router.goTo("#login_section");
    		J.Cache.empty('loginForm');
            setTimeout(function(){
                $('#loginBack_button').attr('data-back',true);
            },300)
    	}
    });
}

// 获取优惠券详情
function getCouponDetail_service(couponId, type,saleId) {
    var url = 'ws/couponAction' + versionMessage.version + '!getCouponDetail.sy';
    var par = {
        couponId: couponId
    };
    service.get(url, par, function(data) {
        // type 0正常领取 2查看优惠券详情（没有领取按钮---已领取和我的优惠券）
    	if(data.availableTakeNum < 0 && !type) {
    		J.showToast('已超出该优惠券可领取数量');
    		return;
    	}
    	J.Router.goTo("#couponDetail_section");
        data.startTime = data.startTime.split(' ')[0];
        data.endTime = data.endTime.split(' ')[0];
        data.showType = type;
        data.saleId = saleId;
        data.description = data.description.replace(new RegExp("\\?","gm"),"<br/>").replace(new RegExp("\\？","gm"),"<br/>");
        J.hideMask();
        setTimeout(function() {        	
        	J.Template.render(".coup","couponDetail_template", data, "replace");
        	J.Template.render(".information p","couponDetailDesc_template", data.description, "replace");
        }, 200);
    });
}

// 领取优惠券
function receiveCoupon_service(id,saleId,ele) {
    var url = 'ws/othersAction' + versionMessage.version + '!receiveCoupon.sy'
    var par = {
        couponId: id,
        saleId:saleId
    };
     if(!J.Cache.get('login')){
        J.showToast('还没有登录哦');
        return;
    }
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级
    if(J.Cache.get('login').data.level == 2 || J.Cache.get('login').data.level == 3){
        J.showToast('暂时无法领取');
        return;
    }
    if(par.saleId == 'activityV3_section'){
        par.saleId = 0;
        service.get(url, par, function(data) {
            J.showToast("领取成功");
            $(ele).find('.coupon1').css('display','inline-block');            
        });
    }else{
        service.get(url, par, function(data) {
            J.showToast("领取成功");
            window.history.go(-1);
        });
    }
}
// 新用户领取优惠券
function newUserReceiveCoupon_service(id) {
    var url = 'ws/userAction' + versionMessage.version + '!receiveCoupon.sy'
    var par = {
        couponId: id
    };
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级
    if(J.Cache.get('login').data.level == 2 || J.Cache.get('login').data.level == 3){
        J.showToast('暂时无法领取');
        return;
    }
    service.get(url, par, function(data) {
        J.showToast("领取成功");
    });
}
// 购买优惠券
function buyCoupon_service(mock){
    var url = 'ws/orderAction' + versionMessage.version + '!buyCoupon.sy';
    var par = mock;
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级
    if(J.Cache.get('login').data.level == 2 || J.Cache.get('login').data.level == 3){
        J.showToast('暂时无法购买');
        return;
    }
    service.get(url,par,function(data){
        J.Cache.empty('payCouponId');
        if (mock.payMethod != 0 && mock.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
            Mobile.pay(pay.method[mock.payMethod], pay.mock.blance.thirdPatMethod, data);
        } else {
            J.showToast('支付成功');
            history.go(-1);
            setTimeout(function() {
            	history.go(-1);
            },10)
        }
    });
}

// 新增苏果充值订单
function addSuguoOrder_service(mock, addressId) {
    var par = {
        addressId: addressId,
    };
    mock.map(function(item) {
        par[item.name] = item.value;
    })
    var url = 'ws/suguoAction' + versionMessage.version + '!addSuguoOrder.sy';
    service.get(url,par,function(data){
        J.showToast('充值成功');
        $("#rechargeOfSuguo_form input").val('');
    });
}

// 获取版本信息
function getVersionMessage_service() {
	var url = 'ws/userAction' + versionMessage.version + '!checkVersionUpdate.sy'
	if(isWechatClient()) {
		versionMessage.device = 0;
	}
	if(isAndroidIosApp()) {
		if(isIOS()) {
			versionMessage.device = 2;
		}else{
			versionMessage.device = 1;
		}
	}else{
		versionMessage.device = 3;
	}
	service.get(url,versionMessage,function(data){
        
   });
}

// 获取首页活动页面
function getHomePageActivity(activityId) {
	if(!activityId) {
		return;
	}
	J.Router.goTo('#getHomePageActivity_section');
	var par = {
		activityId: activityId,
		communityId: J.Cache.get('community').data.id
	}
	var url = 'ws/activityAction' + versionMessage.version + '!getHomePageActivityInfo.sy';
	service.get(url, par, function(data) {
		data.baseInfo.headPicUrl = picNetworkPrefix(data.baseInfo.headPicUrl);
		data.rp.map(function(item) {
			item.picture = picNetworkPrefix(item.picture);
		})
		for(var i in data.groups) {
			data.groups[i].map(function(item) {
				item.url = picNetworkPrefix(item.url);
			});
		}
		J.Template.render("#pageActivity_div","pageActivity_template", data, "replace");
		setTimeout(function() {
			for(var i = 0; i < data.positionIndex.length; i++) {
				if(data.positionIndex[i] == 'c') {
					var item = data.position[i];
					$('#pageActivityCarousel_div[data-type="' + item + '"] ul li').width(document.body.clientWidth);
					var box = '#pageActivityCarousel_div[data-type="' + item + '"] [data-name="homeTopAdvert"] ul';
					var par = {
			            loop: true, //循环切换
			            auto: true, //自动切换
			        }
					if($(box).children().length <= 1) par.auto = false;
			        var scrollImg = Viwepager(box, par);
				}
			}
		}, 100);
	});
}
//活动页V2
function activityPage_service(activityId){
    var url = 'ws/activityNewAction' + versionMessage.version + '!getActivity.sy';
    var par = {
        wtyCommunityId:J.Cache.get('community').data.id,
        homePageActivityId : activityId
    };
    service.get(url,par,function (data){
        var mock = {
            advert: [],
            teJia: [],
            listTits: []
        };
        if(data != null && data != ''){
            if (data.activityAdvert && data.activityAdvert.carousePic.length != 0) {
                data.activityAdvert.carousePic.map(function (item) {
                    if(!isNullString(item.pic)){
                        item.pic = picNetworkPrefix(item.pic);
                    }
                    mock.advert.push(item);
                })
            }
            if(data.isCountDown == 1){
                mock.countDownTime = secKill(data.countDownTime);
                mock.countDownTime.isCountDown = 1;
            }
            if (data.bargainGoods && data.bargainGoods.good.length != 0) {
                data.bargainGoods.good.map(function (item) {
                    if(!isNullString(item.serviceEvent.picture)){
                        item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                    }
                    mock.teJia.push(item);
                })
            }else{
                mock.teJia;
            }
            if (data.shopCategories && data.shopCategories.length != 0) {
                data.shopCategories.map(function (item) {
                    if(!isNullString(item.categoryImgUrl)){
                        item.categoryImgUrl = picNetworkPrefix(item.categoryImgUrl);
                    }
                    for(var i = 0;i < item.shopping.length;i++){
                        if(!isNullString(item.shopping[i].picture)){
                            item.shopping[i].picture = picNetworkPrefix(item.shopping[i].picture);
                        }
                    }
                    mock.listTits.push(item);
                })
            }
            J.Router.goTo('#activityPage_section');
            setTimeout(function(){
                activityPage_control(mock.listTits);
                document.querySelector('#activityPage_section header h1').innerText = '';
                if(data.activityName){
                    document.querySelector('#activityPage_section header h1').innerText = data.activityName;
                }
                if ( mock.advert.length != 0) {
                    J.Template.render("#actTwoAdvert_div","actTwoAdvert_template", mock, "replace");
                    $('#actTwoAdvert_div ul li').width(document.body.clientWidth);
                    var box = '#actTwoAdvert_div [data-name="actAdvert"] ul';
					var par = {
			            loop: true, //循环切换
			            auto: true, //自动切换
			        }
					if($(box).children().length <= 1) par.auto = false;
                    var scrollImg = Viwepager(box, par);
                } else {
                    $("#actTwoAdvert_div").empty();
                }
                if(data.isCountDown == 1){
                    $('#isCountDown').css('display','block');
                    J.Template.render("#isCountDown","isCountDown_template",mock.countDownTime, "replace");
                    $('#isCountDown').data().id = activityId;
                    window.clearInterval(myInterval);
                    countDown(data.countDownTime,'activityPage_section');
                }else{
                    window.clearInterval(myInterval);
                    $('#isCountDown').css('display','none');
                }
                if(mock.teJia.length != 0){
                    J.Template.render("#actTeJia_div","actTeJia_template", mock, "replace");
                }else{
                    $("#actTeJia_div").empty();
                }
                if(mock.listTits.length != 0){
                    J.Template.render("#listTits","listTits_template", mock, "replace");
                    J.Template.render("#listTitles","listTits_template", mock, "replace");
                    J.Template.render("#actList","actList_template", mock, "replace");
                }else{
                    $("#listTits").empty();
                    $("#actList").empty();
                }
            },500)
        }else{
            J.showToast('请稍后重试');
        }
    })
}
//活动v3
function activityV3_service(activityId){
    console.log(activityId);
    var url = 'ws/activityThirdAction' + versionMessage.version + '!getActivity.sy';
    var par = {
        wtyCommunityId:J.Cache.get('community').data.id,
        homePageActivityId : activityId
    };
    service.get(url,par,function (data){
        var mock = {
            topPics: [],
            coupons: [],
            listTits: [],
            bottomPics : []
        };
        if(data != null && data != ''){
            if (data.topPics && data.topPics.length != 0) {
                data.topPics.map(function (item) {
                    if(!isNullString(item.pic)){
                        item.pic = picNetworkPrefix(item.pic);
                    }
                    mock.topPics.push(item);
                })
            }
            if (data.bottomPics && data.bottomPics.length != 0) {
                data.bottomPics.map(function (item) {
                    if(!isNullString(item.pic)){
                        item.pic = picNetworkPrefix(item.pic);
                    }
                    mock.bottomPics.push(item);
                })
            }
            if (data.coupons && data.coupons.length != 0) {
                data.coupons.map(function (item) {
                    if(!isNullString(item.picture)){
                        item.picture = picNetworkPrefix(item.picture);
                    }
                    mock.coupons.push(item);
                })
            }else{
                mock.coupons;
            }
            if (data.shopCategories && data.shopCategories.length != 0) {
                data.shopCategories.map(function (item) {
                    if(!isNullString(item.categoryImgUrl)){
                        item.categoryImgUrl = picNetworkPrefix(item.categoryImgUrl);
                    }
                    for(var i = 0;i < item.shopping.length;i++){
                        if(!isNullString(item.shopping[i].picture)){
                            item.shopping[i].picture = picNetworkPrefix(item.shopping[i].picture);
                        }
                    }
                    mock.listTits.push(item);
                })
            }
            console.log(mock);
            J.Router.goTo('#activityV3_section');
            setTimeout(function(){
                if ( mock.topPics.length != 0) {
                    J.Template.render("#actV3Pic_div","actV3Pic_template", mock, "replace");
                } else {
                    $("#actV3Pic_div").empty();
                }
                if(mock.coupons.length != 0){
                    J.Template.render("#actV3Coupon_div","actV3Coupon_template", mock, "replace");
                }else{
                    $("#actV3Coupon_div").empty();
                }
                if(mock.listTits.length != 0){
                    J.Template.render("#acts","acts_template", mock, "replace");
                }else{
                    $("#acts").empty();
                }
                if ( mock.bottomPics.length != 0) {
                    J.Template.render("#bottomPics","bottomPics_template", mock, "replace");
                } else {
                    $("#bottomPics").empty();
                }
            },500)
        }else{
            J.showToast('请稍后重试');
        }
    })
}
// 通过条形码获取商品id
function getProductId(barcode) { 
	var par = {
		barcode: barcode
	};
	var url = 'ws/serviceAction' + versionMessage.version + '!getServiceIdByCode.sy'
	service.get(url, par, function(data) {
		getServiceEventDetails_service(data)
	}, function() {
		J.showToast('暂无该商品');
	})
}
	
// 批销入口
function checkUserIsWholesale() {
	// 判断是否登录
	if(!J.Cache.get('login')) {
		J.showToast('您尚未登录，请登陆后尝试'); 
		return;
	}
	var url = 'ws/userAction' + versionMessage.version + '!checkUserIsWholesale.sy?'
	var par = {
		phone: J.Cache.get('login').data.phone
	}
	J.Router.goTo('#allianceBusiness_section');
//	service.get(url, par, function(data) {
//		// 切换片区
//		editAllianceMyAddress_service(data);
//	},function(data) {
//		J.showToast(data.message);
//	})
}

// 获取开门红包
function getRedPacket_service(par, callback) {	
	var url = 'ws/couponAction' + versionMessage.version + '!getCouponKaiMen.sy';
	service.get(url, {}, function(data) {
		callback(data);
	},function(){})

}
// 领取优惠券
function receiveRedPacket_service(id,saleId) {
    var url = 'ws/othersAction' + versionMessage.version + '!receiveCoupon.sy'
    var par = {
        couponId: id,
        saleId:saleId
    };
     if(!J.Cache.get('login')){
        J.showToast('还没有登录哦');
        return;
    }
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级
    if(J.Cache.get('login').data.level == 2 || J.Cache.get('login').data.level == 3){
        J.showToast('暂时无法领取');
        return;
    }
    service.get(url, par, function(data) {
        J.showToast("领取成功");
    });
}

// 自定义活动页
function gitNewActivePage_service(activityId, callback){
	var url = 'ws/activityCustomAction' + versionMessage.version + '!getActivity.sy';
    var par = {
        wtyCommunityId:J.Cache.get('community').data.id,
        homePageActivityId : activityId
    };
	service.get(url, par, function(data) {
        if(data.lists.length == 0){
            return;
        };
		callback(data);
	}, function() {
		J.showToast('没有该活动页信息');
	})
	
	
//	$.getJSON('js/newActivePage.json', function(data) {
//		callback(data);		
//	}, 3000)
}

// 用户扫码获取商品
function userSweepCodeGetShop(par, success,errCallback) {
	var url = 'ws/serviceAction' + versionMessage.version + '!findServiceEventByBarCodeForUser.sy';
	service.get(url,par, function(data) {
		success(data);
	}, function(err) {
		errCallback(err)
	});
}

// 提交扫码购订单
function saveScanOrderForUser_service(par, success, errCallback) {
	var url = serverUrl + 'ws/orderAction' + versionMessage.version + '!saveScanOrderForUser.sy';
	J.showMask();
	$.post(url, par, function(data) {
		J.hideMask();
		success(data);
	}, function(data) {
		console.log(data);
		J.hideMask();
		errCallback(data);
	})

}

// 扫码购订单支付
function submitScanOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!submitScanOrder.sy';
	service.get(url, par, function(data){
		success(data);
	}, function(err) {
		errCallback(err);
	});
}

// 已登录用户获取扫码购对应门店的优惠券
function findCouponByCommunityId_service(par, success, errCallback) {
	var url = 'ws/couponAction' + versionMessage.version + '!findCouponByCommunityId.sy';
	service.get(url, par, function(data,message) {
        if(message == ''){
            J.Router.goTo('#sweepCoupon_section');
        }
		success(data);
	}, function(err) {
		errCallback(err);
	});
}
//未登录/新用户请求扫码购优惠券
function findSweepCouponUnLogin_service(par, success, errCallback) {
	var url = 'ws/couponAction' + versionMessage.version + '!getCouponByCommunityId.sy';
	service.get(url, par, function(data) {
	    if(data){
	        J.Router.goTo('#sweepCoupon_section');
            success(data);
        }
	}, function(err) {
		errCallback(err);
	});
}

// 用户领取取扫码购的优惠券
function userGetCouponForScan_service(par, success, errCallback) {
	var url = 'ws/couponAction' + versionMessage.version + '!userGetCouponForScan.sy';
	service.get(url, par, function(data) {
		success(data);
	}, function(err) {
		errCallback(err);
	})
}