// 保存用户片区id
function saveCommunity_service(communityId,judgeFn){
    var url = 'ws/userAction' + versionMessage.version + '!saveCommunity.sy';
    var par = {
        communityId : communityId
    }
    service.get(url,par,function(data){
        J.Cache.save('login',data);
        if(judgeFn){
            judgeFn();
        }
    })
}

// 注册
function register_service(mock){
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_smartRegister.sy';
    var par = mock ;
    service.get(url,par,function(data){
    	// 绑定用户设备信息
    	getVersionMessage_service();
    	// 注册成功后绑定离线购物车
    	bindShoppingCarWithUserId_service();
        var loginForm = {
            phone : data.userInfo.phone,
            userPwd : data.userInfo.password
        }
        if(data.isSuccess == 1) {
	        J.Cache.save('login', data.userInfo);
	        J.Cache.save('loginForm', loginForm);
	        J.showToast('登录成功');
	        history.go(-1);
	        $("#register_form input[name=phone],#register_form input[name=phonecode]").val('');
	        data.face = fileServerUrl + data.userInfo.face;
	        J.Template.render("#userInfo_div", "userInfo_template", data.userInfo, "replace");
	        if(!isWechatClient()) bindJpushAcInfo();           	
        } else {
        	J.showToast(data.msg);
        }
    })
}

// 登录
function login_service(mock, isNotAuto, isMyTpl) {
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_login.sy';
    var par = mock;   
    service.get(url, par, function(data) {
        J.Cache.save('login', data);
        J.Cache.save('loginForm', mock);
        J.Cache.save('address', data.userAddress)
        var community = {
        	id: data.communityId,
        	name: data.communityName,
        	type: data.communityType
        }
        J.Cache.save('community', community);
        if(localStorage.isGetVersion == 'undefined') {
        	localStorage.isGetVersion = true;
        }
        if(localStorage.isGetVersion != 'false') {
        	getVersionMessage_service();
        	localStorage.isGetVersion = false;	
        }
        if (isNotAuto) {
            J.showToast('登录成功');
            $("#login_form input[name=phone],#login_form input[name=password]").val('');
            J.Router.goTo('#index_section');
            $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
            $('#home_article').addClass('active').siblings().removeClass('active');
            if (isMyTpl) {
                data.face = fileServerUrl + data.face;
                J.Template.render("#userInfo_div", "userInfo_template", data, "replace");
            }
            if (!isWechatClient()) bindJpushAcInfo();
        } else {
            if (isMyTpl) {
                data.face = fileServerUrl + data.face;
                J.Template.render("#userInfo_div", "userInfo_template", data, "replace");
            }
            // 自动登陆后怎么调之前的方法
        }

    }, function(data) {
        if (data.success == false) {
            J.Cache.empty('login');
            J.Cache.empty('loginForm');
            if (isNotAuto) {
                J.showToast(data.message);
            } else {
                J.Router.goTo("#login_section");
            }
        }
    });
}
// 点击登录
function clickLogin_service(mock, isNotAuto, isMyTpl) {
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_goLogin.sy';
    var par = mock;   
    service.get(url, par, function(data) {
    	// 登录成功后绑定离线购物车
    	bindShoppingCarWithUserId_service();
    	mock.userPwd = data.password;
        J.Cache.save('login', data);
        J.Cache.save('loginForm', mock);
        J.Cache.save('address', data.userAddress)
        if(localStorage.isGetVersion == 'undefined') {
        	localStorage.isGetVersion = true;
        }
        if(localStorage.isGetVersion != 'false') {
        	getVersionMessage_service();
        	localStorage.isGetVersion = false;	
        }
        if (isNotAuto) {
            J.showToast('登录成功');
            $("#login_form input[name=phone],#login_form input[name=password]").val('');
//          J.Router.goTo('#index_section');
            history.go(-1);
            $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
            $('#home_article').addClass('active').siblings().removeClass('active');
            if (isMyTpl) {
                data.face = fileServerUrl + data.face;
                setTimeout(function() {                	
                	J.Template.render("#userInfo_div", "userInfo_template", data, "replace");
                }, 200);
            }
            if (!isWechatClient()) bindJpushAcInfo();
        }

    }, function(data) {
        if (data.success == false) {
            J.Cache.empty('login');
            J.Cache.empty('loginForm');
            if (isNotAuto) {
                J.showToast(data.message);
            } else {
                J.Router.goTo("#login_section");
            }
        }
    });
}
// 登出
function logout_service() {
	var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_logOut.sy';
	service.get(url, {}, function(data){
		if (isWechatClient()) {
            if (!J.Cache.get('openId')) {
                getOpenId();
            }
        }
		saveSommunity_control('1','奥体附近','0');
	},function(data) {
	})
}
// wechat保存头像
function saveHeadPhotoForWechat_service(fileUrl) {
    var url = 'ws/userAction' + versionMessage.version + '!saveHeadPhotoForWechat.sy';
    var par = {
        openId : J.Cache.get('openId').data,
        mediaId : fileUrl
    };
    service.get(url,par,function(data){
        if(!isNullString(data)){
            J.showToast("上传图片成功");
            $("#userFace").attr('src', fileServerUrl + data);
            var userLogin = J.Cache.get('login').data;
            userLogin.face = data;
            J.Cache.save('login',userLogin);
        }else{
            J.showToast("上传失败");
        }
    })
}

// app保存头像
function saveHeadPhoto_service(fileUrl) {
    var url = 'ws/userAction' + versionMessage.version + '!saveHeadPhoto.sy';
    fileUrl = fileUrl.substr(fileUrl.indexOf('thumb') - fileUrl.length);
    var par = {
        headPhoto: fileUrl
    };
    service.get(url, par, function(data) {
        J.showToast("上传图片成功");
        $("#userFace").attr('src', fileServerUrl + fileUrl);
    });
}

// 设置用户信息
function editUserInfo_service(mock, key) {
    var url = 'ws/userAction' + versionMessage.version + '!editUserInfo.sy';
    if (key == "residenceName") {
        mock.residenceId = $("#userResidence_select").val();
    }
    var par = mock;
    service.get(url, par, function(data) {
        J.showToast('修改成功');
        J.Cache.save('login', data);
        $("#setUserInfo_article [data-name=" + key + "]").find('.right_info').text(data[key]);
        if(key == "residenceName"){
            $("#setUserInfo_article [data-name=" + key + "]").children("[data-name='userCommunityName']").show();
            $("#setUserInfo_article [data-name=" + key + "]").siblings("[data-name='userCommunity']").hide();
        }
    })
}

// 修改密码
function modifyPassword_service(){
    var oldPsw = $("#setUserPsw_form input[name=oldPsw]").val();
    var newPsw = $("#setUserPsw_form input[name=newPsw]").val();
    if(!newPsw){
        J.showToast('请填写新密码');
        return;
    }else if(newPsw == oldPsw){
        J.showToast('新密码不能和原密码一样');
        return;
    }else {
        var url = 'ws/userAction' + versionMessage.version + '!modifyPassword.sy';
        var par = {
            oldPassword: oldPsw,
            newPassword: newPsw
        };
        service.get(url, par, function (data) {
            var loginForm = J.Cache.get('loginForm').data;
            loginForm.userPwd = par.newPassword;
            J.Cache.save('loginForm', loginForm);
            J.showToast('修改成功');
            $("#setUserPsw_form input[name=oldPsw]").val('');
            $("#setUserPsw_form input[name=newPsw]").val('');
            history.go(-1);
        }, function (data) {
            J.showToast(data.message);
        })
    }
}
//修改批销商密码
function modifyCustomerPwd_service(){
    var oldPsw = $("#editAlliancePwd_form input[name=oldPsw]").val();
    var newPsw = $("#editAlliancePwd_form input[name=newPsw]").val();
    if(!newPsw){
        J.showToast('请填写新密码');
        return;
    }else if(newPsw == oldPsw){
        J.showToast('新密码不能和原密码一样');
        return;
    }else {
        var url = 'ws/suguoAction' + versionMessage.version + '!suguoWholesaleUserModifyPwd.sy';
        var par = {
            customerId:J.Cache.get('login').data.id,
            customerPwd: oldPsw,
            customerNewPwd: newPsw
        };
        service.get(url, par, function (data) {
            J.showToast('修改成功');
            $("#editAlliancePwd_form input[name=oldPsw]").val('');
            $("#editAlliancePwd_form input[name=newPsw]").val('');
            history.go(-1);
        }, function (data) {
            if(data.data){
                J.showToast(data.message);
            }else{
                J.showToast('请稍后重试');
            }
        })
    }
}

// 获取片区 type=1首页， =2个人设置， type=3修改地址的时候 4 扫码购更改片区
function getCommunityList_service(type,el,residenceName) {
    var mock;
    var url = 'ws/communityAction' + versionMessage.version + '!getCommunityList.sy';
    var par = {
    };
    if(type == 3) {	
	    par.communityType = J.Cache.get('community').data.type
    }
    J.showMask();
    service.get(url, par, function(data) {
    	J.hideMask();
        if (type == 2) {
            data.map(function(item) {
                item.communityId = J.Cache.get('login').data.communityId;
            })
            getResidenceByCommunityId_control(el,data,type);
        } else if(type == 1) {
            getCommunityList_control(data);
        }else if(type == 3){
            data.map(function(item){
                if(item.id == el) item.default = true ;
            })
            J.Template.render("#editCommunity_select", "editCommunity_template", data, "replace");
            getResidenceByCommunityId_service($('#editCommunity_select').val(),true,residenceName)
        }else if(type == 4){
            weepCodeCommunity(data);
        }
    });
}

// 通过片区获取小区
function getResidenceByCommunityId_service(communityId,isEditAdr,residenceName) {
    var url = 'ws/communityAction' + versionMessage.version + '!getResidenceByCommunityId.sy';
    var par = {
        communityId: communityId
    };
    var communityType = $('#editCommunity_select').find("option:selected").data().type;	
    if(communityType == 1) {
    	$('#editAddress_div').css('display','none');
    } else {
    	$('#editAddress_div').css('display','block');
    }
    console.log('片区')
    service.get(url, par, function(data) {
        if(!isEditAdr){
            data.map(function(item) {
                item.name = Object.keys(item)[0];
                item.data = item[Object.keys(item)[0]];
                item[Object.keys(item)[0]].map(function(item2) {
                    if(item2.name == residenceName) item2.default = true;
                })
                item.residenceId = J.Cache.get('login').data.residenceId;
            })
            J.Template.render("#userResidence_select", "userResidence_template", data, "replace");
        }else{
//          data.map(function(item){
//              if(item.name == residenceName) item.default = true ;
//          })
            data.map(function(item) {
            	item.name = Object.keys(item)[0];
            	item.data = item[Object.keys(item)[0]];
            	item[Object.keys(item)[0]].map(function(item2) {
            		if(item2.name == residenceName) item2.default = true;
            	})
            })
            J.Template.render("#editResidence_select", "editResidence_template", data, "replace");
        }
    });
}
//我的---页面显示积分/余额/配货中/送货中/活动积分
function getAllInfo(){
    var url = 'ws/integralAction' + versionMessage.version + '!getAllInfo.sy';
    var par ={};
    service.get(url,par,function(data){
		if(data.distributionAmount != null){
 			$(document.getElementById('distributionLogo')).css('display','inline-block');
            document.getElementById('distributionLogo').innerText = data.distributionAmount;
        }else{
			$(document.getElementById('distributionLogo')).css('display','none');
        }
        if(data.deliveryAmount != null){
			$(document.getElementById('deliveryLogo')).css('display','inline-block');
            document.getElementById('deliveryLogo').innerText = data.deliveryAmount;
		}else{
            $(document.getElementById('deliveryLogo')).css('display','none');
		}
        if(data.balance != null){
            document.getElementById('balan').innerText = data.balance;
        }else{
            document.getElementById('balan').innerText = '';
        }
        if(data.integration != null){
            document.getElementById('integral').innerText = data.integration;
        }else{
            document.getElementById('integral').innerText = '';
        }
        if(document.getElementById('actIntegral')){
            if(data.promotionalIntegration != null){
                document.getElementById('actIntegral').innerText = data.promotionalIntegration;
            }else{
                document.getElementById('actIntegral').innerText = '';
            }
        }
        if(data.yiBeans != null){
            document.getElementById('yiBeans').innerText = data.yiBeans;
        }else{
            document.getElementById('yiBeans').innerText = '';
        }
    });
}
// 我的余额
function getBalance_service() {
    J.showMask();
    var url = 'ws/userAction' + versionMessage.version + '!getBalance.sy';
    var par = {};
    service.get(url, par, function(data) {
        J.hideMask();
        // if (data.recharge.length != 0) data.recharge.reverse();
        J.Template.render("#myBalance_ul", "myBalance_template", data.recharge, "replace","您没有相关余额消费记录");
        if(data.balance != null) $("#balance").text(data.balance);
    });
}

// 我的积分
function getMyIntegral_service() {
//  J.showMask();
    var url = 'ws/integralAction' + versionMessage.version + '!getMyIntegral.sy';
    var par = {};
    service.get(url, par, function(data) {
//      J.hideMask();
        J.Template.render('#myIntegral_ul', 'myIntegral_template', data.myIntegration, "replace","您没有相关积分消费记录");
        if(data.integration != null) $("#integration").text(data.integration);
    });
}
// 活动积分
function getActIntegral_service() {
    var url = 'ws/integralAction' + versionMessage.version + '!getMyPromotionalIntegration.sy';
    var par = {};
    service.get(url, par, function(data) {
        J.Template.render('#activityIntegral_ul', 'activityIntegral_template', data.myPromotionalIntegration, "replace","您没有相关积分消费记录");
        if(data.promotionalIntegration != null) $("#activityIntegration").text(data.promotionalIntegration);
    });
}
// 我的邑豆
function yiBeansDetailInfo_service() {
    var url = 'ws/userAction' + versionMessage.version + '!getMyYiBeans.sy';
    var par = {};
    service.get(url, par, function(data) {
        J.Template.render('#yiBeansDetailInfo_ul', 'yiBeansDetailInfo_template', data.records, "replace","您没有相关积分消费记录");
        if(data.yiBeans != null) $("#yiBeansInfo").text(data.yiBeans);
    });
}
// 我的常购清单
function myOftenBuyList_service() {
    // if(!J.Cache.get('login')){
    //     J.showToast('没有登录哦');
    //     return;
    // }
    var url = 'ws/userAction' + versionMessage.version + '!getRegularPurchaseList.sy';
    var par = {};
    // J.showMask();
    service.get(url, par, function(data) {
        var data1 = [];
        data.map(function(i){
                i.picture = picNetworkPrefix(i.picture);
                var obj = {
                    id: i.id,
                    color: i.color,
                    size: i.size,
                    canBuyNumber: i.canBuyNumber
                };
                data1.push(obj);
        });
        J.Cache.save('oftenBuy',data1);
        J.Template.render('#oftenBuyList_ul', 'oftenBuyList_template', data, "replace","您没有相关商品清单");
        createFly('myOftenBuyList_article');
        // J.hideMask();
    },function(err){
        J.showToast(err.message);
        J.Template.render('#oftenBuyList_ul', 'oftenBuyList_template', [], "replace","您没有相关商品清单");
    });
}
//  购物车数量
function cartNum_service(section) {
    var url = 'ws/shoppingAction' + versionMessage.version + '!getServiceEventAmountInCar.sy';
    var par = {};
    if(!J.Cache.get('login')){
        par.unloginId = getUnloginId();
    }
    service.get(url, par, function(data) {
        if($('#' + section + ' .logo')[0] && data.amount > 0){
            $('#' + section + ' .logo')[0].innerText = data.amount;
        }
    });
}

// 我的优惠券 type 0.储蓄卡 1.优惠券
function getMyCouponList_service(type) {
    var url = 'ws/couponAction' + versionMessage.version + '!getMyCouponList.sy';
    var par = {};
    service.get(url, par, function(data) {
        var card = [];
        var ticket = [];
        var year = new Date().getFullYear();
        var month = new Date().getMonth() + 1;
        var day = new Date().getDate();
        data.map(function(item) {
            // 有效期限处理
            item.coupon.startTime = item.coupon.startTime ? item.coupon.startTime.split(' ')[0] : year + '-' + month + '-' + day;
            item.coupon.endTime = item.coupon.endTime ? item.coupon.endTime.split(' ')[0] : '2099-12-31';
            // 是否有效
            if (item.coupon.type == 0) {
                item.cantUse = (item.coupon.maxCount - item.usedCount) == 0 ? false : true;
                item.cantUse = (item.coupon.faceValue - item.usedValue) == 0 ? false : true;
                card.push(item);
            }
            if (item.coupon.type == 1) {
                item.cantUse = (item.coupon.numLimit - item.usedCount) == 0 ? false : true;
                ticket.push(item);
            }
        })

        if (type == 0) {
            J.Template.render("#myDepositCard_div", "myDepositCard_template", card, "replace","您没有购买的储值卡");
        } else {
            J.Template.render("#myCoupon_div", "myCoupon_template", ticket, "replace","您没有领取的优惠券");
        }
    });
}

/**
 * [getMyCouponDetails_service 获取储值卡详情]
 * @param  {Number} couponUserId [我的储值卡id]
 */
function getMyCouponDetails_service(couponUserId){
    J.Router.goTo('#depositCardDetail_section');
    var url = 'ws/couponAction' + versionMessage.version + '!getMyCouponDetails.sy';
    var par = {
        couponUserId : couponUserId
    };
    service.get(url,par,function(data){
        setTimeout(function(){
            J.Template.render('#depositCardDetail_ul', 'depositCardDetail_template', data.details, "replace","您没有相关储值卡消费记录");
        },200)
        if(data.couponLeftValue != null) $("#depositCardBalance").text(data.couponLeftValue);
    });
}

// 获取我的收货地址
//function addressList_service(isMy) {
//  var time = new Date().getTime();
//  var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
//  service.get(url, {time:time}, function(data) {
//      if (data.length != 0) {
//          data.userAddresses.map(function(item) {
//              if (item.isDefault == 1) J.Cache.save('address', item);
//          })
//      }else{
//          J.Cache.save('address', {});
//      }
//      if (isMy) {
//          if (isMy == 'me') {
//              var mock = J.Cache.get('address') ? J.Cache.get('address').data : {};
//              if(isEmptyObject(mock)){
//                  addressHandle_control('add');
//              }else{
//                  userHasAddress_control(mock);
//              }
//          }else{
//              getAddressForRecharge_control(); //苏果充值获取地址
//          }
//      }
//  });
//}
// 获取我的收货地址v2；
function addressList_service(isMy) {
    var time = new Date().getTime();
    var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
    service.get(url, {time:time}, function(data) {
    	J.Cache.save('userAddresses', data.userAddresses);
        if (data.length != 0) {
            data.userAddresses.map(function(item) {
                if (item.isDefault == 1) {
                	J.Cache.save('address', item);
                	var community = {
                		id: item.communityId,
                		name: item.community,
                		type: item.communityType
                	}
                	J.Cache.save('community', community);
                }
            })
        }else{
            J.Cache.save('address', {});
        }

        if (isMy == 'me') {
            userHasAddress_control(data.userAddresses);
        }else{
            getAddressForRecharge_control(); //苏果充值获取地址
        }

    });
}
// 新增收货地址
function saveUserAddress_service(mock,isBack, hasRefresh) {
	console.log('新增收货地址')
    var url = 'ws/userAction' + versionMessage.version + '!saveUserAddress.sy';
    var par = {
        community : $('#editCommunity_select').children(':selected').text(),
        residence : $('#editResidence_select').find("option:selected").text()
    };
    var address = '' + par.community + par.residence;
    mock.map(function(item) {
        if (item.name == '联系人') par.name = item.value;
        if (item.name == '联系方式') par.contact = item.value;
        if (item.name == '区域') par.communityId = item.value;
        if (item.name == '小区') par.residenceId = item.value;
        if (item.name == '详细地址') {
            par.street = item.value;
            address += item.value;
        }
    })
    par.address = address;
    service.get(url, par, function(data) {
        J.showToast("添加地址成功");
        if(isBack) history.go(-1);
        if(hasRefresh){
            $("#"+ hasRefresh +"_article [data-name='editAddress']").show().siblings().hide();
            $("#"+ hasRefresh +"_article [data-name='addressId']").attr('data-addressId',data.id).attr('data-communityId',data.communityId);
            $("#"+ hasRefresh +"_article [data-name='name']").text(par.name);
            $("#"+ hasRefresh +"_article [data-name='contact']").text(par.contact);
            $("#"+ hasRefresh +"_article [data-name='address']").text(par.address);
        }else{
        	return;
            addressList_service('me');
        }
    });
}
// 切换收货地址
function switchMyAddress_servic(ele, id) {
	if($(ele).hasClass('active')) return;
	var url = 'ws/userAction' + versionMessage.version + '!alterDefaultAddress.sy'
	var par = {
		id: id
	}
	service.get(url, par, function(data) {
		
		$(ele).addClass('active').siblings().removeClass('active');
//		$('#myAddress_ul').prepend(ele);
		J.Cache.save('userAddresses', data.userAddresses);
//		重载收货地址页面
//		userHasAddress_control(data.userAddresses);
		for(var i = 0; i < data.userAddresses.length; i++) {
			if(data.userAddresses[i].isDefault) {
				var community = {
					id: data.userAddresses[i].communityId,
					name: data.userAddresses[i].community,
					type: data.userAddresses[i].communityType
				}
				J.Cache.save('address', data.userAddresses[i]);
				J.Cache.save('community', community);
				J.Cache.save('login', data.userInfo);
			}
		}
        $('#yiBeansCartAddress').text(J.Cache.get('address').data.address);
//		if($('#myAddress_section .back').data().type == true) {
//			window.history.go(-1);
//			setTimeout(function() {
//				window.history.go(-1)
//			})
//		}
	})
}
// 删除地址
function removeMyAddress_service(ele, id) {
	console.log('remove my address');
	console.log(window.event)
	obj = window.event.target || window.event.srcElement; 
	console.log(obj)
	var url = 'ws/userAction' + versionMessage.version + '!deleteAddress.sy';
	var par = {
		id: id
	}
	service.get(url, par, function(data) {		
		$('.myAdressList[data-id="' + id + '"]').remove();
//		J.Template.render('#myAddress_ul', 'myAddress_template', mock, "replace");
		J.showToast('删除成功');
	})

	event.stopPropagation();
}
// 编辑收货地址
function editMyAddress_service(mock,isBack, hasRefresh) {
	console.log('编辑收货地址')
	console.log(J.Cache.get('login'))
    var url = 'ws/userAction' + versionMessage.version + '!editMyAddress.sy';
    var par = {
        community : $('#editCommunity_select').children(':selected').text(),
        communityType: $('#editCommunity_select').children(':selected').data().type,
        residence : $('#editResidence_select').find("option:selected").text(),
        addressId : $('#editAddress_form').attr('value')
    };
    var address = '' + par.community + par.residence;
    mock.map(function(item) {
        if (item.name == '联系人') par.name = item.value;
        if (item.name == '联系方式') par.contact = item.value;
        if (item.name == '区域') par.communityId = item.value;
        if (item.name == '小区') par.residenceId = item.value;
        if (item.name == '详细地址') {
            par.street = $.trim(item.value);
            address += $.trim(item.value);
        }
        par.address = address;
        
        if($('#editAddress_form').attr().data().isdefault == '1') {
	        var data = J.Cache.get('login').data;
	        J.Cache.empty('login');
	        data.userAddressId = par.communityId;
	        data.userAddressName = par.community;
	        data.residenceName = par.residence;
	        data.residenceId = par.residenceId;
	        data.name = par.name;
	        data.phone = par.contact;
	        data.address = par.address;
	        data.communityId = par.communityId;
	        data.communityName = par.community;
	        data.communityType = par.communityType;
	      	J.Cache.save('login', data);
        }
        
    })
    service.get(url, par, function(data) {
        J.showToast('更改成功!');
        var time = new Date().getTime();
	    var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
	    service.get(url, {time:time}, function(data) {
	    	if (data.length != 0) {
	            data.userAddresses.map(function(item) {
	                if (item.isDefault == 1) J.Cache.save('address', item);
	            })
	        }
	    })
        if(isBack) history.go(-1);
        if(hasRefresh){
        	if(J.Cache.get('community').data.type == '1') {
        		pay.mock.addressInfo.street = par.street;
        		$("#"+ hasRefresh +"_article [data-name='addressId']").attr('data-addressId',data.id).attr('data-communityId',data.community.communityId);
        		$("#"+ hasRefresh +"_article [data-name='name']").text(par.name);
        		$("#"+ hasRefresh +"_article [data-name='contact']").text(par.contact);
        		$("#"+ hasRefresh +"_article [data-name='address']").text('详细地址：' + par.street);
        	} else {
        		$("#"+ hasRefresh +"_article [data-name='addressId']").attr('data-addressId',data.id).attr('data-communityId',data.community.communityId);
        		$("#"+ hasRefresh +"_article [data-name='name']").text(par.name);
        		$("#"+ hasRefresh +"_article [data-name='contact']").text(par.contact);
        		$("#"+ hasRefresh +"_article [data-name='address']").text(par.address);
        	}
        	
        }
    });
}

// 更改用户区域 清空购物车
function changeCommunity_service(communityId) {
    var url = 'ws/userAction' + versionMessage.version + '!changeCommunity.sy';
    var par = {
        communityId: communityId
    };
    service.get(url, par, function(data) {

    });
}

// 我的订单列表 - 待支付
function getOrderTopList_service(par) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderTopList.sy';
    var par = par;
    service.get(url, par, function(data) {
        var ordersArray = [];
        if(data != null){
            if(data.length != 0){
                ordersArray = data;
            }
        }
        if (ordersArray.length != 0) ordersArray.reverse();
        J.hideMask();
        orders.getOrderState(ordersArray, {type:par.type, startIndex: 1}); //获取订单列表tpl
    });
}

// 我的订单 - 除待支付外
function getOrders_service(par) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrders.sy';
    var par = par;
    service.get(url, par, function(data) {
        var ordersArray = [];
        if(data != null){
            if(data.length != 0){
                if (par.type != 0) {
                    var state = parseInt(par.type);
                    data.map(function(item) {
                        if (item.orderState == state) ordersArray.push(item);
                    })
                } else {
                    ordersArray = data;
                }
            }
        }
//      if (ordersArray.length != 0) ordersArray.reverse();
        J.hideMask();
        orders.getOrderState(ordersArray, par); //获取订单列表tpl
    });
}

// 获取已付款订单
function getReviewsOrderDetail_service(orderMainId) {
	J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderDetail.sy';
    var par = {
        orderMainId: orderMainId
    };
    orderComment.order = {
		id: '',
		code: '',
		evaluateContent: '',
		picture: '',
		deliverySpeed: '5',
		deliveryServer: '5'
	}
    orderComment.commodity = {}
    service.get(url, par, function(data) {
        var data = data.orderDetails;
    	data.map(function(item) {
    		item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture)
    	})
    	var mock = {
	        orderMain: data[0].orderMain, //拆弹前ordermain信息
	        data: data
	    };
	    for(var i = 0; i < data.length; i++) {
	    	orderComment.commodity[data[i].serviceEvent.id] = {
				evaluateContent: '好评',
				picture: '',
				quality: '5',
			}
	    }
    	J.hideMask();
    	orderComment.order.id = mock.orderMain.id;
    	orderComment.order.code = mock.orderMain.code;


    	J.Template.render("#comment_div","comment_template",mock,"replace");
    })
}
// 提交评论信息
function submitComment() {
	var url = serverUrl + 'ws/commentAction' + versionMessage.version + '!submitComment.sy';
	var par = {
		data: JSON.stringify(orderComment)
	}
	J.showMask();
	$.post(url, par, function(data) {
        var data = JSON.parse(data);

	    if(data.success){
            J.hideMask();
            J.showToast(data.message);
            orders.goMyOrders(8);
        }else{
            J.hideMask();
            J.showToast(data.message);
        }
	},function() {
		J.hideMask();
		J.showToast('评价失败');
	})
}

// 订单详情
function getOrderDetail_service(orderMainId) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderDetail.sy';
    var par = {
        orderMainId: orderMainId
    };
    service.get(url, par, function(data) {
        var data0 = data.orderDetails[0];
        getRelateServiceEvent_service(data0.serviceEvent.id,data,0, orderMainId); //获取关联商品
        var mock = {
            address: data0.orderMain.wtyAddress, //收货地址
            deliverTime: data0.orderMain.deliverTime, //发货时间
            serviceEvent: [], //商品列表
            couponList: [], //优惠券列表
            orderMain: data0.orderMain, //拆弹前ordermain信息
            orderMainState: data0.orderMain.orderState,
            orderMainId: data0.orderMain.id, //
            couponOff:data0.couponOff,
            zhuxiaoRemark:data0.orderMain.zhuxiaoRemark
        };
      //console.log(mock)
        mock.orderMain.eventNum = 0;
        if (data0.reservationTime != null) {
            var reservationTime = data0.reservationTime.split(',');
            reservationTime.map(function(item, index) {
                var itemLast = item.slice(item.length - 1, item.length) == 1 ? '00' : '30';
                if (item.length > 10) {
                    reservationTime[index] = item.slice(0, 4) + '-' + item.slice(4, 6) + '-' + item.slice(6, 8) + ' ' + item.slice(8, 10) + ':' + itemLast;
                } else {
                    reservationTime[index] = item.slice(0, 4) + '-' + item.slice(4, 6) + '-' + item.slice(6, 8) + ' ' + item.slice(8, 9) + ':' + itemLast;
                }
            })
            //TODO 如果不会出现else的情况，就把后面的代码删了吧
            if (reservationTime.length == 1)
            	mock.reservationTime = reservationTime[0];
            else
            	mock.reservationTime = reservationTime[0] + '~' + reservationTime[reservationTime.length - 1];
        }
        data.orderDetails.map(function(item) {
            if (!isEmptyObject(item.serviceEvent)) {
                if (!isNullString(item.serviceEvent.picture)) item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                item.serviceEvent.hadColor = item.color;
                item.serviceEvent.hadSize = item.size;
                item.serviceEvent.orderDetailState = item.orderState;
                item.serviceEvent.eachOrderMainId = item.id;
                item.serviceEvent.payNum = item.num;
                item.serviceEvent.usedCouponUser = item.couponUser;
                item.serviceEvent.usedDiscountRule = item.discountRule;
                item.serviceEvent.costCouponOff = item.couponOff;
                item.serviceEvent.price = item.serviceEventPrice;
                item.serviceEvent.leftNum = item.leftNum;
                item.serviceEvent.returnNum = item.returnNum;
                item.serviceEvent.quehuoNum = item.quehuoNum;
                item.serviceEvent.tuihuoNum = item.tuihuoNum;
                mock.serviceEvent.push(item.serviceEvent);
            }
            if (!isEmptyObject(item.coupon)) {
                item.coupon.orderDetailState = item.orderState;
                item.coupon.eachOrderMainId = item.id;
                if (!isNullString(item.coupon.picture)) item.coupon.picture = picNetworkPrefix(item.coupon.picture);
                mock.couponList.push(item.coupon);
            }
            mock.orderMain.eventNum += item.num;
        });
        if(mock.orderMain.orderMainInvoice) {
        	mock.orderMain.orderMainInvoice = mock.orderMain.orderMainInvoice.split(',');
        }else{
        	mock.orderMain.orderMainInvoice = [];
        };
        J.hideMask();
        mock.orderMain.balanceOff = Math.formatFloat(mock.orderMain.balanceOff + mock.orderMain.balanceFreight);
        mock.orderMain.integrationOff = Math.formatFloat(mock.orderMain.integrationOff + mock.orderMain.integralFreight);
        mock.orderMain.promotionalIntegrationOff = Math.formatFloat(mock.orderMain.promotionalIntegrationOff + mock.orderMain.promotionalIntegralFreight);
        mock.orderMain.thirdPayTotal = Math.formatFloat(mock.orderMain.thirdPayTotal + mock.orderMain.thirdPayFreight);
        mock.orderMain.total = Math.formatFloat(mock.orderMain.total + mock.orderMain.freight);
        orders.getOrderDetail_tpl(mock);
    })
}
//扫码购订单详情
function getBarCodeOrderDetail_service(par) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!diffComparision.sy';
    service.get(url, par, function(data) {
        J.closePopup();
        J.Router.goTo('#barCodeOrderDetail_section');
        J.Cache.save('BarCodeOrderDetail',data.differenceComparisons);
        var mock = {};
        mock.total = data.total;
        mock.isPay = data.isPay;
        mock.serviceEvent = []; //商品列表
        data.differenceComparisons.map(function(item) {
            if (!isEmptyObject(item)) {
                if (!isNullString(item.pic)) item.pic = picNetworkPrefix(item.pic);
                mock.serviceEvent.push(item);
            }
        });
        J.hideMask();
        orders.getBarCodeOrderDetail_tpl(mock);
    })
}
//退货确定
function confirmRefund_service(){
    var url = 'ws/orderAction' + versionMessage.version + '!returnOrComplaint.sy';
    if(!J.Cache.get('refund') || J.Cache.get('refund') && J.Cache.get('refund').data[2].length == 0){
        J.showToast('您没有选择退货商品');
        return;
    }

    var par = {
        orderMainId : JSON.stringify(J.Cache.get('refund').data[1]),
        orderDetailIds : JSON.stringify(J.Cache.get('refund').data[2]),
        orderDetailNums: JSON.stringify(J.Cache.get('refund').data[3]),
        remark : J.Cache.get('mock').data.remark
    };
    service.get(url,par, function (data) {
        refreshPage_control(JSON.stringify(J.Cache.get('refund').data[1]), 0, '退货申诉成功!');
        $("#applyForRefund_article #textarea").css('display','none');
        $("#applyForRefund_article [data-name='reason'] li").removeClass('active');
        $("#applyForRefund_article [data-name='reason'] li:first-child").addClass('active');
    });
    J.Router.goTo('#myOrders_section');
}

// 添加小票
function submitInvoiceNum_service(id, ele) {
//	pointer-events: none;
	var invoiceNum  = $(ele).prev().val();
	var shopCode  = $(ele).prev().prev().prev().val();
	invoiceNum = invoiceNum.replace(/ /g,'');
	if(!shopCode){
		$(ele).prev().prev().prev().val('')
		J.showToast('店铺编码不能为空');
		return;
	}
	if(!invoiceNum){
		$(ele).prev().val('')
		J.showToast('小票不能为空');
		return;
	}
	$(ele).css('pointer-events', 'none');
	var par = {
		orderMainId: id,
		shopCode:shopCode,
		invoiceNum: invoiceNum
	};
	var InvoiceNumListObj = {};
	for(var i = 0; i < $('#InvoiceNumList p').length; i++) {
		if($($('#InvoiceNumList p')[i]).data().value) {
			InvoiceNumListObj[$($('#InvoiceNumList p')[i]).data().value] = true;
		}
	}
	if(InvoiceNumListObj[invoiceNum]) {
		J.showToast('该小票已存在')
		return;	
	};
	var url = 'ws/orderAction' + versionMessage.version + '!saveInvoiceInfo.sy';
	service.get(url, par, function(data) {
        if(data.resultCode == 0) {
            J.showToast(data.resultMessage);
            var str = '<p data-value="' + par.invoiceNum + '">' + par.invoiceNum + '<span class="finish-button orderDetail-button" onclick="removeInvoiceNum_service(\'' + par.orderMainId + '\', \'' + par.invoiceNum + '\', this)">删除</span></p>';
            $('#InvoiceNumList').prepend(str);
            $(ele).prev().val('');
        }else {
            J.showToast(data.resultMessage);
        }
        
        $(ele).css('pointer-events', 'auto');
	}, function(data) {
		J.showToast(data.message);
		$(ele).css('pointer-events', 'auto');
	})
}
// 删除小票
function removeInvoiceNum_service(id, invoiceNum, ele) {
	var par = {
		orderMainId: id,
		invoiceNum: invoiceNum
	}
	var url = 'ws/orderAction' + versionMessage.version + '!deleteInvoiceInfo.sy';
	service.get(url, par, function(data, message) {
		$(ele).parent().remove();
		J.showToast(message);
	});
}
// 订单详情添加备注
function submitRemark_service(id, ele) {
    var remark  = $(ele).prev().val();
    if(!remark){
        $(ele).prev().val('');
        J.showToast('提交信息不能为空');
        return;
    }
    var par = {
        orderMainId: id,
        remark: remark
    };
    var url = 'ws/orderAction' + versionMessage.version + '!saveRemark.sy';
    service.get(url, par, function(data) {
        J.showToast('备注成功');
    }, function(data) {
        J.showToast('请重试');
    })
}

// 去付款详情
function getOrderMainsByOrderTop_service(topId){
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderMainsByOrderTop.sy';
    var par = {
        orderTopId: topId
    };
    service.get(url, par, function(data) {
        if (data != null) {
        	var myKey = Object.keys(data.eventsInfo)[0];
        	shopCarCommodityid = data.eventsInfo[myKey][0].serviceEvent.id;
            var num = 0, shoppingCarIds = [];
            for (var k in data.eventsInfo) {
                data.eventsInfo[k].map(function(item) {
                    shoppingCarIds.push(item.id) ;
                    if (item.serviceEvent) {
                        if (!isNullString(item.serviceEvent.picture)) {
                            item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                        }
                        num += item.num;
                        if (item.discountRule) {
                            if (item.discountRule.type == 3) {
                                item.discount = item.discountRule.discountPercent * 10;
                            }
                        }
                    }
                })
            }
            if (isEmptyObject(data.calculatePrice.discountRuleObject)) data.calculatePrice.discountRuleObject = null;
            if (isEmptyObject(data.calculatePrice.couponObject)) data.calculatePrice.couponObject = null;
            if (isEmptyObject(data.availableCoupon)) data.availableCoupon = null;
			
			pay.isOrder = true; // 是未付款订单
            pay.mock.deliveryTimeSelect = data.deliveryTime;
            pay.mock.deliveryTime = data.deliveryTimeInfo.canDeliveryTime;
            pay.par.shoppingCarIds = JSON.stringify(shoppingCarIds) ;
            pay.mock.priceInfo = data.calculatePrice;
            pay.mock.eventsInfo = data.eventsInfo;
            pay.mock.availableCoupon = data.availableCoupon;
            pay.param.disType = data.disType;
            pay.mock.disType = data.disType;
            pay.mock.deliveryTimeInfo = data.deliveryTimeInfo;
            pay.par.isOrder = true;
            pay.par.orderTopId = topId;
        
            if (data.addressInfo.length != 0) pay.mock.addressInfo = data.addressInfo[0];
            J.Cache.save('address', data.addressInfo[0]);
            pay.freight = parseInt(data.calculatePrice.freight);
            J.Router.goTo('#payLists_section');
            setTimeout(function(){
            	$('.title-money').show();
                pay.getSelectedShoppingCar_tpl(num, 0,topId, data); //获取已选购物车商品页面信息
            },200)
            J.hideMask();
        }
    })
}

/**
 * [confirmOrderState_service 更改订单状态]
 * @param  {Number} orderMainId [订单id]
 * @param  {Number} nextState   [订单下一状态]
 *  @param  {Number} pageNum   [刷新哪个页面 0.列表 1.详情]
 * @param  {String} showWords   [提示语]
 */
function confirmOrderState_service(orderMainId, nextState, pageNum, showWords, hasCancel) {
    var url = 'ws/orderAction' + versionMessage.version + '!confirmOrderState.sy';
    var par = {
        orderMainId: orderMainId,
        orderState: nextState
    }
    service.get(url, par, function(data) {
        if (pageNum == 0) {
            var state = $("#myOrders_ul").attr('value');
            getOrders_service({type:state, startIndex:1});
        } else {
            if (!hasCancel) {
                getOrderDetail_service(orderMainId);
            } else {
                history.go(-1);
            }
        }
        if (showWords) J.showToast(showWords);
    })
}

// 待付款 - 取消订单
function cancelOrderDaiFuKuan_service(topId){
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderDaiFuKuan.sy';
    var par = {
        orderTopId : topId
    };
    service.get(url,par,function(data){
        J.hideMask();
        J.showToast('取消订单成功');
        getOrderTopList_service({type: 1});
    })
}

/**
 * [cancelOrderMainInPay_service 已付款 - 取消订单]
 * @param  {Number} orderMainId [订单id]
 */
function cancelOrderMainInPay_service(orderMainId, pageNum, remark) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderMainInPay.sy';
    var par = {
        orderMainId: orderMainId,
        remark: remark
    };
    if(!remark) {
    	// userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
    	var userType = J.Cache.get('login').data.type;
    	if(userType == 1)  par.remark = '用户取消订单';
    	if(userType == 2)  par.remark = '商户员工取消订单';
    	if(userType == 3)  par.remark = '配送员取消订单';
    	if(userType == 4)  par.remark = '快递员取消订单';
    	if(userType == 5)  par.remark = '配送快递员取消订单';
    }
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '取消订单成功!', true);
        if (remark) history.go(-1);
    });
}

/**
 * [distributeDone_service 配货完成]
 * @param  {Number} orderMainId [订单id]
 */
function distributeDone_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!distributeDone.sy';
    var par = {
        orderMainId: orderMainId
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '配货完成');
    });
}

/**
 * [distributeDoneOutOfStock_service 缺货确定]
 * @param  {Number} orderMainId [订单id]
 * @param  {Array} orderDetailIds [缺货detailId]
 */
function distributeDoneOutOfStock_service(orderMainId, orderDetailIds, orderDetailNums, pageNum) {
	J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!distributeDoneOutOfStock.sy';
    var par = {
        orderMainId: orderMainId,
        orderDetailIds: JSON.stringify(orderDetailIds),
        orderDetailNums: JSON.stringify(orderDetailNums),
        is_scan_entrance : 0
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '操作完成', true);
        J.hideMask();
    }, function() {
    	J.hideMask();
    });
}

/**
 * [cancelOrderMainOutOfStock_service 缺货 - 取消订单]
 * @param  {Number} orderMainId [订单id]
 */
function cancelOrderMainOutOfStock_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderMainOutOfStock.sy';
    var par = {
        orderMainId: orderMainId
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '取消订单成功!', true);
    });
}

/**
 * [deliverGoodsDone_service 送货完成]
 * @param  {Number} orderMainId [订单id]
 */
function deliverGoodsDone_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!deliverGoodsDone.sy';
    var par = {
        orderMainId: orderMainId
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '送货完成');
    });
}

/**
 * [deliverGoodsDoneOutOfStock_service 部分缺货 - 送货]
 * @param  {Number} orderMainId [订单id]
 * @param  {Array} orderDetailIds [缺货detailId]
 */
function deliverGoodsDoneOutOfStock_service(orderMainId, orderDetailIds, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!deliverGoodsDoneOutOfStock.sy';
    var par = {
        orderMainId: orderMainId,
        orderDetailIds: JSON.stringify(orderDetailIds)
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '送货完成');
    });
}

/**
 * [returnOrComplaint_service 退货申诉]
 * @param  {Number} orderMainId [订单id]
 */
function returnOrComplaint_service(orderMainId, pageNum, remark) {
    var url = 'ws/orderAction' + versionMessage.version + '!returnOrComplaint.sy';
    var par = {
        orderMainId: orderMainId,
        remark: remark
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '退货申诉成功!', true);
        if (remark) history.go(-1);
    })
}

/**
 * [confirmReturnGood_service 用户有责退款/用户无责退款]
 * @param  {Number} orderMainId [订单id]
 * @param  {Number} returnType  [1.有责 2.无责]
 */
function confirmReturnGood_service(orderMainId, returnType, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!confirmReturnGood.sy';
    var par = {
        orderMainId: orderMainId,
        returnType: returnType
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '确认退款成功!');
    });
}

/**
 * [confirmReceipt_service 确认收货]
 * @param  {Number} orderMainId [订单id]
 */
function confirmReceipt_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!confirmReceipt.sy';
    var par = {
        orderMainId: orderMainId
    };
    service.get(url, par, function(data) {
    	$('.buttonGroup').remove();
        refreshPage_control(orderMainId, pageNum, '确认收货成功!');
    });
}

/**
 * [confirmReturnMoney_service 已接收退款]
 * @param  {Number} orderMainId [订单id]
 */
function confirmReturnMoney_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!confirmReturnMoney.sy';
    var par = {
        orderMainId: orderMainId
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum);
    })
}

// 苏果充值订单列表
function getSuguoOrderList_service(){
    J.showMask();
    var url = 'ws/suguoAction' + versionMessage.version + '!getSuguoOrderList.sy';
    var par = {};
    service.get(url, par, function(data) {
        if(data == null){
            data = [] ;
        }
        J.hideMask();
        getSuguoOrderList_control(data);
    });
}

/**
 * [changeSuguoOrderState_service 苏果充值更该订单状态]
 * @param  {Object} orderId   [订单id]
 * @param  {Number} nextState [更改后的下一状态]
 */
function changeSuguoOrderState_service(orderId,nextState){
    J.showMask();
    var par = {
        suguoOrderId : orderId,
        orderState : nextState
    };
    var url = 'ws/suguoAction' + versionMessage.version + '!changeSuguoOrderState.sy';
    service.get(url, par, function(data) {
        var stateMsg = {
            2 : '配货完成',
            3 : '已确认收卡',
            4 : '已确认充值',
            5 : '取消成功',	
        }
        J.showToast(stateMsg[nextState]);
        J.hideMask();
        getSuguoOrderList_service();
    });
}

// 新用户优惠券领取
function getSpecialOffers() {
	$('#specialOffers_div').removeClass('active');
	J.Router.goTo('#newUser_section');
	var url = 'ws/homeAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_showNewGuyCoupon.sy';
	service.get(url, {place: 0}, function(data) {
		data.map(function(item) {
			item.coupon.endTime = '截止日期至' + item.coupon.endTime.substr(0, 10).replace('-', '年').replace('-', '月') + '日';
		})
		J.Template.render("#showUserVerification_div", "showUserVerification_template", data, "replace");
	})
}

// 新用户领券注册
function userVerification() {
	var phone = $('#userVerification_div input[name=phone]').val();
	var phonecode = $('#userVerification_div input[name=phonecode]').val();

	if(!verifyPhone(phone)) return;
	if(!phonecode) {
		J.showToast('请输入验证码');
		return;
	} 
	var password = Math.floor(Math.random() * 900000 + 100000) + ''
	var par = {
		phone:phone,
		code: phonecode,
		openId: '',
		passwd: password,
		communityId:J.Cache.get('community').data.id
	}
	if(J.Cache.get('openId')) {
		par.openId = J.Cache.get('openId').data;
	}
	var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_smartRegister.sy';

	service.get(url, par, function(data) {
		var mock = {
			phone: data.userInfo.phone,
			userPwd: data.userInfo.password
		};

		if(data.isSuccess) {
			J.Cache.save('login', data.userInfo);
        	J.Cache.save('loginForm', mock);
        	$('#userVerification_div').removeClass('active');
		} else {
			J.showToast(data.msg);
		} 
	})
}
//扫码购未登录/新用户领取优惠券并登录
function sweepUserVerification(par,success, errCallback) {
    var url = 'ws/couponAction' + versionMessage.version + '!bindCoupon.sy';
    service.get(url,par,function(data,message){
        success(data,message);
        var mock = {
            phone: data.phone,
            userPwd: data.password
        };
        J.Cache.save('login', data);
        J.Cache.save('loginForm', mock);
        J.Cache.save('address', data.userAddress);
        data.face = fileServerUrl + data.face;
        J.Template.render("#userInfo_div", "userInfo_template", data, "replace");
    },function(err){
        errCallback(err);
    });
}

function getHelpInfo() {
	var url = 'ws/othersAction' + versionMessage.version + '!getHelpInfo.sy';
	service.get(url, {}, function(data) {
		J.Template.render("#help_div", "help_template", data, "replace");
	});
}

function contactUs() {
	console.log(versionMessage);
	if(versionMessage.appVersion) {
		$('#versionMessage').text('版本信息：' +  versionMessage.appVersion)
	} else {
		$('#versionMessage').text('版本信息：' +  versionMessage.version)
	}
	var url = 'ws/othersAction' + versionMessage.version + '!contactUs.sy';
	service.get(url, {}, function(data) {
		J.Template.render("#notescontact_div", "notescontact_template", data, "replace");
	});
}

// 供应商判断
function allianceBusinessVerify() {
	// 验证
	var allianceCode = $('#allianceBusiness_div input[name="allianceCode"]').val();
	var alliancePassword = $('#allianceBusiness_div input[name="alliancePassword"]').val();
	if (!allianceCode) {
		J.showToast('请输入加盟编码');
//		J.Toast.show('error', '请输入加盟编码');
		return;
	}
	if (!alliancePassword) {
		J.showToast('请输入加盟商密码');
//		J.Toast.show('error', '请输入加盟商密码');
		return;
	}
	var url = 'ws/userAction' + versionMessage.version + '!suGuoWholesaleUserLogin.sy?';
	var pay = {
		customerId: allianceCode,		
		customerPwd: alliancePassword
	}
	// 发请求
	service.get(url, pay, function(data) {
		J.Toast.show('success', '验证成功');
		// 切换片区
		editAllianceMyAddress_service(data);
	})
}


// 片区type!=0切换片区
function editAllianceMyAddress_service(mock) {
	changeCommunity_service(mock.communityId)
    var url = 'ws/userAction' + versionMessage.version + '!editMyAddress.sy';
    var par = {
        community : mock.communityName,
        communityId: mock.communityId,
        communityType: 1,
        residence : '',
        residenceId: '',
        street: '',
        address: '',
        addressId : J.Cache.get('address') ? (J.Cache.get('address').data ? J.Cache.get('address').data.id : '') : '',
        name:J.Cache.get('login').data.name,
        contact: J.Cache.get('login').data.phone,
    };

    var userPar = J.Cache.get('login').data;
    userPar.userAddressId = par.communityId;
    userPar.userAddressName = par.community;
    userPar.residenceName = par.residence;
    userPar.residenceId = par.residenceId;
    userPar.name = par.name;
    userPar.phone = par.contact;
    userPar.address = par.address;
    userPar.communityId = par.communityId;
    userPar.communityName = par.community;	
    userPar.communityType = par.communityType;

    service.get(url, par, function(data) {
        var communityPar = {
        	id: data.community.communityId,
        	name: data.community.communityName,
        	type: data.community.communityType
        };
        J.Cache.save('community', communityPar);
		J.Cache.save('login',userPar);
		J.Router.goTo('#index_section');
		history.go(0);
    });
}
// 根据条形码获取商品信息
function findServiceEventByBarCode(par, errCallback) {
	var url = 'ws/serviceAction' + versionMessage.version + '!findServiceEventByBarCode.sy';
	service.get(url, par, function(data) {
		console.log(data);
		sweepGetPro(data, par.orderCode);
	}, function(err) {
		errCallback(err);
	})
}

// 根据条码获取的商品添加购物车
function saveScanOrder(par, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!saveScanOrder.sy';

	service.get(url, par, function(data) {
		J.showToast('数据更新成功');
        J.closePopup();
		sweepBarcode(par.orderCode);
	}, function(err) {
		errCallback(err);
	})
}
//删除扫码购订单
function deleteScanOrder_service(orderCode){
    var url = 'ws/orderAction' + versionMessage.version + '!deleteScanOrder.sy';
    var par = {orderCode : orderCode};
    service.get(url, par, function(data,message) {
        J.showToast(message);
        orders.goMyOrders(2);
        //J.Router.goTo("#myOrders_section");
    });
}
//结算扫码购订单
function checkoutScanOrder_service(){
    var data = J.Cache.get('BarCodeOrderDetail').data;
    var url = 'ws/orderAction' + versionMessage.version + '!settlementScanOrder.sy';
    var productList = [];
    for(var i = 0;i < data.length; i++){
        var list = {};
        if(data[i].goodsBarCodeScan != null){
            list.barcode = data[i].goodsBarCodeScan;
        }else{
            list.barcode = data[i].goodsBarCode;
        }
        if(data[i].goodsNameScan != null){
            list.name = data[i].goodsNameScan;
        }else{
            list.name = data[i].goodsName;
        }
        if(data[i].priceMarginSingle != 0){
            var remark = $('#barCodeOrderDetail_section input[type=text]')[i];
            if(remark && remark != undefined){
                list.remark = remark.value;
            }else{
                list.remark = '';
            }
        }else{
            list.remark = '';
        }
        productList.push(list);
    }
    var data1 = {
        orderCode : data[0].orderCode,
        productList : productList
    };
    var par = {
        jsonText: JSON.stringify(data1)
    };
    service.get(url, par, function(data) {
        payScanOrder();
    },function(data){
        J.showToast(data.message);
    });
}
//扫码购确认支付
function confirmPayment_service(orderCode){
    $('.payScanOrder').hide();
    $('.payScanOrderFooter').hide();
    var par = {
        orderCode : orderCode
    };
    var url = 'ws/orderAction' + versionMessage.version + '!confirmPayment.sy';
    service.get(url, par, function(data) {
        $('#barCodeOrderDetail_section .center-button')[0].innerText = '退货';
        $('#barCodeOrderDetail_section .center-button').attr('onclick','refundScanOrder_service("' + orderCode + '")');
        $('#barCodeOrderDetail_section .finish-button')[0].innerText = '已结算';
        $('#barCodeOrderDetail_section .finish-button').removeAttr('onclick');
        $('#barCodeOrderDetail_section input[type="text"]').map(function(){
            var len = $('#barCodeOrderDetail_section input[type="text"]').val().length;
            if(len >= 0){
                $('#barCodeOrderDetail_section input[type="text"]').attr('maxlength',len);
            }
        });
        generateBarcode(data.billNum);
    },function(data,message){
        if(message){
            J.showToast(message);
        }
    });
}


// 获取出场条码
function getOrderBarCode(orderCode) {
	var par = {
		orderCode: orderCode
	};
	var url = 'ws/orderAction' + versionMessage.version + '!findOutBarCode.sy';
	service.get(url, par, function(data) {
		console.log(data);
		if(data.outBarCode) {			
			generateBarcode(data.outBarCode)
		} else {
			J.showToast('暂无出场码');
		}
	});
}

// 查看扫码购配货订单
function diffComparisionSingleOrder(orderCode) {
	var par = {
		orderCode: orderCode
	};
    J.showMask();
    J.Router.goTo('#barCodeOrderDetail_section');
	var url = 'ws/orderAction' + versionMessage.version + '!diffComparisionSingle.sy';
	service.get(url, par, function(data) {
        J.Cache.save('BarCodeOrderDetail',data.differenceComparisons);
        var mock = {};
        mock.total = data.total;
        mock.isPay = data.isPay;
        mock.serviceEvent = []; //商品列表
        data.differenceComparisons.map(function(item) {
            if (!isEmptyObject(item)) {
                if (!isNullString(item.pic)) item.pic = picNetworkPrefix(item.pic);
                mock.serviceEvent.push(item);
            }
        });
        J.hideMask();
        orders.getBarCodeOrderDetail_tpl(mock);
	},function(err){
		J.Router.goTo('#barCodeOrderDetail_section');
        J.showToast(err.message);
        orders.getBarCodeOrderDetail_tpl();
        J.hideMask();
    })
}
//已结算扫码购订单退货接口
function refundScanOrder_service(orderCode){
    var par = {
        orderCode : orderCode
    };
    var url = 'ws/orderAction' + versionMessage.version + '!cancelScanPurchaseOrder.sy';
    service.get(url, par, function(data) {
		//J.showToast('退货成功');
        J.Router.goTo("#myOrders_section");
    })
}

// 获取扫码购订单列表
function getScanOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!findScanOrderListForUser.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}
// 获取待付款扫码购订单信息
function getScanObligationOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!findUserScanOrderByOrderCode.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}

// 删除扫码购订单
function deleteUserScanOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!deleteUserScanOrder.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}

//getPushGoodAndOutBarCode
// 支付成功之后获取出场码和推荐商品
function getPushGoodAndOutBarCode_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!getPushGoodAndOutBarCode.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}