var shopCarCommodityid = ''
// 获取已选购物车商品信息
function getSelectedShoppingCar_service(mock,eventType) {
    var url = 'ws/shoppingAction' + versionMessage.version + '!getSelectedShoppingCar.sy';
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级
    if(!J.Cache.get('login')) {
    	J.showToast('您尚未登录，请登陆后重试');
    	return;
    }
    if(J.Cache.get('login').data.level == 2 || J.Cache.get('login').data.level == 3){
        $('#coupons').hide();
    }
    try{
    	if(J.Cache.get('community').data.type == 1) {
    		mock.deliveryTime = 'isWholeSale';
    	}    	
    }catch(e){}
    J.showMask();
    service.get(url, mock, function(data) {
    	J.Cache.save('distributInformationList', data.distributInformationList);
    	var myKey = Object.keys(data.eventsInfo)[0];
    	console.log('111');
    	console.log(myKey);
    	if(data.eventsInfo[myKey]) {
    		shopCarCommodityid = data.eventsInfo[myKey][0].serviceEvent.id;
    	}
        var num = 0;
        for (var k in data.eventsInfo) {
            data.eventsInfo[k].map(function(item) {
                if (item.serviceEvent) {
                    if (!isNullString(item.serviceEvent.picture)) {
                        item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                    }
                    num += item.num;
                    if (item.discountRule) {
                        if (item.discountRule.type == 3) {
                            item.discount = item.discountRule.discountPercent * 10;
                        }
                    }
                }
            })
        }
        if(isEmptyObject(data.calculatePrice.discountRuleObject)) data.calculatePrice.discountRuleObject = null ;
        if(isEmptyObject(data.calculatePrice.couponObject)) data.calculatePrice.couponObject = null ;
        if(isEmptyObject(data.availableCoupon)) data.availableCoupon = null ;
		
		pay.isOrder = pay.par.isOrder;
        pay.mock.deliveryTimeSelect = data.deliveryTime;
        pay.mock.deliveryTime = data.deliveryTimeInfo.canDeliveryTime;
        pay.mock.priceInfo = data.calculatePrice;
        pay.mock.eventsInfo = data.eventsInfo;
        pay.mock.availableCoupon = data.availableCoupon;
        pay.mock.deliveryTimeInfo = data.deliveryTimeInfo;
        
        if (data.addressInfo.length != 0) {
        	if(data.addressInfo[0].isDefault == 1) {
        		pay.mock.addressInfo = data.addressInfo[0];
        		J.Cache.save('address', data.addressInfo[0]);
        	}
        }
//      if (data.addressInfo.length != 0) pay.mock.addressInfo = data.addressInfo[0];
//      J.Cache.save('address', data.addressInfo[0]);
        pay.freight = parseInt(data.calculatePrice.freight);
        J.Router.goTo('#payLists_section');
        setTimeout(function(){
            pay.getSelectedShoppingCar_tpl(num,eventType, pay.par.orderTopId); //获取已选购物车商品页面信息
        },200)
        J.hideMask();
    }, function(data) {
        J.hideMask();
        J.showToast(data.message);
        history.go(-1);
    });
}

// 计算积分和余额
// eventType 0.商品购买 1.优惠券购买
function calculateAvailableIntegrationAndBalance_service(mock,eventType, howPay, topId) {
	setTimeout(function() {
		var templateData = {
			data: {				
				type: 0
			}
		}
		try{
			templateData.data.type = J.Cache.get('community').data.type;
		}catch(e){
			templateData.data.type = 0;
		}
//		J.Template.render("#payMethod_article", "payMethod_template", J.Cache.get('community').data, "replace");
		J.Template.render("#payMethod_article", "payMethod_template", templateData.data, "replace");
	    J.showMask();
	    var url = 'ws/shoppingAction' + versionMessage.version + '!calculateAvailableIntegrationAndBalance.sy';
	    var par = {
	        total: mock
	    };
	    service.get(url, par, function(data) {
	        pay.mock.blance = data;
	        if(eventType == 1){
	            pay.total = mock ;
	            pay.freight = 0;
	        }        
	        J.hideMask();
	        pay.getBlanceAndIntegration_tpl(eventType, howPay, topId);
	    }, function() {
	        J.hideMask();
	        J.showToast(error_message);
	        history.go(-1);
	    });
	}, 500);
}
// 获取可用积分和余额
function scanGetIntegrationAndBalance_service(par, success, errCallback) {
	var url = 'ws/shoppingAction' + versionMessage.version + '!calculateAvailableIntegrationAndBalance.sy';
	service.get(url, par, function(data) {
		success(data);
	}, function(err) {
		errCallback(err);
	})
}

var ifGoCheckoutSuccess = false;
// 购物车-支付订单
function submitOrder_service(param) {
    J.showMask();
    delete param.total;
    delete param.freight;
    var couponCid = $('#couponDetail').attr('data-choose');
    if(couponCid == undefined){
        param.couponJsonStr = {};
    }
    if (param.type == 1) {
        J.hideMask();
        delete pay.couponJsonStr;
        delete param.couponJsonStr;
//      return;
    }
    
    var url = 'ws/orderAction' + versionMessage.version + '!submitOrder.sy';
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级
    if(J.Cache.get('login').data.level == 2){
    	J.hideMask();
        J.showToast('暂时无法购买');
        return;
    }
    service.get(url, param, function (data) {
        J.hideMask();
        // 支付工具支付
        if (param.payMethod != 0 && param.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
            if (param.type == 0) {
                Mobile.pay(pay.method[param.payMethod], pay.mock.blance.thirdPatMethod, data, function () {

                	J.Router.goTo('#checkoutSuccess_section');
            		getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                    childrenAticleToggleActive('home_article', 'addClass');
                    delete param.couponJsonStr;
                    param.couponJsonStr = {};
                    return;
                }, function() {

                	J.Router.goTo('#checkoutSuccess_section');
            		getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, 1);
            		return;
                });


                if(isWechatClient()) {
                    ifGoCheckoutSuccess = false;
                    return;
                }
                if(isIOS()) {

                    ifGoCheckoutSuccess = true;
					document.addEventListener("resume", function() {
                        if(ifGoCheckoutSuccess) {
                            J.Router.goTo('#checkoutSuccess_section');
                            ifGoCheckoutSuccess = false;
                            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                            childrenAticleToggleActive('home_article', 'addClass');
                            delete param.couponJsonStr;
                            param.couponJsonStr = {};
                        }
                    } , false);
				}
            } else {
            	if (param.type == 0) J.showToast('订单完成');
	            J.Router.goTo('#checkoutSuccess_section');
	            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
	            childrenAticleToggleActive('home_article', 'addClass');
	            delete param.couponJsonStr;
	            param.couponJsonStr = {};
            }
        } else {
            if (param.type == 0) J.showToast('订单完成');
            J.Router.goTo('#checkoutSuccess_section');
            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
            childrenAticleToggleActive('home_article', 'addClass');
            delete param.couponJsonStr;
            param.couponJsonStr = {};
        }
    })
}
// 提交团购订单
function submitAuditOrder_service() {
	pay.param.deliveryTime = 'isWholeSale';
	pay.param.type = 2;
    if($('#remark').val()){
        pay.param.remark = $('#remark').val();
    }else{
        pay.param.remark = '';
    }
    if($('#invoiceTitle').val()){
        pay.param.invoiceTitle = $('#invoiceTitle').val();
    }else{
        pay.param.invoiceTitle = '';
    }
	var param = pay.param;
	J.showMask();
    delete param.total;
    delete param.freight;
    delete pay.couponJsonStr;
    delete param.couponJsonStr;
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级
    if(J.Cache.get('login').data.level == 2){
    	J.hideMask();
        J.showToast('暂时无法购买');
        return;
    }
    var url = 'ws/orderAction' + versionMessage.version + '!submitAuditOrder.sy';
    service.get(url, param, function(data) {
    	J.hideMask();
    	J.showToast('订单已经提交审核');
    	J.Router.goTo('#myOrders_section');
    	orders.goMyOrders(0)
    }, function(data) {
    	J.hideMask();
    	J.showToast('订单提交失败，请重试！');
    })
}

// - 去支付
function submitOrderTop_service(param){
    J.showMask();
    if(param.type == 1){
        J.hideMask();
        delete param.couponJsonStr;
        return;
    }
    var url = 'ws/orderAction' + versionMessage.version + '!submitOrderTop.sy';
    service.get(url, param, function(data) {
        J.hideMask();
        //
        if (param.payMethod != 0 && param.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
            Mobile.pay(pay.method[param.payMethod], pay.mock.blance.thirdPatMethod, data,function(){
                J.Router.goTo('#checkoutSuccess_section');
            	getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                childrenAticleToggleActive('me_article', 'addClass');
                delete param.couponJsonStr;
            });
        } else {
            J.Router.goTo('#checkoutSuccess_section');
            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
            childrenAticleToggleActive('me_article', 'addClass');
            delete param.couponJsonStr;
        }
    })
}
// 获取支付会后的信息
function getSubmitOrderMessage_service(par, type) {
	if(J.Cache.get('community').data.type == 1) {
		setTimeout(function() {
			var html = '<div id="wtyMessage"><h3>线下打款账号：</h3><p>南京梧桐邑网络信息技术有限公司</p><p>税号：91230106679021149J</p><p>地址：南京市玄武区钟灵街50号</p><p>电话：025-83563708</p><p>开户行：工行南京新街口支行</p><p>4301010009100724719</p><p>温馨提示：<br>打款后，请联系梧桐邑财务进行确认</p></div>'
			J.popup({html: html, 
				pos: 'center',
		    	showCloseBtn: true,
				clickMask2Close : false
			})
		}, 300);
	}
	var url = 'ws/orderAction' + versionMessage.version + '!paySuccessInfo.sy';
	service.get(url, par, function(data) {
		var payment = ''
		if(data.payMethod == 0) payment = '积分或余额支付';
		if(data.payMethod == 1) payment = '支付宝支付';
		if(data.payMethod == 2) payment = '银联支付';
		if(data.payMethod == 3) payment = '线下支付';
		if(data.payMethod == 4) payment = '微信支付';
		if(type == 1) {
			document.querySelector('#markedWords').innerText = '您的订单已生成';
		}else{
			document.querySelector('#markedWords').innerText = '您的订单已生成';
		}
		document.querySelector('#checkoutSuccess_section .name').innerText = data.address.name;
		document.querySelector('#checkoutSuccess_section .contact').innerText = data.address.contact;
		document.querySelector('#checkoutSuccess_section .address').innerText = data.address.address;
		document.querySelector('#checkoutSuccess_section .total').innerText = Math.formatFloat(data.total + data.freight, 4) + "元  (运费:" + data.freight + "元)"
		document.querySelector('#checkoutSuccess_section .payMethod').innerText = payment;
	});
	var url2 = 'ws/serviceAction' + versionMessage.version + '!getRelateServiceEvent.sy';
    var par2 = {
        serviceEventId : shopCarCommodityid,
        place: 1
    }
    service.get(url2, par2, function(data){
        data.map(function(item){
            if(!isNullString(item.picture)) item.picture = picNetworkPrefix(item.picture);
        });
        if(data.length != 0 ){
            J.Template.render("#relatedProducts_div", "relatedProducts_template", data, "replace");
        }
    })
}
// 提交订单页面选择优惠券计算
function calculatePriceInSubmitPage_service(key,val,couponCid){
    J.showMask();
    var par = {
        shoppingCarIds : pay.par.shoppingCarIds ,
        couponJsonStr : {},
        deliveryTId: pay.par.deliveryTId,
        deliveryTime: pay.par.deliveryTime
    }
    J.Cache.empty('par.couponJsonStr');
    if(typeof(key) != 'NaN' && val != 'none'){
        par.couponJsonStr[key] = JSON.parse(val) ;
        par.couponJsonStr = JSON.stringify(par.couponJsonStr) ;
    } else{
        delete par.couponJsonStr ;
    }

    var url = 'ws/shoppingAction' + versionMessage.version + '!calculatePriceInSubmitPage.sy';
    service.get(url, par, function(data) {
        var $product = $('#payLists_section').find("[data-name='product-list']");
        if(isEmptyObject(data.discountRuleObject)) data.discountRuleObject = null ;
        if(isEmptyObject(data.couponObject)) data.couponObject = null ;
        pay.mock.priceInfo = data;
        pay.freight = parseFloat(data.realFreight);
        pay.total = data.realTotalMoney; 
        pay.couponJsonStr = par.couponJsonStr ;

		$('#couponDiscountList .freight').text('￥' + data.freight)
        if (typeof(key) != 'NaN' && val != 'none') {
            var mock = JSON.parse(val);
            $product.map(function(index, item) {
                var itemId = parseInt($(item).attr('data-id'));
                $(item).find('[data-name="coupon-discount"],[data-role="coupon-price"]').show();
                $(item).find('[data-role="original-price"]').hide();
                $(item).find('[data-name="coupon-title"]').remove();
                mock.shoppingCarIds.map(function(e) {
                    if (itemId == e) {
                        $(item).find('[data-name="coupon-title"]').remove();
                        $(item).find('[data-role="coupon-price"]').hide().siblings('[data-role="original-price"]').show();
                        $(item).find('[data-name="coupon-discount"]').hide().siblings('[data-name="coupon-title"]').remove();
                        $(item).children('div[data-name="child"]').append('<div data-name="coupon-title"><b class="bg_yellow">券</b> <span class="discount-color">' + mock.couponName + '</span></div>');
						$(item).find('.promotion').removeClass('active');
                    }
                })
            })
        }else{
            $product.find('[data-role="coupon-price"]').show().siblings('[data-role="original-price"]').hide();
            $product.find('[data-name="coupon-title"]').siblings('[data-name="coupon-discount"]').show();
            $product.find('[data-name="coupon-title"]').remove();
            $('.promotion').addClass('active');
        }
        $('#couponDiscountList').find("[data-name='coupon-new']").remove();
        if(data.discountRuleObject != null){
            if (!isEmptyObject(data.discountRuleObject.discountRuleOffJson4Show)) {
                for (var k in data.discountRuleObject.discountRuleOffJson4Show) {
                    if(k.indexOf('赠优惠券') >= 0){
                        $('#couponDiscountList').append('<li data-name="coupon-new"><span class="order-infor">' + k + '</span></li>');
                    }else{
                        $('#couponDiscountList').append('<li data-name="coupon-new"><span class="order-infor">' + k + ':</span><span class="order-money">-¥' + data.discountRuleObject.discountRuleOffJson4Show[k] + '</span></li>');
                    }
                }
            }
        }
        if (data.couponObject != null) {
            if (!isEmptyObject(data.couponObject.couponOffJson)) {
                for (var k in data.couponObject.couponOffJson) {
                    $('#couponDiscountList').append('<li data-name="coupon-new"><span class="order-infor">' + k + '</span><span class="order-money">-¥' + data.couponObject.couponOff + '</span></li>');
                }
            }
        }
        $("#totalPrice").text(Math.formatFloat(data.realTotalMoney + parseFloat(data.realFreight),4));
        J.hideMask();

    })

}
