	// 获取购物车
function getShoppingCar_service() {
	$("#classification_article").children('header').attr('value',true); //分类是否刷新显示
	var url = 'ws/shoppingAction' + versionMessage.version + '!getShoppingCar.sy';
	var par = {};
	if(J.Cache.get('openId')) par.openId = J.Cache.get('openId').data;
	service.get(url, par, function(data) {
		data.map(function(e) {
			e.value.map(function(item) {
				if (!isNullString(item.serviceEvent.picture)) item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
				var specification = [];
				if (item.serviceEvent.colorName) {
					var obj = {
						name: item.serviceEvent.colorName,
						val: item.serviceEvent.color.split(","),
						key: 'colorName'
					};
					specification.push(obj);
				}
				if (item.serviceEvent.sizeName) {
					var obj = {
						name: item.serviceEvent.sizeName,
						val: item.serviceEvent.size.split(","),
						key: 'sizeName'
					};
					specification.push(obj);
				}
				item.serviceEvent.specification = specification;
			})
		})
		getShoppingCar_control(data);
        if(data && data.length > 0 ){
            var id = data[0].value[0].serviceEvent.id;
            getRelateServiceEvent_service(id,data,3);
        }else{
        	$('#shoppingCartLikesRelate_div').empty();
		}
	});
}

// 编辑购物车
function editShoppingCar_service(mock, handle) {
	var url = 'ws/shoppingAction' + versionMessage.version + '!editShoppingCar.sy';
	var par = {
		editShoppingCarParams: JSON.stringify(mock)
	};
	service.get(url, par, handle['success'], handle['error']);
}

// 删除购物车
function deleteShoppingCar_service(mock) {
	var url = 'ws/shoppingAction' + versionMessage.version + '!deleteShoppingCar.sy';
	var par = {
		shoppingCarIds: JSON.stringify(mock)
	};
	service.get(url, par, function() {
		$("#shoppingCar_article li").each(function() {
			if ($(this).find('label[data-name=radio]').hasClass('active')) {
				$(this).remove();
			}
		})
	});
}

// 获取离线购物车
function getOfflineShoppingCar_service() {
	console.log('离线购物车');
//	$("#classification_article").children('header').attr('value',true); //分类是否刷新显示
	var url = 'ws/shoppingAction' + versionMessage.version + '!getShoppingCarWithoutLogin.sy';
	if(!J.Cache.get('offlineShopCar')) {
//		J.showToast('购物车里没有商品');
//		return;
		J.Cache.save('offlineShopCar', []);
	}
	var par = {
		shoppingCarIds: J.Cache.get('offlineShopCar').data.toString(),
		communityId: J.Cache.get('community').data.id	
	};
	J.showMask();
	service.get(url, par, function(data) {
		J.hideMask();
		if(!data) data = [];
		data.map(function(e) {
			e.value.map(function(item) {
				if (!isNullString(item.serviceEvent.picture)) item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
				var specification = [];
				if (item.serviceEvent.colorName) {
					var obj = {
						name: item.serviceEvent.colorName,
						val: item.serviceEvent.color.split(","),
						key: 'colorName'
					};
					specification.push(obj);
				}
				if (item.serviceEvent.sizeName) {
					var obj = {
						name: item.serviceEvent.sizeName,
						val: item.serviceEvent.size.split(","),
						key: 'sizeName'
					};
					specification.push(obj);
				}
				item.serviceEvent.specification = specification;
			})
		})
		getShoppingCar_control(data);
		if(data && data.length > 0){
            var id = data[0].value[0].serviceEvent.id;
            getRelateServiceEvent_service(id,data,3);
		}else{
            $('#shoppingCartLikesRelate_div').empty();
		}
	});
}

// 登录成功之后将离线购物车绑定用户	
function bindShoppingCarWithUserId_service() {
	console.log('离线购物车绑定用户');
	if(!J.Cache.get('offlineShopCar')) {
		return;
	}
	var par = {
		shoppingCarIds: J.Cache.get('offlineShopCar').data.toString()
	}
	var url = 'ws/shoppingAction' + versionMessage.version + '!bindShoppingCarWithUserId.sy';
	console.log(par);
	service.get(url, par, function(data) {
		J.Cache.empty('offlineShopCar');
	})
}
