App.page('index', function() {
    this.init = function() {
        // 获取openid
        if (isWechatClient()) {
            if (!J.Cache.get('openId')) {
                getOpenId();
            }
        }
		//初始化用户信息
        getMyInfo();

		// 装置就绪之后判断是否
        document.addEventListener("deviceready", onResumeUpdate, false);
        // 首页
        $("#home_article").on('articleshow', function() {
          	// 调用定位的方法
          	if (!J.Cache.get('hasLocation')) {
          		console.log('准备定位')
	          	getLocationOfWechatOrApp(function(address){
	          		console.log(address);
	          		getCommunityByGPS_service(address, function() {
	          			getHome_service('showMask');
	          		})
	          	}, function() {
	          		getHome_service('showMask');
	          	});
	       	} else {
	       		getHome_service('showMask');
	       	}

            if (J.Cache.get('community')) {
                $("#community").text(J.Cache.get('community').data.name);
            }
			getRedPacket_control()
            $('#userInfo_div').removeAttr('data-refresh'); //用户是否需要自动登录来转换头像
            $('#loginBack_button').removeAttr('data-back'); //登录页面返回按钮是否只返回一次
            childrenAticleToggleActive('home_article', 'addClass');
        }).on('articlehide', function() {
            childrenAticleToggleActive('home_article', 'removeClass');
        })

        // 分类
        $("#classification_article").on('articleshow', function() {
            var hasRefresh = $("#classification_article").children('header').attr('value');
            if (hasRefresh == 'true') {
                getServiceMenu_service();
            }
            $('#productList_section header').attr('data-clearScroll',false);//商品列表页hide时清除滚动条

            $('#userInfo_div').removeAttr('data-refresh'); //用户是否需要自动登录来转换头像
            childrenAticleToggleActive('classification_article', 'addClass');
        }).on('articlehide', function() {
            childrenAticleToggleActive('classification_article', 'removeClass');
        });
        // 常购清单
        $("#myOftenBuyList_article").on('articleshow', function() {
            cartNum_service('myOftenBuyList_article');
            myOftenBuyList_service();
            $('#userInfo_div').removeAttr('data-refresh'); //用户是否需要自动登录来转换头像
            childrenAticleToggleActive('myOftenBuyList_article', 'addClass');
        }).on('articlehide', function() {
            childrenAticleToggleActive('myOftenBuyList_article', 'removeClass');
            $('#myOftenBuyList_article .logo')[0].innerText = '';
        });

        // 购物车
        $("#shoppingCart_article").on('articleshow', function() {
            if (!J.Cache.get('login')) {
//              J.showToast("请先登录后尝试");
//              getOfflineShopCar_service()
				getOfflineShoppingCar_service();
//              $("#shoppingCar_article").empty();
            }else{
                var userCommunityId = J.Cache.get('login').data.communityId;
                var gpsCommunityId = J.Cache.get('community').data.id;

                if (isNullString(userCommunityId)) {
                    saveCommunity_service(gpsCommunityId, getShoppingCar_service);
                } else {
                    getShoppingCar_service();
                }                
            }
            $('#userInfo_div').removeAttr('data-refresh'); //用户是否需要自动登录来转换头像
            $('#totalChecked').removeClass('active');
            $("#payMoney").show().siblings(".sub-btn").hide();
            $("#shoppingCart_article header nav.right:first").show().siblings('nav.right').hide();
            childrenAticleToggleActive('shoppingCart_article', 'addClass');
        }).on('articlehide', function() {
            $("#totalNum").text("0");
            $("#totalMoney").text("0.00");
            childrenAticleToggleActive('shoppingCart_article', 'removeClass');
        });

        // 我的
        $("#me_article").on('articleshow', function() {
            var hasRefresh = $('#userInfo_div').attr('data-refresh');
            if(hasRefresh == undefined || hasRefresh == 'false'){
                getMyInfo();
            }
            childrenAticleToggleActive('me_article', 'addClass');
            if(J.Cache.get('login')){
                getAllInfo();
            }else{
                $(document.getElementById('distributionLogo')).css('display','none');
                $(document.getElementById('deliveryLogo')).css('display','none');
                document.getElementById('balan').innerText = '';
                document.getElementById('integral').innerText = '';
                if(document.getElementById('actIntegral')){
                    document.getElementById('actIntegral').innerText = '';
                }
                document.getElementById('yiBeans').innerText = '';
            }
        }).on('articlehide', function() {
            $('#me_article i.logo').css('display','none');
            childrenAticleToggleActive('me_article', 'removeClass');
        });

    };
});

// 优惠券列表
App.page('couponList', function() {
    this.init = function() {
        $("#couponList_section").on('pageshow', function() {
            getCouponList_service();
        })
    }
})

// 苏果充值
App.page('rechargeOfSuguo', function() {
    this.init = function() {
        $("#rechargeOfSuguo_section").on('pageshow', function() {
            addressList_service('recharge');
        })
    }
})

// 搜索
App.page('search', function() {
    this.init = function() {
        $("#search_section").on('pageshow', function() {
            $('#search_section input')[0].focus();
        })
    }
});

// 自定义的活动页
App.page('newActivePage', function() {
	this.init = function() {
		$("#newActivePage_section").on('pageshow', function() {
			var windowUrl = window.location.href;
			if (windowUrl.indexOf('?') >= 0) {
				var activityId = windowUrl.split('=')[1];
				gitNewActivePage_service(activityId, function(data) {
					data.lists.map(function(item, i) {
			            if(item.type == 1) {
			                item.banner.map(function(item2) {
			                    item2.pic = picNetworkPrefix(item2.pic);
			                })
			            }
			            if(item.type == 2) {
			                item.coupon.map(function(item2) {
			                    item2.picture = picNetworkPrefix(item2.picture);
			                })
			            }
			            if(item.type == 3) {
			
			            }
			            if(item.type == 4) {
			                item.shopCategories.categoryImgUrl = picNetworkPrefix(item.shopCategories.categoryImgUrl);
			                item.shopCategories.shopping.map(function(item2){
			                    item2.picture = picNetworkPrefix(item2.picture);
			                })
			            }
			            if(item.type == 5) {
			                item.bargainGoods.map(function(item2) {
			                    item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
			                })
			            }
			            if(item.type == 6) {
			                if(item.pic.length > 0){
			                    item.pic.map(function(item2){
			                        item2.pic = picNetworkPrefix(item2.pic);
			                    });
			                }
			            }
			            if(item.type == 7) {
			                item.themes.map(function(item2) {
			                    item2.pic = picNetworkPrefix(item2.pic);
			                })
			            }
					});
					J.Cache.save("activePageData", data);
					buildNewActivePage_control();
				});
			} else {				
				buildNewActivePage_control()
			}
		})
	}
	
})
// 扫码配货页面
App.page('sweepCodeAndPurchasing', function() {
	this.init = function() {
		$('#sweepCodeAndPurchasing_section').on('pageshow', function() {
			J.showToast("敬请期待...");
			history.go(-1);
			// getSweepCodePageCoupon_control()
		})
	}
})

// 手动输入条形码
App.page('enterBarcodeUser', function() {
	this.init = function() {
		$('#enterBarcodeUser_section').on('pagehide', function() {
			// 测试注释，上线打开
//			$('#barCodeUser')[0].innerText = '';
		})
	}
})

// 扫码购购物车
App.page('scanShopCar', function() {
	this.init = function() {
		$('#scanShopCar_section').on('pageshow', function() {
			console.log('scanShopCar_section')
			scanShopCar_controller();
		})
	}
})

// 扫码购结算页面
App.page('scanCloseAccount', function() {
	this.init = function() {
		$('#scanCloseAccount_section').on('pageshow', function() {
			console.log('scanCloseAccount_section')
			scanCloseAccount_controller();			
		})
	}
})

// 支付失败
//failureToPay_section
App.page('failureToPay', function() {
	this.init = function() {
		$('#failureToPay_section').on('pageshow', function() {
			$('#failureToPay_section .communityName').html(J.Cache.get('community').data.name)
			$('#failureToPay_section .scanOrderId').html(scanOrder.orderCode);
			$('#failureToPay_section .scanOrderMoney').html(scanOrder.orderInfo.payment);
			$('#failureToPay_section .continueAccount').unbind('click').bind('click', function() {
				getScanObligationOrder_community(scanOrder.orderCode);
			})
		})
	}
})

//
// 支付完成
App.page('scanOrderOutBarCode', function() {
	this.init = function() {
		$('#scanOrderOutBarCode_section').on('pageshow', function() {
			console.log('scanOrderOutBarCode_section');
			getPushGoodAndOutBarCode_controller();
		})
	}
})

// 第一次进入app
var forTheFirstTimeIntoTheAPP = true;

// 版本
var versionMessage = {
	version: '20170807',
	device: ''
}

// 显示错误页面
var showErrorPage = false;
