// 获取一级菜单
function getFirstLevelMenu_control(data){
	J.Template.render('#firstLevelMenu_div','firstLevelMenu_template',data,"replace");
	$("#firstLevelMenu_div>ul>li").first().addClass('active');
	getServiceMenu_service(data[0].id); //获取二级菜单service
}

// 获取二级菜单
function getSecondLevelMenu_control(data,menuId){
	if(data.length != 0 ){
		getFuwuAdvert_service(menuId, '2'); //获取菜单广告service
		getMenuAdvert_service(menuId); //获取菜单广告service
		var datas = {
			data: data
		}
		J.Template.render('#secondLevelMenu_ul', 'secondLevelMenu_template', datas, "replace");
	}else{
		$("#secondLevelMenu_ul").empty();
		getThirdLevelMenu_control(data,menuId); //获取三级菜单控制器
	}
}

// 获取三级菜单
function getThirdLevelMenu_control(data,menuId){
	$("#classification_article").children('header').attr('value',false); //分类是否刷新显示
	J.Router.goTo("#productList_section");
	J.Cache.empty('productList');
	var searchName = '搜索想要的商品';
	if(J.Cache.get('searchName')) {
		searchName = J.Cache.get('searchName').data;
	}

	setTimeout(function() {
		$("#productList_section input[type='search']").attr('placeholder', searchName);
	}, 100);

	var param = {
		menuId : menuId,
		type : PRODUCT_DEFAULT_TYPE,
		startIndex: 1,
		pageSize : 10,
		sort:PRODUCT_DEFAULT_SORT
	}
	setTimeout(function(){
		getFuwuAdvert_service(menuId, '3' ,true); //获取菜单广告service
		getSortedServiceInfo_service(param); //获取商品列表service - 按二级菜单	
		// 三级菜单
		if(data.length != 0){
			J.Template.render('#thirdLevelMenu_ul', 'thirdLevelMenu_template', data, "replace");
		}else{
			$("#thirdLevelMenu_ul").empty();
		}

		$("#productList_section [data-name='searchEvent']").attr('data-parentId',menuId);
	},200)

	childrenAticleToggleActive('classification_article','removeClass'); //菜单子级article remove active
}

// 菜单广告
function getFuwuAdvert_control(data,isThirdAdvert){
	if(data.length != 0){
		if(isThirdAdvert){
			J.Template.render('#productListAdvert_div', 'productListAdvert_template', data, "replace");
			$('#productListAdvert_div ul li').width(document.body.clientWidth);
			// 广告轮播
			var box = '#productListAdvert_div [data-name="productListAdvert"] ul';
			var par = {
				loop: true, //循环切换
				auto: true, //自动切换
				callback: function(ind) { //这里传过来的是索引值
					$('#productListAdvert_div [data-name="productAdvertPage"] ol li').eq(ind).addClass('active').siblings().removeClass('active');
				}
			}
			if($(box).children().length <= 1) par.auto = false;
			var scrollImg = Viwepager(box, par);
		}else{
			J.Template.render('#menuAdvert_div', 'menuAdvert_template', data, "replace");
			// 广告轮播
			var box = '#menuAdvert_div [data-name="menuAdvert"] ul'
			var par = {
				loop: true, //循环切换
	            auto: true, //自动切换
			}
			if($(box).children().length <= 1) par.auto = false;
			var scrollImg = Viwepager(box, par);
		}
	}else{ 
		if(isThirdAdvert){
			$("#productListAdvert_div").empty();
		}else{
			$("#menuAdvert_div").empty();
		}
	}
}
// 二级菜单广告
function getecondLevelAdvert_control(data) {
	if(data.length != 0) {
		for(var i = 0; i < data.length; i++) {
			if($('#advertisement_div[data-menuid="' + data[i][0].menuId + '"][data-item="' + (i+1) + '"]')[0]) {
				var ele = '#advertisement_div[data-menuid="' + data[i][0].menuId + '"][data-item="' + (i+1) + '"]';
				// 渲染轮播图
				J.Template.render(ele, 'menuAdvert_template', data[i], "replace");
				// 设置轮播图的宽度
				$('#advertisement_div [data-name="menuAdvert"] ul li').width($('#advertisement_div div').width());
				var box = '#advertisement_div[data-item="' + (i+1) + '"] [data-name="menuAdvert"] ul';
				var par = {
					loop: true, //循环切换
					auto: true, //自动切换
				}
				if($(box).children().length <= 1) par.auto = false;
				var scrollImg = Viwepager(box, par);	
			}else{
				break;
			}
		}
	}	
}
// seekTimer 搜索延迟；
var seekTimer;
function searchName_control(ele) {
	var name = ele.value;
    name = name.replace(/ /g,'');
	name = name.replace(/\'/g,'');
    var seekDIV = ele.parentElement.querySelector('.seekList');
    
	clearTimeout(seekTimer);
	seekTimer = setTimeout(function() {
		if(!isNullString(name) && name){
	        var param = {
	            serviceName : name,
	            type:2,
				startIndex:1,
				pageSize:10,
				sort:0,
				better:1
	        };
	        if(J.Cache.get('searchType').data == 2) {
				param.parentId = J.Cache.get('parentId').data;
			}
	        getSortedServiceList_service(param, seekDIV); //获取商品列表service - 按名字
		} else{
			$(seekDIV).css('display','none');
			
		}
	}, 1000);
}
// 跳转至搜索页面
function goSearch_control(type) {
	if(type == 1) {
		// 首页
		J.Cache.save('searchType', 1);
	} else if(type==2){
		// 分类页
		J.Cache.save('searchType', 2);
		if(location.hash == '#index_section') {
			var parentId = $('#firstLevelMenu_div li.active').val()
			J.Cache.save('parentId', parentId);
		}
	}
	J.Router.goTo('#search_section');
	prepareSearch()
}

// 点击搜索商品名字
function searchEventName_control(name,globalSearch){
	$('#searchList_div').hide();
	if(isNullString(name)) {
		name = $("#search_section input[type='search']")[0].placeholder	
	}
	$("#search_section input[type='search']").val('');
	if(!isNullString(name)){
		J.Router.goTo("#productList_section");
		var param = {
			serviceName : name,
			type : PRODUCT_DEFAULT_TYPE,
			startIndex: 1,
			pageSize : 10,
			sort:PRODUCT_DEFAULT_SORT,
			better: 1,
			record: 1
		};
		if(J.Cache.get('searchType').data == 2 && !globalSearch) {
			param.parentId = J.Cache.get('parentId').data;
		}
		setTimeout(function() {	
			$('#productList_section header').attr('data-clearScroll', false); //商品列表页hide时清除滚动条
			J.Cache.empty('productList');
			$('#productListAdvert_div').html('');
			$('#thirdLevelMenu_ul').html('');
			getSortedServiceInfo_service(param); //获取商品列表service - 按名字
		}, 200)
		childrenAticleToggleActive('classification_article','removeClass'); //菜单子级article remove active
		$("#home_article input[type='search']").val('');
	}else{
		J.showToast('请输入内容');
	}    
}

// 获取商品列表
function getSortedServiceInfo_control(data,param,brandFliter){
	J.hideMask();
	if(brandFliter){
		if(data.length != 0){
			var height = $('#productList_section .search_bar').height() + $('#eventsList_article').prev().height() + $('#brandFliter_ul').height();
			$("#brandFliter_ul").css('height', 'calc(100% - '+height+'px)');
			J.Template.render('#brandFliter_ul', 'brandFliter_template', data, "replace");
			$('#eventsList_article').css('top',$('#eventsList_article').prev().height());
			$('#brandFliter_ul').css('display','block');
			$('body').on('click', function() {
				$('#brandFliter_ul').css('display','none');
				$('#eventsList_article').css('top',$('#eventsList_article').prev().height());
			})
		}else{
			$("#brandFliter_ul").empty();
			J.showToast('没有相关品牌信息,请选择其他排序方式');
			J.Refresh('#eventsList_article').destroy();
		}
		
	}else{
		$("#brandFliter_ul").empty(); //清空品牌列表
		var tplWay = param.startIndex > 1 ? 'add' : 'replace' ;
		if(data.length != 0 || param.startIndex == 1) {
			J.Template.render('#productList_ul', 'productList_template', data, tplWay);
			createFly('productList_section');
		}
		J.Scroll("#eventsList_article", {});
		if(param.menuId) $("#productList_section [data-name='searchEvent']").attr('value',param.menuId); //设置二级menuid
		//上拉
		if (data.length >= 10) {
			J.Refresh('#eventsList_article', 'pullUp', function() {
				var scroll = this;
				setTimeout(function() {
					$('#productList_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
					param.startIndex = param.startIndex + 1;
					getSortedServiceInfo_service(param);
					scroll.refresh();
				}, 10);
			})
        }else{
        	J.Refresh('#eventsList_article').destroy();
        	$('#productList_ul').after('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
        	J.Scroll("#eventsList_article", {});
        	var heigth = $('#productList_ul')[0].clientHeight - $('#eventsList_article')[0].clientHeight;
	    	$('#productList_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
        }
	}
	$('#eventsList_article').css('top',$('#eventsList_article').prev().height()); // 上拉article位置设定


	// 排序点击
	$("#sortProducts_ul li").off('click').on('click',function(){
		J.Cache.empty('productList');
		$('#productList_section header').attr('data-clearScroll',false);//商品列表页hide时清除滚动条
        $(this).addClass('active').toggleClass('inverted').siblings('li').removeClass('active inverted');
        if($(this).siblings('li').find('i').hasClass('bo')){
            $(this).siblings('li').find('i').removeClass('bo').toggleClass('to');
        }
        if($(this).find('i').hasClass('to')){
            $(this).find('i').removeClass('to').toggleClass('bo');
        }else if($(this).find('i').hasClass('bo')){
            $(this).find('i').removeClass('bo').toggleClass('to');
        }

		//获取当前点击的li的value值
		var seq = parseInt($(this).val());
		param.type = seq;
		// seq 0.品牌 1.价格 2.销量
		if(seq != 0){
			param.startIndex = 1;
			var sort = $(this).hasClass('inverted') ? 1 : 0 ;
			param.sort = sort ;
			delete param.brandId;
			getSortedServiceInfo_service(param);//获取商品列表service - 按销量、价格排序
		}else{
			param.startIndex = 1;
			delete param.sort;
			delete param.brandId;
			getSortedServiceInfo_service(param,'brandFliter');//获取品牌列表service
		}
	});

	// 品牌点击
	$("#brandFliter_ul li").off('tap').on('tap',function(){
		$('#productList_section header').attr('data-clearScroll',false);//商品列表页hide时清除滚动条
		$(this).toggleClass('active').siblings('li').removeClass('active');
		$("#brandFliter_ul").css('height', '0px');
		var brandId = parseInt($(this).val());
		param.brandId = brandId;
		param.startIndex = 1;
		param.better = 1;
		getSortedServiceInfo_service(param); //获取商品列表service - 按品牌
	});

	// 三级菜单点击
	$("#thirdLevelMenu_ul li").off('click').on('click',function(){
		J.Cache.empty('productList');
		$('#productList_section header').attr('data-clearScroll',false);//商品列表页hide时清除滚动条
		$(this).addClass('active').siblings().removeClass('active');
		var thirdMenuId = parseInt($(this).attr('value'));
		var parentId = $("#productList_section [data-name='searchEvent']").attr('data-parentId');
		param.menuId = $(this).hasClass('active') ? thirdMenuId : parentId ;
		param.startIndex = 1;
		param.type == 0 ? getSortedServiceInfo_service(param,'brandFliter'): getSortedServiceInfo_service(param); //获取商品列表service - 按三级菜单
	})
}
//获取白名单商品列表
function getBaiMingDanList(){
    if(J.Cache.get('community').data.type == 1) {
        J.showToast('暂无会员商品');
        return;
    }
    if(!J.Cache.get('login')) {
        J.showToast('您尚未登录，请登录后重新尝试');
        return;
    }
    J.Router.goTo('#baiMingDan_section');
    J.Cache.empty('baiMingDanList');
    cartNum_service('baiMingDan_section');
    getBaiMingDanList_service();
}
// 获取商品列表控制器
function getBaiMingDanInfo_control(data,par){
    var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;
	if(par.startIndex == 1) {
		J.Refresh('#baiMingDanEventsList_article').destroy();
	}
    if(data.length != 0 || par.startIndex == 1) {
        J.Template.render('#baiMingDan_ul', 'baiMingDan_template', data, tplWay);
		createFly('baiMingDan_section');
        J.hideMask();
    }
    J.Scroll("#baiMingDanEventsList_article", {});
    //上拉
    if (data.length >= 10) {
        J.Refresh('#baiMingDanEventsList_article', 'pullUp', function() {
            var scroll = this;
            setTimeout(function() {
                $('#baiMingDan_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
                par.startIndex = par.startIndex + 1;
                getBaiMingDanList_service(par);
                scroll.refresh();
            }, 10);
        })
    }else{
        J.Refresh('#baiMingDanEventsList_article').destroy();
        $('#baiMingDan_ul').after('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
        J.Scroll("#baiMingDanEventsList_article", {});
        var heigth = $('#baiMingDan_ul')[0].clientHeight - $('#baiMingDanEventsList_article')[0].clientHeight;
	    $('#baiMingDan_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
    }
    // 排序点击
    $("#sortBaiMingDanProducts_ul li").off('tap').on('tap',function() {
		J.Cache.empty('baiMingDanList');
        $('#baiMingDan_section header').attr('data-clearScroll', false);//商品列表页hide时清除滚动条
        $(this).addClass('active').toggleClass('inverted').siblings('li').removeClass('active inverted');
        if ($(this).siblings('li').find('i').hasClass('bo')) {
            $(this).siblings('li').find('i').removeClass('bo').toggleClass('to');
        }
        if ($(this).find('i').hasClass('to')) {
            $(this).find('i').removeClass('to').toggleClass('bo');
        } else if ($(this).find('i').hasClass('bo')) {
            $(this).find('i').removeClass('bo').toggleClass('to');
        }
        //获取当前点击的li的value值
        var seq = parseInt($(this).val());
        par.type = seq;
        // seq  1.价格 2.销量
            par.startIndex = 1;
            var sort = $(this).hasClass('inverted') ? 1 : 0 ;
            //sort 0降序  1升序
            par.sort = sort ;
            getBaiMingDanList_service(par);//获取商品列表service - 按销量、价格排序
    });
}
//商户热销产品列表
function getMerchantList(merchantId){
    J.Router.goTo('#getMerchantList_section');
    J.Cache.empty('merchantList');
    cartNum_service('getMerchantList_section');
    getMerchantList_service(merchantId)
}
//获取商户产品列表控制器
function getMerchantList_control(data,par){
	var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;
	if(data.length != 0 || par.startIndex == 1) {
		J.Template.render('#merchantList_ul', 'merchantList_template', data, tplWay);
		createFly('getMerchantList_section');
		J.hideMask();
	}
	J.Scroll("#merchantList_article", {});
	//上拉
	if (data.length >= 10) {
		J.Refresh('#merchantList_article', 'pullUp', function() {
			var scroll = this;
			setTimeout(function() {
				$('#getMerchantList_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
				par.startIndex = par.startIndex + 1;
				getMerchantList_service(par.merchantId,par);
				scroll.refresh();
			}, 10);
		})
	}else{
		J.Refresh('#merchantList_article').destroy();
		$('#merchantList_ul').after('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
		J.Scroll("#merchantList_article", {});
		var heigth = $('#merchantList_ul')[0].clientHeight - $('#merchantList_article')[0].clientHeight;
	    $('#getMerchantList_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
	}
	// 排序点击
	$("#sortMerchantList_ul li").off('tap').on('tap',function() {
		J.Cache.empty('merchantList');
		$('#getMerchantList_section header').attr('data-clearScroll', false);//商品列表页hide时清除滚动条
		$(this).addClass('active').toggleClass('inverted').siblings('li').removeClass('active inverted');
		if ($(this).siblings('li').find('i').hasClass('bo')) {
			$(this).siblings('li').find('i').removeClass('bo').toggleClass('to');
		}
		if ($(this).find('i').hasClass('to')) {
			$(this).find('i').removeClass('to').toggleClass('bo');
		} else if ($(this).find('i').hasClass('bo')) {
			$(this).find('i').removeClass('bo').toggleClass('to');
		}
		//获取当前点击的li的value值
		var seq = parseInt($(this).val());
		par.type = seq;
		// seq  1.价格 2.销量
		par.startIndex = 1;
		var sort = $(this).hasClass('inverted') ? 1 : 0 ;
		//sort 0降序  1升序
		par.sort = sort ;
		getMerchantList_service(data[0].merchantId,par);//获取商品列表service - 按销量、价格排序
	});
}

//获取邑豆商品列表
function getYiBeansList(){
    if(!J.Cache.get('login')) {
    	J.Router.goTo('#login_section');
        J.showToast('您尚未登录，请登录后重新尝试');
        return;
    }
    J.Router.goTo('#yiBeans_section');
    setTimeout(function(){
        clearYiBeansCacheCart();
    },300);
    J.Cache.empty('yiBeansCartList');
    getYiBeansList_service();
}
// 获取邑豆兑换列表控制器
function getYiBeansInfo_control(data,par){
    var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;
    if(par.startIndex == 1) {
        J.Refresh('#yiBeans_article').destroy();
    }
    if(data.freightInfo != null){
        var beansCache ;
    	if(J.Cache.get('yiBeansCartList')){
            beansCache = J.Cache.get('yiBeansCartList').data;
		}else{
            beansCache = {};
		}
        beansCache.freightFee = data.freightInfo.freightFee;
        beansCache.freightFreeLimit = data.freightInfo.freightFreeLimit;
        beansCache.userYiBeans = data.userYiBeans;
		J.Cache.save('yiBeansCartList',beansCache);
    }
    if(data.goodsInfo.length != 0 || par.startIndex == 1) {
        J.Template.render('#yiBean_ul', 'yiBeans_template', data.goodsInfo, tplWay);
        J.Template.render('#Cart', 'yiBeansCart_template', data, tplWay);
        createFly('yiBeans_section');
        if(J.Cache.get('yiBeansCartList') && J.Cache.get('yiBeansCartList').data.freightFee != 0){
            $('#deliveryBeanCount').text(J.Cache.get('yiBeansCartList').data.freightFee);
        }
        if(J.Cache.get('yiBeansCartList')){
            $('#yiBeansCounts').text(J.Cache.get('yiBeansCartList').data.userYiBeans);
        }
        // document.getElementById('#yiBeansList').style.transform = 'translate(0px, 0px) scale(1) translateZ(0px)';
        J.hideMask();
    }
    J.Scroll("#yiBeans_article", {});
    //上拉
    if (data.length >= 10) {
        J.Refresh('#yiBeans_article', 'pullUp', function() {
            var scroll = this;
            setTimeout(function() {
                $('#yiBeans_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
                par.startIndex = par.startIndex + 1;
                getYiBeansList_service(par);
                scroll.refresh();
            }, 10);
        });
    }else{
        J.Refresh('#yiBeans_article').destroy();
        $('#yiBean_ul').after('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
        J.Scroll("#yiBeans_article", {});
        var heigth = $('#yiBean_ul')[0].clientHeight - $('#yiBeans_article')[0].clientHeight;
        $('#yiBeans_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
    }
}
var YiBeansProList = [];
//添加邑豆临时购物车
function yiBeansCacheCart(name,price,eventId,num,stockNum){
    $('#yiBeansCart').hide();
    var products = {
        serviceEventName:name,
        beans:price,
        serviceEventId: eventId,
        num: num*1,
        stock: stockNum
    };
    YiBeansProList.push(products);
	if(YiBeansProList.length > 1){
        for(var i=0;i<YiBeansProList.length - 1;i++){
            if(YiBeansProList[i].serviceEventId == products.serviceEventId){
                YiBeansProList[i].num ++;
                YiBeansProList.pop();
            }
            if(YiBeansProList[i].num == 0){
            	YiBeansProList.splice(i,1);
            }
        }
	}
    J.Cache.save('yiBeansCart',YiBeansProList);
	setTimeout(function(){
        var start = J.Cache.get('fly').data.start;
        var end = J.Cache.get('fly').data.end;
        var html = J.Cache.get('fly').data.el;
        fly(html,start,end,function(){
            J.showToast('添加成功');
            totalBeans();
        });
	},300);
    J.Template.render('#Cart', 'yiBeansCart_template', J.Cache.get('yiBeansCart').data);
}
//清空邑豆临时购物车
function clearYiBeansCacheCart(){
    $('#yiBeans_section .logo')[0].innerText = '';
    J.Cache.empty('yiBeansCart');
    YiBeansProList.splice(0,YiBeansProList.length);
    $('#yiBeansCount').css('display','none');
    $('#deliveryYiBeanCount').css('display','inline-block');
    $('#deliveryYiBeanCount').css('line-height','12vw');
    $('#yiBeansCart').hide();
}
//查看邑豆临时购物车
function showYiBeansCart() {
    if(!J.Cache.get('yiBeansCart') || J.Cache.get('yiBeansCart').data.length == 0){
        J.showToast('您还没有要兑换的商品哟');
        YiBeansProList = [];
        return;
    }
    $('#yiBeansCart').toggle();
    J.Template.render('#Cart', 'yiBeansCart_template', J.Cache.get('yiBeansCart').data);
    if(J.Cache.get('yiBeansCartList') ){
        $('#yiBeansCounts').text(J.Cache.get('yiBeansCartList').data.userYiBeans);
    }
    if(!J.Cache.get('address').data || J.Cache.get('address').data == null){
        $('#yiBeansCartAddress').text('');
    }else{
        var addr = J.Cache.get('address').data.address;
        $('#yiBeansCartAddress').text(addr);
    }

}
//计算邑豆总数
function totalBeans(){
    var totalBeans = 0,
        totalNum = 0;
    $("#Cart li").each(function() {
        var el = $(this).find('input[type=number]');
        var beans = $(this).find('#beans');
        var num = parseInt(el.val()),
            bean = beans.text();
        totalBeans += bean * num;
        totalNum += num;
        var data = J.Cache.get('yiBeansCart').data;
		var name = $(this).find('.yiBeansName').text();
        if(num == 0){
			for(var i=0;i<data.length;i++){
				if(data[i].serviceEventName == name){
					data.splice(i,1);
					YiBeansProList.splice(i,1);
				}
			}
        }else{
            for(var i=0;i<data.length;i++){
                if(data[i].serviceEventName == name){
                    data[i].num = num;
                    YiBeansProList[i].num = num;
                }
            }
        }
        J.Cache.save('yiBeansCart',data);
        if(J.Cache.get('yiBeansCart').data.length > 0){
            J.Template.render('#Cart', 'yiBeansCart_template', J.Cache.get('yiBeansCart').data);
            if(J.Cache.get('yiBeansCartList') ){
                $('#yiBeansCounts').text(J.Cache.get('yiBeansCartList').data.userYiBeans);
            }
		}else{
            clearYiBeansCacheCart();
            return;
		}
    });
    if(totalNum > 0){
        $('#yiBeans_section .logo')[0].innerText = totalNum;
    }else{
        $('#yiBeans_section .logo')[0].innerText = '';
	}
    $('#yiBeansCount').css('display','inline-block');
    $('#deliveryYiBeanCount').css('line-height','5vw');
    if(J.Cache.get('yiBeansCartList').data.freightFreeLimit != 0){
        if(totalBeans < J.Cache.get('yiBeansCartList').data.freightFreeLimit && totalBeans != 0){
            totalBeans += parseInt(J.Cache.get('yiBeansCartList').data.freightFee);
            $('#deliveryBeanCount').text(J.Cache.get('yiBeansCartList').data.freightFee);
		}else{
            $('#deliveryBeanCount').text(0);
		}
        $('#beansCount').text(totalBeans);
    }else{
        $('#beansCount').text(totalBeans);
	}

}
//编辑邑豆兑换商品数量
function beansEidtNum(handleType, num, elements) {
	if(handleType == 'mulNum'){
		if(num > 0){
            $(elements).siblings('input').val(parseInt(num) - 1);
            totalBeans();
		}
	}else if(handleType == 'addNum') {
		 $(elements).siblings('input').val(parseInt(num) + 1);
		 totalBeans();
	}else{
        if ($(elements).val().length == 1) {
            $(elements).val($(elements).val().replace(/[^1-9]/g, '1')) ;
        } else {
            $(elements).val($(elements).val().replace(/\D/g, '')) ;
            if(!$(elements).val()){
                $(elements).val(1) ;
            }
        }
        totalBeans();
	}
}