var pay = {
	// 支付方式
	method: {
		0: '',
		1: 'alipay',
		2: 'union',
		3: 'linePay',
		4: 'weixinJSSDK'
	},
	// 保存接口数据 priceInfo:汇总价格  eventsInfo:商品信息  addressInfo:地址信息  blance:余额积分
	mock: {},
	// 公用传参
	par: {},
	// 总价
	total: 0,
	// 运费
	freight: 0,
	// 是否是待付款订单
	isOrder: false,
	// submitOrder参数
	param: {
		payMethod: 0,
		addressId: 0,
		integralOff: 0,		//积分支付
//		activityIntegralOff: 0, //活动积分
		promotionalIntegralOff: 0, //大促积分
		shoppingCarIds: [],
		total: 0,
		balanceOff: 0,		//余额支付
		deliveryTId: '',
		deliveryTime: '',
		couponJsonStr: {},
		remark: '',
		invoiceTitle: '',
		disType: 1
	},
	// 已选
	getEvents: function() {
		var events = [];
		var shoppingCar = J.Cache.get('shoppingCarData').data;

		$("#shoppingCar_article li").each(function() {
			var obj = {};
			if($(this).find('label[data-name=radio]').hasClass('active')) {
				events.push(parseInt($(this).val()));
				obj.shoppingCarId = parseInt($(this).val());
			}
		})
		this.par.shoppingCarIds = JSON.stringify(events);
		this.par.deliveryTId = '';
		this.par.deliveryTime = '';
		this.par.isOrder = false;
		this.par.orderTopId = '';
	},
	// 结算 handleType:0.购物车 1.立即购买
	clearAccount: function(handleType, eventType) {
		pay.param.disType = 1;
		var that = this;
		if(handleType == 0) this.getEvents();
		var shoppingCarLength = JSON.parse(that.par.shoppingCarIds).length;		
		
		if(shoppingCarLength != 0) {
			setTimeout(function() {
				getSelectedShoppingCar_service(that.par, eventType); //获取已选购物车商品service
			}, 100)
		} else {
			J.alert('提示', '未勾选商品');
		}
	},																																													
	//获取已选购物车商品页面信息
	getSelectedShoppingCar_tpl: function(num, eventType, myOrdersTopid, data) {
		var bool = true;
		if(J.Cache.get('community').data.type==1) {
			if(pay.isOrder) {
				bool = false;				
			}
		}
		var that = this;
		that.mock.communityType = J.Cache.get('community').data.type;
		that.mock.bool = bool;
		J.Template.render('#payLists_article', 'payLists_template', that.mock, "replace");
		$("#deliveryTime option:first").prop("selected", 'selected');
		try{
			$('#deliveryTime').find('option[value="' + that.par.deliveryTId + '"]')[0].selected=true;
		}catch(e){	
		}
		if(myOrdersTopid) {
			$('#payLists_section [data-role="submitBtn"]').attr('data-topId', myOrdersTopid); //我的订单待支付的topid
			$('#payLists_section [data-role="submitBtn"]').attr('data-howPay', 1);
		} else {
			$('#payLists_section [data-role="submitBtn"]').removeAttr('data-topId');
			$('#payLists_section [data-role="submitBtn"]').attr('data-howPay', 0);
		}
		// 如果是未付款订单，获取优惠信息
		if(data) {
			//if(data.deliveryTimeSelect) document.querySelector('#deliveryTime').value = data.deliveryTimeSelect;
			if(data.usedCoupon) document.querySelector('#couponDetail').innerText = data.usedCoupon;
			if(data.usedCouponUserId) calculatePriceInSubmitPage_service(data.usedCouponUserId, JSON.stringify(data.availableCoupon[data.usedCouponUserId]));
		}
		eventType == 1 ? $("#deliveryTime").closest('.order-time').hide() : $("#deliveryTime").closest('.order-time').show();
		if(isEmptyObject(that.mock.addressInfo)) {
//			$("#payLists_article [data-name='addAddress']").show().siblings().hide();
//			如果用户没有后货地址，不能添加
			$("#payLists_article [data-name='editAddress']").hide();
			$("#payLists_article [data-name='addAddress']").hide();
		} else {
			$("#payLists_article [data-name='editAddress']").show().siblings().hide();
		}
		if(that.mock.availableCoupon != null) {
			$('#couponLen').text('(' + Object.keys(that.mock.availableCoupon).length + ')');
		} else {
			$('#couponLen').text('(0)');
		}
		$("#productsNum").text(num);
		$("#totalPrice").text(Math.formatFloat(that.mock.priceInfo.realTotalMoney + that.freight, 4));
		that.total = that.mock.priceInfo.realTotalMoney;
	},

	// 获取余额和积分
	checkBlance: function(howPay, el) {
		var deliveryTId = $("#deliveryTime").val();
		var bool = false;
		if(J.Cache.get('community').data.type==1) {
			if(!pay.isOrder) {
				bool = true;				
			}
		} else {
			if(!deliveryTId && $('#payLists_article .order-time').css('display') != 'none') {
				var timeList = pay.mock.deliveryTimeInfo.timeBeanList;
				var html = '';
				html = html + '<div id="selectTime_pop"><ul>'
				for(var i = 0; i < timeList.length; i++) {
					html = html + '<li data-sequence="' + timeList[i].sequence + '"><i></i><span>' + timeList[i].timeText + '</span></li>'
				}
				html = html + '</ul><button>确定</button></div>';
			    J.popup({html: html,
			        pos: 'center',
			        showCloseBtn: false,
			        clickMask2Close : true
			    });
							
			    $('#selectTime_pop li').bind('click', function(){
			    	console.log(this);
			    	$(this).addClass('active').siblings().removeClass('active');
			    	console.log($(this).data().sequence);
			    })
				$('#selectTime_pop button').bind('click', function(){
			    	var value = $('#selectTime_pop li.active').data().sequence;
			    	$('#deliveryTime').val(value);
			    	selectTime($('#deliveryTime')[0])
			    })
				return;
			}			
		}
		var deliveryTime = $("#deliveryTime").find("option:selected").text();
		var deliveryAddress = $("#payLists_article [data-name='addressId']").attr("data-addressId");
		var deliveryCommunity = $("#payLists_article [data-name='addressId']").attr("data-communityId");
		if($(el).attr('data-topId')) {
			var topId = $(el).attr('data-topId');
		}
		if(!pay.mock.addressInfo && pay.param.disType != 2) {
			J.alert('提示', '请添加收货地址后进行提交');
			return;
		}
		if(isNullString(pay.mock.addressInfo.street) && pay.param.disType != 2) {
			J.alert('提示', '请添加收货地址后进行提交');
		} else {
//			if(deliveryCommunity != J.Cache.get('community').data.id) {
//				J.alert('提示', '您所选的商品无法送达您的送货区域，请更改收货地址或更改所在区域');
//			} else {
				// 传给param所需参数
				this.param.addressId = parseInt(deliveryAddress);
				this.param.deliveryTId = deliveryTId;
				this.param.deliveryTime = deliveryTime;
				this.param.total = this.total;
				this.param.freight = this.freight;
				this.param.shoppingCarIds = this.par.shoppingCarIds;
				var eventsInfoKey = Object.keys(pay.mock.eventsInfo);
				var n = 1;
				var messageString = '';
				var distributInformationList = J.Cache.get('distributInformationList').data;
				for(var i = 0; i < eventsInfoKey.length; i++) {
					if(distributInformationList[eventsInfoKey[i]]) {						
						messageString = messageString + n + '.' + distributInformationList[eventsInfoKey[i]] + '<br>';
						n++;
					}
				}
				console.log(messageString);
				var successFn = function() {
					if(bool) {
						submitAuditOrder_service()
					} else {
						J.Router.goTo("#payMethod_section");
						calculateAvailableIntegrationAndBalance_service(Math.formatFloat(pay.total + pay.freight,4), 0, howPay, topId);
					}
				}

				if(messageString) {					
					J.confirm('提示', messageString, function() {
						successFn();
					}, function() {
						return;
					})
				} else {
					successFn()
				}
//			}
		}
	},

	// 获取余额积分页面数据
	getBlanceAndIntegration_tpl: function(eventType, howPay, topId) {
		var that = this;
		isWechatClient() ? $("#payMethod").find('li[data-name="alipay"]').hide() : $("#payMethod").find('li[data-name="wechatPay"]').hide();
		if(eventType == 0) {
			$("#payMethod_section").find('[data-name="howPay"]').val(howPay).show().siblings('[data-name="couponPay"]').hide();
			$("#payMethod_section").find('span[data-name="eventFreight"]').show(); //运费显示
			$("#payMethod").find('li[data-name="offlinePay"]').show(); //线下支付显示
			if(topId) {
				$("#payMethod_section").find('[data-name="howPay"]').attr('data-topId', topId);
			} else {
				$("#payMethod_section").find('[data-name="howPay"]').removeAttr('data-topId');
			}
		} else {
			$("#payMethod_section").find('span[data-name="eventFreight"]').hide(); //运费隐藏
			$("#payMethod").find('li[data-name="offlinePay"]').hide(); //线下支付隐藏
			$("#payMethod_section").find('[data-name="couponPay"]').show().siblings('[data-name="howPay"]').hide(); //支付按钮
		}

		$("#payMethod_section").find('span[name=orderMoney]').text(Math.formatFloat(that.total + that.freight, 4)); //订单金额
		$("#payMethod_section").find('span[name=freight]').text(that.freight); //订单运费
		$("#payMethod_section").find('span[name=integration]').text(that.mock.blance.availableIntegration); //可用积分
		$("#payMethod_section").find('span[name=activityIntegration]').text(that.mock.blance.promotionalIntegration); //可用积分
		$("#payMethod_section").find('span[name=blance]').text(that.mock.blance.accountBalance); //使用余额
		$("#payMethod_section").find('span[name=finalMoney]').text(Math.formatFloat(that.total + that.freight, 4)); //使用三方金额

		that.mock.blance.thirdPatMethod = that.total + that.freight;
	},

	/**
	 * [amountActuallyPaid 自定义余额或积分后计算实付金额]
	 * @param  {[type]} price [余额或积分自定义值]
	 * @param  {[type]} type  [1 积分  0 余额  2 活动积分]
	 */
	amountActuallyPaid: function(price, type, el) {
		if(type == 0) price = parseFloat(price).toFixed(2); //余额应付
		var that = this;
		var reg = new RegExp("^[0-9]+(.[0-9]{2})?$");
		
		var integrationVal = $("#integrationVal").val()/100;
		var activityIntegrationVal = $("#activityIntegrationVal").val()/100;
		var blanceVal = $("#blanceVal").val()*1;
		console.log(integrationVal);
		console.log(activityIntegrationVal);
		console.log(blanceVal);
		
		
		if(!reg.test(price)) {
			J.alert('提示', "请输入数字!");
			$(el).val(0);
		} else {
			
			
			if(type == 1) {
				if(price > this.mock.blance.availableIntegration) {
					J.alert('提示', "已超出可用积分，请重新输入");
					return;
				}
			} else if(type == 2) {
				if(price > this.mock.blance.promotionalIntegration) {
					J.alert('提示', "已超出可用活动积分，请重新输入");
					return;					
				}
			} else if(type == 0) {
				if(price > this.mock.blance.accountBalance) {
					J.alert('提示', "已超出可用余额，请重新输入");
					return;
				}
			}
			

			
			
			
			
			
//			if(type == 1) { //积分
//				if(price <= this.mock.blance.availableIntegration) {
//					var _preice = ((this.total + this.freight) - parseFloat(price / 100)).toFixed(2) - parseFloat($("#blanceVal").val()).toFixed(2);
//					if(_preice >= 0) { //应付-积分-余额>0
//						_preice = (_preice).toFixed(2);
//						pay.mock.blance.thirdPatMethod = _preice; //第三方应付
//						$("#payMethod_section").find('span[name=finalMoney]').text(_preice);
//						$("#payMethod_section").find('span[name=threePayPrice]').text(_preice);
//					} else { //应付<0
//						J.alert('提示', "已超出订单总金额，请重新输入");
//					}
//				} else {
//					J.alert('提示', "已超出可用积分，请重新输入");
//				}
//			} else { //余额
//				if(price <= this.mock.blance.accountBalance) {
//					var _preice = ((this.total + this.freight) - parseFloat(price)).toFixed(2) - parseFloat($("#integrationVal").val() / 100).toFixed(2);
//					if(_preice >= 0) { //应付-余额-积分>0
//						_preice = _preice.toFixed(2);
//						pay.mock.blance.thirdPatMethod = _preice; //第三方应付
//						$("#payMethod_section").find('span[name=finalMoney]').text(_preice);
//						$("#payMethod_section").find('span[name=threePayPrice]').text(_preice);
//					} else {
//						J.alert('提示', "已超出订单总金额，请重新输入");
//					}
//				} else {
//					J.alert('提示', "已超出可用余额，请重新输入");
//				}
//			}
		}
		var _preice = Math.formatFloat(this.total + this.freight - integrationVal - activityIntegrationVal - blanceVal);
		if(_preice >= 0) {
			_preice = parseFloat(_preice).toFixed(2);
			pay.mock.blance.thirdPatMethod = _preice; //第三方应付
			$("#payMethod_section").find('span[name=finalMoney]').text(_preice);
			$("#payMethod_section").find('span[name=threePayPrice]').text(_preice);
		} else {
			J.alert('提示', "已超出订单总金额，请重新输入");
		}
	},
	// 更换第三方支付方式
	changeThreePayMethod: function(elements) {
		var _preice = pay.computeFinalMiney();
		if(_preice <= 0) {
			J.showToast("超出订单总金额, 无需第三方支付");
		} else {
			$(elements).parent().toggleClass("active");
			if($(elements).parent().hasClass("active")) {
				$(elements).parent().siblings('li').removeClass("active");
			}
			$(elements).parent().find('span[name=threePayPrice]').text(_preice);
			pay.mock.blance.thirdPatMethod = _preice;
		}
	},
	// 更换系统支付方式
	// isIntegration [1.正常积分， 2.活动积分, 0.余额]
	changeSystemPayMethod: function(elements, isIntegration) {
		var integration = 0; 			//实际支付的积分
		var activityIntegration = 0; 	//实际支付的活动积分
		var actualBlance = 0; 			//实际支付的余额
		var total = 0; 					//当前应付
		var _preice = 0; 				//剩余应付
		
		var inputBlanceVal = parseFloat($("#blanceVal").val()).toFixed(2); // 支付的余额
		var inputIntegration = parseFloat($("#integrationVal").val()/100).toFixed(2); //支付的积分
		var inputaActivityIntegration = parseFloat($("#activityIntegrationVal").val()/100).toFixed(2); //支付的活动积分
		
		$(elements).parent().toggleClass("active");
		if(!$(elements).parent().hasClass("active")) {
			$(elements).parent().find('input').val(0);
		} else {
			if(isIntegration == 1) {
				var availableIntegration = this.mock.blance.availableIntegration/100
				total = Math.formatFloat(this.total + this.freight - inputBlanceVal - inputaActivityIntegration);
				if(total <= 0) {
					integration = 0;
				} else {
					if(total <= this.mock.blance.availableIntegration/100) { //积分够
						$('#payMethod .payment-list').removeClass('active');
						integration = total;
					} else {
						integration = availableIntegration;
					}
				}
				$(elements).parent().find('input').val(Math.formatFloat(integration*100)); //可用积分
				inputIntegration = parseFloat($("#integrationVal").val()/100).toFixed(2); //支付的积分
			} else if(isIntegration == 2) {
				var promotionalIntegration = this.mock.blance.promotionalIntegration/100
				total = Math.formatFloat(this.total + this.freight - inputBlanceVal - inputIntegration);
				if(total <= 0) {
					activityIntegration = 0;
				} else {
					if(total <= promotionalIntegration) {
						$('#payMethod .payment-list').removeClass('active');
						activityIntegration = total;
					} else {
						activityIntegration = promotionalIntegration;
					}
				}
				$(elements).parent().find('input').val(Math.formatFloat(activityIntegration*100)); //可用的活动积分
				inputaActivityIntegration = parseFloat($("#activityIntegrationVal").val()/100).toFixed(2);
			} else if(isIntegration == 0) {
				var availableBlance = this.mock.blance.accountBalance;
				total = Math.formatFloat(this.total + this.freight - inputIntegration - inputaActivityIntegration);
				if(total <=0) {
					actualBlance = 0;
				} else {
					if(total <= availableBlance) {
						$('#payMethod .payment-list').removeClass('active');
						actualBlance = total;
					} else {
						actualBlance = availableBlance;
					}
				}
				$(elements).parent().find('input').val(Math.formatFloat(actualBlance)); //使用余额
				inputBlanceVal = parseFloat($("#blanceVal").val()).toFixed(2); // 支付的余额
			}
			_preice = Math.formatFloat(this.total + this.freight - inputIntegration - inputaActivityIntegration - inputBlanceVal);
			pay.mock.blance.thirdPatMethod = (_preice).toFixed(2); //第三方应付
		}
		
		
		
//		if(!$(elements).parent().hasClass("active")) {
//			$(elements).parent().find('input').val(0);
//		} else {
//			//点击积分支付
//			if(isIntegration == 1) {
//				total = (Math.formatFloat(this.total + this.freight, 4) - parseFloat($("#blanceVal").val()).toFixed(2)).toFixed(2);
//				total = Math.formatFloat(total * 100, 4);
//				if(total <= 0) {
//					integration = 0;
//				} else {
//					if(total <= this.mock.blance.availableIntegration) { //积分够
//						$('#payMethod .payment-list').removeClass('active');
//						if(total < 0) {
//							integration = 0;
//						} else {
//							integration = total;
//						}
//
//					} else { //积分不够
//						integration = this.mock.blance.availableIntegration;
//						// integration = parseFloat(total) - parseFloat(this.mock.blance.availableIntegration);
//					}
//				}
//
//				_preice = ((this.total + this.freight) - parseFloat(integration / 100)).toFixed(2) - parseFloat($("#blanceVal").val()).toFixed(2);
//				_preice = Math.formatFloat(_preice);
//				$(elements).parent().find('input').val(integration); //可用积分
//				pay.mock.blance.thirdPatMethod = (_preice).toFixed(2); //第三方应付
//			} else if(isIntegration == 2){
//				
//			} else if(isIntegration == 0){
//				// 点击余额支付
//				var availableBlance = this.mock.blance.accountBalance; //可用余额
//				if($("#integrationVal").val() > 0) {
//					integration = Number($("#integrationVal").val());
//					total = ((this.total + this.freight) - parseFloat($("#integrationVal").val() / 100).toFixed(2)).toFixed(2);
//				} else {
//					total = this.total + this.freight; //订单总金额=订单金额+搬运费
//				}
//				total = Math.formatFloat(total);
//				var realBlance;
//				if(availableBlance >= total) { //可用余额>=应付总金额
//					$('#payMethod .payment-list').removeClass('active');
//					realBlance = total; //使用余额 = 应付总
//				} else {
//					realBlance = availableBlance; //使用余额 = 可用余额
//				}
//				integration = Math.formatFloat($('#integrationVal').val());				
//				_preice = (Number(parseFloat((this.total + this.freight))) - Number(parseFloat(integration / 100)).toFixed(2)) - Number(parseFloat(realBlance).toFixed(2)); //第三方应付=总应付-已用积分-已用余额
//				$(elements).parent().find('input').val(realBlance); //使用余额
//				pay.mock.blance.thirdPatMethod = (_preice).toFixed(2); //第三方应付
//			}
//		}

		var countPrice = pay.computeFinalMiney(); //应付
		var zero = 0;
		var realPrice = countPrice < 0 ? zero.toFixed(2) : countPrice;
		$("#payMethod_section").find('span[name=finalMoney]').text(realPrice);
		$("#payMethod_section").find('span[name=threePayPrice]').text(countPrice);
	},

	computeFinalMiney: function() {
		var integrationVal = $("#integrationVal").val()/100;
		var activityIntegrationVal = $("#activityIntegrationVal").val()/100;
		var blanceVal = $("#blanceVal").val()*1;
		var _preice = Math.formatFloat(this.total + this.freight - integrationVal - activityIntegrationVal - blanceVal);
		_preice = parseFloat(_preice).toFixed(2);
		return _preice;
	},

	// 支付订单
	payOrder: function() {
		var that = this;
		var _money = $("#payMethod_section").find('span[name=finalMoney]').text();
		var howPay = $("#payMethod_section").find('[data-name="howPay"]').val(); //0购物车直接付款  1订单列表去付款
		var topId = $("#payMethod_section").find('[data-name="howPay"]').attr('data-topId');
		// 支付方式
		if(that.mock.blance.thirdPatMethod != 0) {
			that.param.payMethod = 0;
			$("#payMethod li").each(function() {
				if($(this).hasClass('active')) {
					that.param.payMethod = $(this).find('label').attr("value");
				}
			})
		} else {
			that.param.payMethod = 0;
		}

		that.param.integralOff = parseInt($("#integrationVal").val());
//		that.param.activityIntegralOff = parseInt($("#activityIntegrationVal").val());
		that.param.promotionalIntegralOff = parseInt($("#activityIntegrationVal").val());
		that.param.balanceOff = parseFloat($("#blanceVal").val()).toFixed(2);
		that.param.remark = $("#remark").val();
		that.param.invoiceTitle = $("#invoiceTitle").val();
		// 调用不同支付接口
		if(that.param.payMethod == 0 && that.mock.blance.thirdPatMethod > 0) {
			J.alert('提示', '还需支付' + that.mock.blance.thirdPatMethod + '元,请支付');
		} else {
			var integral = 0;
			var blance = 0;
			var totalPay = 0;

			var totalPrint = Number(parseFloat(that.param.integralOff / 100).toFixed(2)) + Number(parseFloat($("#blanceVal").val()));
			if(Math.formatFloat(totalPrint) > Math.formatFloat(that.total + that.freight)) {
				J.showToast("超出订单总金额,请重新输入");
			} else {
				if(isNullString(that.couponJsonStr)) {
					delete that.param.couponJsonStr;
				} else {
					that.param.couponJsonStr = that.couponJsonStr;
				}
				var promptText = ''
				if(that.param.payMethod == 3) {
					promptText = '共支付' + Math.formatFloat(that.total + that.freight, 4) + '元,需线下支付' + _money + '元,确认支付吗'
				} else {
					promptText = '共支付' + Math.formatFloat(that.total + that.freight, 4) + '元,需第三方平台支付' + _money + '元,确认支付吗'
				}
				//1订单列表去付款
				if(howPay != 0) {
					if(topId) {
						that.param.orderTopId = topId;
					} else {
						delete that.param.orderTopId;
					}

					J.dialogbox(promptText, function() {
						that.param.type = 0;
						submitOrderTop_service(that.param);
					}, function() {
						// 取消
						that.param.type = 1;
						submitOrderTop_service(that.param);
					})
				} else { // 购物车直接付款
					J.dialogbox(promptText, function() {
						that.param.type = 0; //确定按钮
						submitOrder_service(that.param);
					}, function() {
						that.param.type = 1; //取消按钮
						submitOrder_service(that.param);
					})
				}
			}
		}
	}

}

// 提交页面选择优惠券
function choseAvailableCoupon_control(el) {
	var mock = pay.mock.availableCoupon;
	var couponCid = $('#couponDetail').attr('data-choose');
	var html = '<div class="popup_list"><p class="title color-black">选择优惠券</p><ul class="list group-item height-200">';
	if(Object.keys(mock).length != 0) {
		for(var k in mock) {
			var val = JSON.stringify(mock[k]);
			if(k == couponCid) {
				html += '<li class="active" data-key="' + k + '"  data-val=' + val + '  data-name="' + mock[k].couponName + '"><span class="color-change">' + mock[k].couponName + '</span><i></i></li>';
			} else {
				html += '<li data-key="' + k + '"  data-val=' + val + '  data-name="' + mock[k].couponName + '"><span class="color-change">' + mock[k].couponName + '</span><i></i></li>';
			}
		}
		if(couponCid == 'undefined' || couponCid == 'NaN') {
			html += '<li class="active" data-key="none"  data-val="none"  data-name="不使用优惠券"><span class="color-change">不使用优惠券</span><i></i></li></ul></div>';
		} else {
			html += '<li class="active" data-key="none"  data-val="none"  data-name="不使用优惠券"><span class="color-change">不使用优惠券</span><i></i></li></ul></div>';
		}
		J.popup({
			html: html,
			pos: 'center'
		})
		$(".popup_list li").on('click', function() {
			$(this).addClass('active').siblings().removeClass('active');
			var couponId = parseInt($(this).attr('data-key'));
			var couponName = $(this).attr('data-name');
			var couponVal = $(this).attr('data-val');
			$('#couponDetail').text(couponName).attr('data-choose', couponId);
			calculatePriceInSubmitPage_service(couponId, couponVal);
			setTimeout(function() {
				J.Popup.close();
			}, 200)
		})
	}
}