// 获取菜单
function getServiceMenu_service(menuId,level){
	J.Cache.save('parentId', menuId);
	var url = 'ws/serviceAction' + versionMessage.version + '!getServiceMenu.sy';
	var par = {};
	if(menuId){
		par.parentId = menuId;
	}else{
		par.communityId = J.Cache.get('community').data.id;
	}
	service.get(url,par,function(data){
		data.map(function(item){
			if(!isNullString(item.picture)){
				item.picture = picNetworkPrefix(item.picture);
			} else {
				item.picture = 'img/rice.jpg';
			}
		});
		//data.reverse(); 
		// getFirstLevelMenu_control 一级菜单控制器    getSecondLevelMenu_control 二级菜单控制器
		if(menuId){
			if(level){
				getThirdLevelMenu_control(data,menuId);
			}else{
				getSecondLevelMenu_control(data,menuId);
			}
		}else{
			getFirstLevelMenu_control(data) ;
		}
	});
}

function lieBiaoYe_service(menuId){
    var url = 'ws/serviceAction' + versionMessage.version + '!getServiceMenu.sy';
    var par = {};
    if(menuId){
        par.parentId = menuId;
    }else{
        par.communityId = J.Cache.get('community').data.id;
    }

    service.get(url,par,function(data){
       /* data.map(function(item){
            if(!isNullString(item.picture)){
                item.picture = picNetworkPrefix(item.picture);
            }
        })
        //data.reverse();
        // getFirstLevelMenu_control 一级菜单控制器    getSecondLevelMenu_control 二级菜单控制器*/
        if(menuId){
            getThirdLevelMenu_control(data,menuId);
        }
    });
}

// 获取菜单广告
function getFuwuAdvert_service(menuId, level,isThirdAdvert){
	var url = 'ws/adsAction' + versionMessage.version + '!getFuwuAdvert.sy';
	var par = {
		menuId: menuId,
		menuLevel: level 
	};
	service.get(url,par,function(data){
		if(data.length != 0){
			data.map(function(item){
				item.url = picNetworkPrefix(item.url);
			})
			data[0].hasActive = true ;
		}
		getFuwuAdvert_control(data,isThirdAdvert); //广告控制器
	})
}
// 二级菜单获取广告
function getMenuAdvert_service(menuId) {
	var url = 'ws/adsAction' + versionMessage.version + '!getMenuAdvert.sy';
	var par = {
		menuId : menuId
	};
	service.get(url,par,function(data){
		if(data.length != 0){
			data.map(function(item){
				item.map(function(item2) {
					item2.url = picNetworkPrefix(item2.url);
				})
			})
		}
		// 二级分类的轮播图展示
		getecondLevelAdvert_control(data);
	})
}

// 搜索准备
function prepareSearch() {
	var url = 'ws/serviceAction' + versionMessage.version + '!prepareSearch.sy';
	service.get(url, {}, function(data) {
		J.Template.render('#prepareSearch_div', 'prepareSearch_template', data, "replace");
		var searchName = J.Cache.get('searchName').data;
		$("#search_section input[type='search']").attr('placeholder', searchName);
	})
}

//清空历史记录
function clearUserSearchHistory_service() {
	var url = 'ws/serviceAction'  + versionMessage.version + '!clearUserSearchHistory.sy'
	service.get(url, {}, function(data) {
		console.log('清除成功')
		goSearch_control();
	})
}


//搜索框请求获取商品列表
function getSortedServiceList_service(param, ele){
    var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
    var par = param;
    service.get(url,par,function(data){
        getList_control(data, ele);
    },function(){
        J.showToast(error_message);
        J.hideMask();
    })
}

// 获取商品列表
function getSortedServiceInfo_service(param,brandFliter){
	//根据不同情况对页面进行判断是否清除滚动条 false时清除，true时不清除
	var clearScroll = $('#productList_section header').attr('data-clearScroll'); 
	if (clearScroll == undefined || clearScroll == 'false') {
		J.Refresh('#eventsList_article').destroy();
	}
	J.showMask();
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	var par = param;
	service.get(url,par,function(data){
		data.map(function(item){
			item.picture = picNetworkPrefix(item.picture);
			if(J.Cache.get('community').data.type == 1){
				item.stockNum = '批销';
			}
		});
		var array = [];
		if(J.Cache.get('productList')!= null){
			for(var i = 0;i < J.Cache.get('productList').data.length;i++){
				array.push(J.Cache.get('productList').data[i]);
			}
		}
		array.push(data);
		J.Cache.save('productList',array);
		if(brandFliter){
			getSortedServiceInfo_control(data,param,brandFliter); //获取商品列表控制器
		}else{
			getSortedServiceInfo_control(data,param); //获取商品列表控制器
		}
	},function(){
		J.Template.render('#productList_ul', 'productList_template', [], "replace");
		J.showToast(error_message);
		J.hideMask();
	},30000)
}

//品牌搜索排序
function getSortSortedList_service(type, ele) {
	var Type = type;
	var brandId = $('#productSortProducts_ul').data().brand;
	if(type == 1) {
		J.Cache.empty('getProductList');
		var sort = $(ele).parent().data().sort1;
		$(ele).parent().data().sort1 = $(ele).parent().data().sort1 == '0' ? 1 : $(ele).parent().data().sort1 -1;
	}
	if(type == 2) {
		J.Cache.empty('getProductList');
		var sort = $(ele).parent().data().sort2;
		$(ele).parent().data().sort2 = $(ele).parent().data().sort2 == '0' ? 1 : $(ele).parent().data().sort2 -1;
	}
	renderSortedList_service(1,brandId,sort,Type);
}
// 品牌搜索
function getSortedList_service(brandId) {
	J.Router.goTo('#getSortedList_section');
	J.Cache.empty('getProductList');
//	$('#productSortProducts_ul').data().brand = brandId;
	cartNum_service('getSortedList_section');
	renderSortedList_service(0,brandId);
}

function renderSortedList_service(par,brandId,sort,Type) {
	if(par == 0){
		par = {
			menuId: 0,
			type: 2,
			startIndex:1,
			pageSize: 10,
			brandId: brandId,
			sort: ''
		};
	}else if(par == 1){
		par = {
			menuId: 0,
			type: Type,
			startIndex:1,
			pageSize: 10,
			brandId: brandId,
			sort: sort
		}
	}
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	setTimeout(function() {
		J.showMask();
		service.get(url, par, function(data) {
			$('#productSortProducts_ul').data().brand = par.brandId;
			if(par.type == 2) {
				if(par.sort == 1) {
					$('#getSortedList_section .list_ul li i')[0].style.borderBottom = '10px solid #999999';
					$('#getSortedList_section .list_ul li i')[0].style.borderTop = '0px solid #999999'
				}else if(par.sort == 0){
					$('#getSortedList_section .list_ul li i')[0].style.borderBottom = '0px solid #999999';
					$('#getSortedList_section .list_ul li i')[0].style.borderTop = '10px solid #999999'
				}
			}
			if(par.type == 1) {
				if(par.sort == 1) {
					$('#getSortedList_section .list_ul li i')[1].style.borderBottom = '10px solid #999999';
					$('#getSortedList_section .list_ul li i')[1].style.borderTop = '0px solid #999999'
				}else if(par.sort == 0){
					$('#getSortedList_section .list_ul li i')[1].style.borderBottom = '0px solid #999999';
					$('#getSortedList_section .list_ul li i')[1].style.borderTop = '10px solid #999999'
				}
			}
			var datas = {
				data: data
			};
			datas.data.map(function(item) {
				item.picture = picNetworkPrefix(item.picture);
				if(J.Cache.get('community').data.type == 1){
					item.stockNum = '批销';
				}
			});
			var array = [];
			if(J.Cache.get('getProductList')!= null){
				for(var i = 0;i < J.Cache.get('getProductList').data.length;i++){
					array.push(J.Cache.get('getProductList').data[i]);
				}
			}
			array.push(data);
			J.Cache.save('getProductList',array);
			var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;
			if(par.startIndex == 1){
				J.Refresh('#sortedList_article').destroy();
			}
			if(data.length != 0) {
				J.Template.render('#getProductList_ul', 'getSortedList_template', datas, tplWay);
				createFly('getSortedList_section');
				J.hideMask();
				J.Scroll("#sortedList_article", {});
			}
			J.Scroll("#sortedList_article", {});
	//		上拉
			if (data.length >= 10) {
				J.Refresh('#sortedList_article', 'pullUp', function() {
					var scroll = this;
					setTimeout(function() {
						$('#productList_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
						par.startIndex = par.startIndex + 1;
						renderSortedList_service(par);
						scroll.refresh();
					}, 10);
				})
	        }else{
	        	J.Refresh('#sortedList_article').destroy();
	        	$('#getProductList_ul').after('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
	        	J.Scroll("#sortedList_article", {});
	        	var heigth = $('#getProductList_ul')[0].clientHeight - $('#sortedList_article')[0].clientHeight;
	    		$('#getSortedList_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
	        }  
	   })
	},1)
}
//获取白名单商品列表
function getBaiMingDanList_service(par) {
	if(!par){
		par = {
			type: 2,
			startIndex:1,
			pageSize: 10,
			sort: '0'
		};
	}
    var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfoBaiMingDan.sy';
    var param = par;
    setTimeout(function(){
		J.showMask();
		service.get(url,param,function(data){
			data.map(function(item){
				item.picture = picNetworkPrefix(item.picture);
			});
			var array = [];
			if(J.Cache.get('baiMingDanList')!= null){
				for(var i = 0;i < J.Cache.get('baiMingDanList').data.length;i++){
					array.push(J.Cache.get('baiMingDanList').data[i]);
				}
			}
			array.push(data);
			J.Cache.save('baiMingDanList',array);
			getBaiMingDanInfo_control(data,par); //获取商品列表控制器
		},function () {
			J.showToast(error_message);
			J.hideMask();
		},30000)
	},1)
}
//商户热销产品列表
function getMerchantList_service(merchantId,par){
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	if(par == undefined){
		par = {
			merchantId : merchantId,
			type: 2,   //默认按销量
			startIndex:1,
			pageSize: 10,
			sort: '0'    //正序
		};
		setTimeout(function () {
			J.Refresh('#merchantList_article').destroy();
		});
	}
	setTimeout(function (){
		J.showMask();
		service.get(url,par,function(data){
			data.map(function(item){
				item.picture = picNetworkPrefix(item.picture);
				if(J.Cache.get('community').data.type == 1){
					item.stockNum = '批销';
				}
			});
			var array = [];
			if(J.Cache.get('merchantList')!= null){
				for(var i = 0;i < J.Cache.get('merchantList').data.length;i++){
					array.push(J.Cache.get('merchantList').data[i]);
				}
			}
			array.push(data);
			J.Cache.save('merchantList',array);
			getMerchantList_control(data,par);
		},function(){
			J.Template.render('#merchantList_ul', 'merchantList_template', [], "replace");
			J.showToast(error_message);
			J.hideMask();
		},30000);
	},1);
}
//获取邑豆兑换列表
function getYiBeansList_service(par) {
    if(!par){
        par = {
            type: 2,
            startIndex:1,
            pageSize: 10
        };
    }
    var url = 'ws/serviceAction' + versionMessage.version + '!acquireYiBeansGoods.sy';
    var param = par;
    setTimeout(function(){
        J.showMask();
        service.get(url,param,function(data){
            data.goodsInfo.map(function(item){
                item.picture = picNetworkPrefix(item.picture);
            });
            getYiBeansInfo_control(data,par); //获取邑豆兑换列表控制器
        },function () {
            J.showToast(error_message);
            J.Refresh('#yiBeans_article').destroy();
            // J.Template.render('#yiBean_ul', 'yiBeans_template', [], tplWay);
            J.hideMask();
        },30000);
    },1);
}
//去兑换
function beansExchange(){
    if(!J.Cache.get('yiBeansCart')){
        J.showToast('您还没有选择要兑换的商品');
        clearYiBeansCacheCart();
        return;
	}
    if(J.Cache.get('yiBeansCart').data.length == 0){
        J.showToast('您还没有选择要兑换的商品');
        clearYiBeansCacheCart();
        return;
    }
    if(!J.Cache.get('address') || J.Cache.get('address').data == null || J.Cache.get('address').data == '' || J.Cache.get('address').data== 'undefined'){
        J.showToast('您还没有添加收货地址');
        return;
	}
    if(J.Cache.get('yiBeansCartList').data.userYiBeans == 0){
        J.showToast('邑豆不足');
        return;
    }
    var url = 'ws/orderAction' + versionMessage.version + '!submitYiBeansOrder.sy';
    var par = {
        goodsInfo : JSON.stringify(J.Cache.get('yiBeansCart').data),
        freight:J.Cache.get('yiBeansCartList').data.freightFee,
        yiBeansOff :$('#beansCount').text(),
        addressId:J.Cache.get('address').data.id
    };
    if($('#deliveryBeanCount').text() == 0){
    	par.freight = 0;
	}
    setTimeout(function(){
        J.showMask();
        service.get(url,par,function(data){
            clearYiBeansCacheCart();
            J.showToast('兑换成功');
            getYiBeansList_service();
            J.hideMask();
        },function (err) {
            J.showToast(err.message);
            J.hideMask();
        },30000);
    },1);
}
