var parkingMessage;
// 积分停车入口
function suguoParkingEntrance_service() {
   	if (!J.Cache.get('openId')) {
   		console.log(2);
   		J.Cache.save('fromTheParkingLotIntoApp', true);
        getOpenId();
    }else{
		console.log(3);
    	J.showMask();
    	var url = 'ws/suguoAction!suguoParkingEntrance.sy';
		var par = {
			openId : J.Cache.get('openId').data
		};
		service.get(url,par,function(data){
			J.Cache.save('fromTheParkingLotIntoApp', false);
			J.hideMask();
			J.Cache.save('suguoId', data.userSuguoId)
			if(!isEmptyObject(data)){
				if(data.suguoPlateNumberList.length) {

					$("#addParkNumber").val(data.suguoPlateNumberList[data.suguoPlateNumberList.length-1].suguoPlateNumber);
				}
				$('#parking_form').attr('data-val',data.userSuguoId).find('[name="phone"]').val(data.phone) ;
				$('#parking_form [name="plateNumber"]').empty();
				$('#parkingNumList').html('');
				$('#parkingNumList').append('<div >历史记录</div>')
				// 添加历史记录
				var arrayPark = []
				arrayPark = data.suguoPlateNumberList.reverse();
				arrayPark.map(function(item){
					$('#parkingNumList').append('<p><span onclick="historyParkingNum_control(this)">' + item.suguoPlateNumber + '</span><i class="icon remove" onclick=removePlateNumber_service("' + item.suguoPlateNumber + '",0,this)></i></p>');
				})
			}else{
				$('#plateNumber_div').hide().siblings('label').hide().siblings('[data-name="noParkNum"]').show();
				addedNewParkingNum_control(); //车牌control
			}
		})
    }
}
// 删除车牌号
function removePlateNumber_service(suguoPlateNumber, type, ele) {
	console.log(suguoPlateNumber);
	//type  0删除一个 1 全部删除
	var url = "ws/suguoAction!deleteUserPlateNumber.sy";
	var par = {
		userSuguoId: J.Cache.get('suguoId').data,
		type : type,
		suguoPlateNumber: suguoPlateNumber
	}
	service.get(url, par, function(data) {
		if(ele) {
			$(ele).parent().remove();
		} else {
			$('#parkingNumList').html('')
		}
		J.showToast('删除成功');
//		suguoParkingEntrance_service()
	},function() {
		J.showToast('删除失败');
	})
}

//返回上一个页面，清空数据
function back() {
	history.go(-1);
        count.tradeNo = '',
		count.total = 0,
        count.IntegralFee = 0,
        count.wechatFee = 0,
        count.invoiceFee = 0,
        count.thirdPay = 0,
        count.totalInvoice = 0,
        count.totalIntegral = 0,
        count.rate = 0,
        count.hasIntegralPay = false,
        count.hasWechatPay = false,
        count.hasInvoicePay = false
}
/**
 * [saveOrUpdateUserSuguo_service 添加车牌号]
 * @param  {String} callbackName      [回调函数名 parkIntegration积分停车  checkIntegration积分查询]
 * @param  {Number} phone      [手机号]
 * @param  {String} parkingNum [车牌号]
 */
function saveOrUpdateUserSuguo_service(callbackName,phone,userSuguoId,parkingNum){
	J.showMask();
	var url = 'ws/suguoAction!saveOrUpdateUserSuguo.sy';
	var par = {
		openId : J.Cache.get('openId').data,
		phone : phone,
	}
	if(!isNullString(parkingNum)) par.suguoPlateNumber = parkingNum ;
	if(!isNullString(userSuguoId)) par.userSuguoId = userSuguoId ;
	service.get(url,par,function(data){
		J.hideMask();
		var fn = {
			parkIntegration : function(){
				submitPayment_service();
				J.Router.goTo('#parkingPayMethod_section');
				setTimeout(function() {
					if(parkingNum == '苏-A90FB3') {
						$('[data-role="invoice-pay"]').css({'display': 'none'})
				    } else {
				    	$('[data-role="invoice-pay"]').css({'display': 'block'})
				    }					
				}, 100)
			},
			checkIntegration : function(){
				J.Router.goTo('#checkParkIntegration_section');
			}
		}
		fn[callbackName]();
	})
}
// 积分停车支付页面
function submitPayment_service(){
	J.showMask();
    // var list = [];
    var url = 'ws/suguoAction!getParkingList.sy';
    // wx.checkJsApi({
    //     jsApiList: [
    //         'getLocation'
    //     ],
    //     success: function (res) {
    //         // alert(JSON.stringify(res));
    //         // alert(JSON.stringify(res.checkResult.getLocation));
    //         if (res.checkResult.getLocation == false) {
    //             alert('你的微信版本太低，不支持微信JS接口，请升级到最新的微信版本！');
    //             return;
    //         }
    //     }
    // });
	/*
    wx.getLocation({
        success: function (res) {
            var latitude = res.latitude;
            var longitude = res.longitude;
            var par = {
                openId : J.Cache.get('openId').data,
                latitude : latitude,
                longitude : longitude,
                // parkingId:id,
            };
            var data = {} ;
            service.get(url,par,function(data){
                if(data.deduct_sum == null) data.deduct_sum = 0 ;
                if(data.service_stime == null) data.service_stime = '1999-01-01 00:00:00' ;
                if(data.service_etime == null) data.service_etime = '1999-01-01 00:00:00' ;
                if(data.total_fee == null) data.total_fee = 0 ;

                count.tradeNo = data.tradeNo ;
                count.total = data.total_fee ;
                count.totalIntegral = data.deduct_sum ;
                count.rate = data.rate ;
                J.Router.goTo('#parkingPayMethod_section');
                setTimeout(function(){
                    $('#parkingPayMethod_article').find('[data-name="stime"]').text(data.service_stime);
                    $('#parkingPayMethod_article').find('[data-name="etime"]').text(data.service_etime);
                    $('#parkingPayMethod_article').find('[data-name="totalFee"]').text(data.total_fee);
                    $('#parkingPayMethod_article').find('[data-name="totalIntegral"]').text(data.deduct_sum);
                },200)
                J.hideMask();
            },function(data){
                var msg = isNullString(data.message) ? '网络接口连接出错' : data.message ;
                J.hideMask();
                J.showToast(msg) ;
            })
        },
        cancel: function (res) {
            alert('用户拒绝授权获取地理位置');
        }
    });
*/
        var par = {
            openId : J.Cache.get('openId').data,
            latitude : 32.023671,
            longitude : 118.756437,
			// parkingId:id,
        };
        var data = {} ;
    $('#parkingPayMethod_article').find('#parkIdSelect').val('0')
    $('#parkingPayMethod_article').find('[data-name="invoice"]').val('');
    $('#parkingPayMethod_article').find('[data-name="deduct"]').text(0)
    $('#parkingPayMethod_article').find('[data-name="wechat"]').text(0)
    $('#parkingPayMethod_article').find('[data-name="invoice-price"]').text(0);

    $('#parkingPayMethod_article').find('[data-name="btn"]').off('click');
    $('#parkingPayMethod_article').find('[data-pay="0"]').off('click');
    $('#parkingPayMethod_article').find('[data-pay="1"]').off('click');
    $('#parkingPayMethod_article').find('[data-pay="2"]').off('click');

    $("#integralPay").hide();
    $(".payType").find("label").removeClass();
    $(".payType").find("label").addClass("choice-box");

    $('#parkingPayMethod_article').find('[data-name="btn"]').off('click');

        service.get(url,par,function(data){
        	J.Router.goTo('#parkingPayMethod_section');
            if(data.deduct_sum == null) data.deduct_sum = 0 ;
            if(data.service_stime == null) data.service_stime = '1999-01-01 00:00:00' ;
            if(data.service_etime == null) data.service_etime = '1999-01-01 00:00:00' ;
            if(data.total_fee == null) data.total_fee = 0 ;
            parkingMessage = '';
            parkingMessage = data;
            setTimeout(function() {
	            J.Template.render('#parkIdSelect','parkingName_template',data, "replace");
            },300)

            count.tradeNo = data.tradeNo ;
            count.total = data.total_fee ;
            count.totalIntegral = data.deduct_sum ;
            count.rate = data.rate ;
            setTimeout(function(){
                $('#parkingPayMethod_article').find('[data-name="stime"]').text(data.service_stime);
                $('#parkingPayMethod_article').find('[data-name="etime"]').text(data.service_etime);
                $('#parkingPayMethod_article').find('[data-name="totalFee"]').text(data.total_fee);
//              $('#parkingPayMethod_article').find('[data-name="totalIntegral"]').text(data.deduct_sum);
            },200)
            J.hideMask();
            $('#parkingPayMethod_article').find('[data-name="btn"]').on('click',function () {
                J.alert('提示','请选择门店')
            });

        },function(data){
            var msg = isNullString(data.message) ? '网络接口连接出错' : data.message ;
            J.hideMask();
            J.showToast(msg) ;
        })
    // }
}
function currentParkig_service(id, ele) {
	count.tradeNo = '',
    count.total = 0,
    count.IntegralFee = 0,
    count.wechatFee = 0,
    count.invoiceFee = 0,
    count.thirdPay = 0,
    count.totalInvoice = 0,
    count.totalIntegral = 0,
    count.rate = 0,
    count.hasIntegralPay = false,
    count.hasWechatPay = false,
    count.hasInvoicePay = false
//  if($(ele).find("option:selected").text() == '亚东购物广场') {
//      $('[data-role="invoice-pay"]').css({'display': 'none'})
//  } else {
//      $('[data-role="invoice-pay"]').css({'display': 'block'})
//  }
	for(var i=0; i<parkingMessage.length; i++) {
		if(parkingMessage[i].id == id) {
		    if(parkingMessage[i].man != 1) {
			   	$('#parkingPrivilege').text('（满' + parkingMessage[i].man + '元减' + parkingMessage[i].jian + '元）');    	
		    }else{
		    	$('#parkingPrivilege').text('');
		    }
		}
	}
    var url = 'ws/suguoAction!submitPayment.sy';
    var tradeNo4search = "";
    if (J.Cache.get('tradeNo')){
        tradeNo4search = J.Cache.get('tradeNo').data;
	}
    var par = {
        openId : J.Cache.get('openId').data,
        latitude : 32.023671,
        longitude : 118.756437,
		parkingId : id,
        tradeNo : tradeNo4search
    };
        var data = {}
		data.deduct_sum = 0 ;
		data.service_stime = '1999-01-01 00:00:00' ;
		data.service_etime = '1999-01-01 00:00:00' ;
		data.total_fee = 0 ;
		$('#parkingPayMethod_article').find('[data-name="stime"]').text(data.service_stime);
		$('#parkingPayMethod_article').find('[data-name="etime"]').text(data.service_etime);
		$('#parkingPayMethod_article').find('[data-name="totalFee"]').text(data.total_fee);
//		$('#parkingPayMethod_article').find('[data-name="totalIntegral"]').text(data.deduct_sum);
    	$('#parkingPayMethod_article').find('[data-name="invoice"]').val(null)
    	$('#parkingPayMethod_article').find('[data-name="invoice-price"]').text(0);
    	$('#parkingPayMethod_article').find('[data-name="deduct"]').text(0);
		$('#parkingPayMethod_article').find('[data-name="wechat"]').text(0);
		$("#integralPay").hide();
		$(".payType").find("label").removeClass();
		$(".payType").find("label").addClass("choice-box");
		$('#parkingPayMethod_article').find('[data-name="btn"]').off('click');
		$('#parkingPayMethod_article').find('[data-pay="0"]').off('click');
		$('#parkingPayMethod_article').find('[data-pay="1"]').off('click');
		$('#parkingPayMethod_article').find('[data-pay="2"]').off('click');
    if(id == 0){
        J.alert('提示','请选择门店');
        return;
	}

    J.showMask();
    $('#jingle_popup.loading').hide();
    $('#jingle_popup.loadings').show();

        service.get(url, par, function(data) {
        	$('input[data-name=invoice]')[0].disabled = false;
            if(data.deduct_sum == null) data.deduct_sum = 0 ;
            if(data.service_stime == null) data.service_stime = '1999-01-01 00:00:00' ;
            if(data.service_etime == null) data.service_etime = '1999-01-01 00:00:00' ;
            if(data.total_fee == null) data.total_fee = 0 ;
            if (data != null){
			J.Cache.save('tradeNo',data.tradeNo);

            count.tradeNo = data.tradeNo ;
            count.total = data.total_fee ;
            count.totalIntegral = data.deduct_sum ;
            count.rate = data.rate ;
            J.Router.goTo('#parkingPayMethod_section');
            setTimeout(function(){
                $('#parkingPayMethod_article').find('[data-name="stime"]').text(data.service_stime);
                $('#parkingPayMethod_article').find('[data-name="etime"]').text(data.service_etime);
                $('#parkingPayMethod_article').find('[data-name="totalFee"]').text(data.total_fee);
//              $('#parkingPayMethod_article').find('[data-name="totalIntegral"]').text(data.deduct_sum);
            },200)
                $('#jingle_popup.loadings').hide();
                J.hideMask();
                $('#parkingPayMethod_article').find('[data-name="btn"]').on('click',function () {count.submitParkingOrder();})
                $('#parkingPayMethod_article').find('[data-pay="0"]').on('click',function () {count.payMoney(this);});
                $('#parkingPayMethod_article').find('[data-pay="1"]').on('click',function () {count.payMoney(this);});
                $('#parkingPayMethod_article').find('[data-pay="2"]').on('click',function () {count.payMoney(this);});
        }
    },function(data){
        $('#jingle_popup.loadings').hide();
            var msg = isNullString(data.message) ? '网络接口连接出错' : data.message ;
            J.hideMask();
            J.showToast(msg) ;
        $('#parkingPayMethod_article').find('[data-name="btn"]').on('click',function () {J.alert('提示','车与停车场不匹配，请重新选择')});
        $('#parkingPayMethod_article').find('[data-pay="0"]').on('click',function () {J.alert('提示','车与停车场不匹配，请重新选择')});
        $('#parkingPayMethod_article').find('[data-pay="1"]').on('click',function () {J.alert('提示','车与停车场不匹配，请重新选择')});
        $('#parkingPayMethod_article').find('[data-pay="2"]').on('click',function () {J.alert('提示','车与停车场不匹配，请重新选择')});
    },45000)
}

/**
 * [submitParkingOrder_service 支付积分停车]
 * @param  {String} tradeNo     [返回字段订单号]
 * @param  {Number} IntegralFee [支付的积分]
 * @param  {Number} wechatFee   [微信支付金额]
 */
function submitParkingOrder_service(tradeNo,IntegralFee,wechatFee,invoiceFee,hasInvoicePay,invoiceNumber){
	J.showMask();
    J.Cache.empty('tradeNo');
	if (hasInvoicePay){
    if( invoiceNumber == null || invoiceNumber.length < 12){
        J.showToast('请输入12位单据号');
        count.totalInvoice = 0 ;
        count.calculate();
        J.hideMask();
		return
	}}
        var url = 'ws/suguoAction!submitParkingOrder.sy';
        var par = {
            openId: J.Cache.get('openId').data,
            tradeNo: tradeNo,
            IntegralFee: IntegralFee,
            wechatFee: wechatFee,
            invoiceFee: invoiceFee,
            invoiceNumber: invoiceNumber
        }
		$('#parkingPayMethod_article').find('[data-name="btn"]').css({'pointer-events': 'auto', 'background-color': '#999'});
        service.get(url, par, function (data) {
            data.tradeNo = tradeNo;
            data.openId = J.Cache.get('openId').data;
            console.log(data);
            if (wechatFee != 0) {
                var success = function () {
                    J.Router.goTo('#parkedRecommendList_section');
                }
                var errorCall = function () {}
                Mobile.pay('weixinJSSDK', wechatFee, data, success, errorCall, 5);
            } else {
                J.Router.goTo('#parkedRecommendList_section');
            }
            J.hideMask();
            $('#parkingPayMethod_article').find('[data-name="btn"]').css({'pointer-events': 'auto', 'background-color': '#87DAD1'});
        }, function() {
        	$('#parkingPayMethod_article').find('[data-name="btn"]').css({'pointer-events': 'auto', 'background-color': '#87DAD1'});
        })

}

// 推荐列表轮播
function parkedGetAdvertPic(){
    J.showMask();
    var url = 'ws/parkAdvertAction!getParkAdvert.sy';
    var par = {};
    service.get(url, par, function(data) {
        var parkedPic = [];
        if (data != null && data.length != 0) {
                data.parkAdverts.map(function(item) {
                    if (!isNullString(item.parkAdvert.picture)) {
                        item.parkAdvert.picture = picNetworkPrefix(item.parkAdvert.picture);
                        parkedPic.push(item);
                    }
                });
                J.Template.render("#parkedGetAdvertPic_div", "parkedGetAdvertPic_template", parkedPic, "replace");
                $('#parkedGetAdvertPic_div ul li').width(document.body.clientWidth);
                var box = '#parkedGetAdvertPic_div [data-name="parkedAdvert"] ul'
				var par = {
		            loop: true, //循环切换
		            auto: true, //自动切换
		        }
				if($(box).children().length <= 1) par.auto = false;
                var scrollImg = Viwepager(box, par);
        }
        J.hideMask();
    })
}
// 付款成功后推荐列表
function getRecommendServiceEventList_service() {
	J.showMask();
	var url = 'ws/othersAction!getRecommendServiceEventList.sy';
	var par = {};
	service.get(url, par, function(data) {
		if (data != null) {
			if (data.length != 0) {
				data.map(function(item) {
					if (!isNullString(item.serviceEvent.picture)) {
						item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
					}
				})
				J.Template.render("#parkedRecommendList_ul", "parkedRecommendList_template", data, "replace");
				// 图片懒加载
				$('#parkedRecommendList_ul img').LazyLoad({
					container: 'article',
					effect: 'show',
					effectArgs: 'slow',
					load: null,
					offset: 0,
				});
			}
		}
		J.hideMask();
	})
}
// 获取支票抵扣积分
function queryInvoiceInfo_server(invoiceNum,tradeNo,total,id, el) {
	J.showMask();
	var url = 'ws/suguoAction!queryInvoiceInfo.sy';
	var par = {
		tradeNo : tradeNo,
		orderNum : invoiceNum,
		totalFee : total,
		parkingId : id
	};
	service.get(url, par, function(data) {
		if (data != null) {
			count.totalInvoice = data.discount ;
			el.disabled = true
			if(data.discount != 0){
				count.calculate();
			}else{
                count.calculate();
				J.alert('提示','输入错误或您购买的可能是苏盛烟草');
			}
		}else {
            count.totalInvoice = 0 ;
        	count.calculate();
        }
		J.hideMask();
	}, function(data) {
		J.showToast(data.message);
		count.totalInvoice = 0 ;
		count.calculate();
        J.hideMask();
    },45000)
}



